<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Batch extends Model
{
	protected $guarded = [];
	//protected $appends = ['offer_discount','net_price'];
	protected $appends = ['store_open'];
	
   public function product(){
   		// return $this->belongsTo('App\Product','product_id')->with('category');
		return $this->belongsTo('App\Sku','sku_id');
   }
   
   public function users(){
       return $this->belongsTo('App\User','seller_id');
   }
   
   public function invoice(){
   		return $this->belongsTo('App\Invoice','invoice_id');
   }
   
   public function country(){
       return $this->belongsTo('App\Country','country_id');
   }
   
   /*
    * get current batch seller store is open or closed
    * addresses[0] because seller always has one address
    */ 
   
   public function getStoreOpenAttribute()
   {
       return $this->users->addresses[0]->getIsOpenAttribute();
   }
   
   /*
   public function getOfferDiscountAttribute(){
   		$discount=0;
		if($this->offer_type!='None'){
			if(date('Y-m-d',strtotime($this->offer_start_date))<=date('Y-m-d') && (date('Y-m-d',strtotime($this->offer_end_date))>=date('Y-m-d') || (intVal(date('Y',strtotime($this->offer_end_date)))<2019))){
				$discount = ($this->offer_type=='Percentage')?(round(($this->product_mrp*$this->offer_value)/100,2)):($this->offer_value);
			}
		}
		
		
		return $discount;
   }
   
   public function getNetPriceAttribute(){
   		$net_price = $this->product_mrp;
		if($this->offer_discount>0){
			$net_price -= $this->offer_discount;  
		}
		
		return $net_price;
   }
   */
   
}
