<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Category extends Model
{
    
	public function categories(){
		return $this->hasMany('App\Category','parent_id')->orderBy('sort_order','asc')->withCount(['products'=>function($q){
			$q->where('enabled','Yes');
		}])->with('categories');
	}
	
	public function subCategories(){
	    return $this->hasMany('App\Category','parent_id')->orderBy('sort_order','asc')->withCount(['products'=>function($q){
			$q->where('enabled','Yes');
		}]);
	}
	/*
	public function products(){
   		return $this->hasMany('App\Product','category_id');
   }
	*/
	public function parent(){
		return $this->belongsTo('App\Category','parent_id');
	}
	
	public function category(){
		return $this->belongsTo('App\Category','parent_id')->with('category');
	}
	
	public function products(){
   		return $this->belongsToMany('App\Product');
   }
	
	
}
