<?php
namespace App\Http\Controllers\Api;

use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use App\User;
use Illuminate\Support\Facades\Auth;
use Validator;

class AuthController extends Controller
{

    public $successStatus = 200;

    public function register(Request $request)
    {
        $validator = Validator::make($request->all(), [
            'name' => 'required',
            'email' => 'email',
            'country' => 'required',
            'gender' => 'required',
            'country_code' => 'required',
            'phone' => 'required'
        ]);
        if ($validator->fails()) {
            return response()->json([
                'error' => $validator->errors()
            ], 401);
        }

        $input = $request->all();
        // $input['password'] = bcrypt($input['password']);
        $user = User::create($input);
        $success['token'] = $user->createToken('AppName')->accessToken;
        return response()->json([
            'success' => $success
        ], $this->successStatus);
    }

    public function login()
    {
        if (Auth::attempt([
            'country_code' => request('country_code'),
            'phone' => request('phone')
        ])) {
            $user = Auth::user();
            $success['token'] = $user->createToken('AppName')->accessToken;
            return response()->json([
                'success' => $success
            ], $this->successStatus);
        } else {
            return response()->json([
                'error' => 'Unauthorised'
            ], 401);
        }
    }

    public function getUser()
    {
        $user = Auth::user();
        return response()->json([
            'success' => $user
        ], $this->successStatus);
    }
}

