<?php

namespace App\Http\Controllers\Auth;

use App\Http\Controllers\Controller;
use Illuminate\Foundation\Auth\AuthenticatesUsers;
use Illuminate\Http\Request;
use App\User;
use Auth;
use Session;
class LoginController extends Controller
{
    /*
    |--------------------------------------------------------------------------
    | Login Controller
    |--------------------------------------------------------------------------
    |
    | This controller handles authenticating users for the application and
    | redirecting them to your home screen. The controller uses a trait
    | to conveniently provide its functionality to your applications.
    |
    */

    use AuthenticatesUsers{
        logout as performLogout;
    }   

    /**
     * Where to redirect users after login.
     *
     * @var string
     */
    protected $redirectTo = '/dashboard';

    /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct()
    {
        $this->middleware('guest')->except('logout');
    }
    
    public function logout(Request $request)
    {
        $user = User::getLoginUser();
        $user->device_token = "";
        $user->save();
        
        $this->performLogout($request);
        return redirect()->route('/');
    }
	
	protected function credentials(Request $request)
    {
        $credentials = $request->only($this->username(), 'password');
        //$credentials['enabled'] = 'Yes';
        return $credentials;
    }
	
	protected function authenticated(Request $request, $user)
    {
        //dd($request['sellerLogin']);

         $emailCheck = User::where('email',$request['email'])->first();

        if($emailCheck['role'] == 'Seller' && $request['userLogin'] == '0'){
            return redirect()->route('dashboard');
        }else if($emailCheck['id'] == 1 && $request['userLogin'] == '1'){
                return redirect()->route('dashboard');
        }else{
           return redirect()->route('logout')->with('error','yoa are not allowed');
        }


        // if($user->role=='Customer')
        // {
        //     $this->guard()->logout();

        //     $request->session()->invalidate();
           
        //     return $this->loggedOut($request) ?: redirect('/login')->with('error','Sorry! User does not exist.');
        // }
		
        // if($user->role == 'Seller')
        // {
           
        //     return redirect()->route('dashboard');
        // }
		
    }
	
	
	
	/* Method override to send correct error messages
     * Get the failed login response instance.
     *
     * @param \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    protected function sendFailedLoginResponse(Request $request)
    {

        if ( ! User::where('email', $request->email)->first() ) {
            return redirect()->back()
                ->withInput($request->only($this->username(), 'remember'))
                ->withErrors([
                   /* $this->username() => Lang::get('auth.email'),*/
                    $this->username() => "Email address not found.",
                ]);
        }

        if ( ! User::where('email', $request->email)->where('password', bcrypt($request->password))->first() ) {
            return redirect()->back()
                ->withInput($request->only($this->username(), 'remember'))
                ->withErrors([
                    /*'password' => Lang::get('auth.password'),*/
                    'password' => "Wrong password provided.",
                ]);
        }
		
		if ( ! User::where('enabled', 'Yes')->where('email', $request->email)->where('password', bcrypt($request->password))->first() ) {
            return redirect()->back()
                ->withInput($request->only($this->username(), 'remember'))
                ->withErrors([
                    /*'password' => Lang::get('auth.password'),*/
                    $this->username() => "Sorry! Could not login. User profile disabled.",
                ]);
        }

    }

    public function showLoginForm()
    {
        $merchantLoginValue = User::merchantLogin;
        return view('auth.merchant-login',['merchantLoginValue' => $merchantLoginValue]);
    }
	
}
 