<?php
namespace app\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Validator;
use App\Rating;
use Illuminate\Support\Facades\Auth;

class RatingsController extends Controller
{

    public function __construct()
    {
        $this->middleware('auth');
    }

    public function giveRatingToSeller(Request $request)
    {
        $validator = Validator::make($request->all(), [
            // 'user_id' => 'required',
            'seller_id' => 'required',
            'rating' => 'required'
        ], [
            // 'user_id.required' => "User id is required",
            'seller_id.required' => "Seller id is required",
            'rating.required' => "Rating is required"
        ]);

        $fields = array(
            // 'user_id',
            'seller_id',
            'rating'
        );
        $error_message = "";

        if ($validator->fails()) {
            foreach ($fields as $field) {
                if (isset($validator->errors()->getMessages()[$field][0]) && ! empty($validator->errors()->getMessages()[$field][0]) /*&& empty($error_message)*/) {
                    $error_message .= $validator->errors()->getMessages()[$field][0] . ", ";
                }
            }
            return response()->json([
                'status' => 0,
                'message' => substr($error_message, 0, - 2)
            ]);
        }

        $loginUserId = Auth::user()->id;

        $rating = Rating::where([
            'user_id' => $loginUserId,
            'seller_id' => $request->seller_id
        ])->first();

        if (! empty($rating)) {
            $rating->rating = $request->rating;
            
        } else {

            $rating = new Rating();
            $rating->user_id = $loginUserId;
            $rating->seller_id = $request->seller_id;
            $rating->rating = $request->rating;
        }
        
        if ($rating->save()) {
            $status = 1;
            $msg = "Rating saved successfully.";
        } else {
            $status = 0;
            $msg = "Rating not saved.";
        }

        return response()->json([
            'status' => $status,
            'message' => $msg
        ]);
    }
}
