<?php

namespace App\Http\Middleware;
use App\User;
use App\Permission;
use Auth;

use Closure;

class VerifyPermission
{
    /**
     * Handle an incoming request.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \Closure  $next
     * @return mixed
     */
    public function handle($request, Closure $next)
    {
    	if(Auth::user()->role=='Customer'){
	    	$currentRoute = \Request::route()->getName();
			
			$permissions = Permission::where('route_name',$currentRoute)->where('role',Auth::user()->role)->first();
			
			if(empty($permissions)){
				return redirect()->back()->with('permissionError','Sorry! You are not authorized to access this location.');
			} else {
				if($permissions->permission==1 && !empty($request->_token)){
					return redirect()->back()->with('permissionError','Sorry! You have only read only permissions for this location.');
				} 
			}
		}
		
        return $next($request);
    }
}
