<?php
namespace App;

use Illuminate\Database\Eloquent\Model;

class OrderProduct extends Model
{

    protected $guarded = [];

    protected $appends = [
        'tax_data',
        'product_data'
    ];

    // created with accessors
    protected $table = "order_products";

    protected $hidden = [
        'product',
        'tax_info'
    ];
    
    

    // order
    public function order()
    {
        return $this->belongsTo('App\Order', 'order_id');
    }

    /* bunti created function order_status function */
        public function order_status()
        {
            return $this->hasMany('App\OrderProductStatus', 'order_product_id');
        }


    /* Started Functuion
        // getting statuses
        // public function order_status()
        // {
        //     return $this->hasMany('App\OrderProductStatus', 'order_product_id');
        // }

    */

    public function user()
    {
        return $this->belongsTo('App\User', 'seller_id');
    }

    // accessors
    public function getProductDataAttribute()
    {
        return json_decode($this->product);
    }

    public function getTaxDataAttribute()
    {
        return json_decode($this->tax_info);
    }
    // public function productSkus(){

    //      return $this->hasOne('App\Sku', 'id','sku_id');
    // }
}
