<?php

namespace App;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class TimeSlot extends Model
{
    const EVENING_SLOT = "12";
    
   public function timeSlotPrice()
   {
       return $this->hasMany('App\TimeSlotPrice');
   }
    
    public function getSlotFromCurrentTime($closeTime)
    {
        $storeCloseTime = strtotime($closeTime);
        $timeSlots = TimeSlot::where('is_today_slot','yes')->where('enabled','yes')->get();
        $finalSlot = [];
        $currentTime = strtotime("+1 hour", strtotime(date('H:i')));
        
        foreach($timeSlots as $key => $slot)
        {
            if($slot->hour == self::EVENING_SLOT){
                
                $timeSlot['id'] = $slot->id;
                $timeSlot['name'] = $slot->title;
                $timeSlot['slot'] =  $slot->start_time . " - " . $slot->end_time;
                $timeSlot['price'] = $slot->price;
                $timeSlot['hour'] = $slot->hour;
                $timeSlot['delivery_mile'] = $slot->delivery_mile;
                $finalSlot[] = $timeSlot;
                
            }else if(!empty($slot->hour)){
            
                $timeSlot = [];
                $plus15Time = strtotime("+15 minutes", $currentTime);
                $slotStartTime = date('H:i', $plus15Time);
                $slotEndTime = strtotime('+'.$slot->hour .'hour', strtotime($slotStartTime));
                
                if($storeCloseTime > $slotEndTime){
                    $timeSlot['id'] = $slot->id;
                    $timeSlot['name'] = $slot->title;
                    $timeSlot['slot'] =  ($slot->hour != 1) ? $slotStartTime . " - " .date('H:i',  $slotEndTime) : "";
                    $timeSlot['price'] = $slot->price;
                    $timeSlot['hour'] = $slot->hour;
                    $timeSlot['delivery_mile'] = $slot->delivery_mile;
                    $finalSlot[] = $timeSlot;
                }
            }
        }
        return $finalSlot;
    }
    
}
