<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateMerchantsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
   	public function up()
    {
        Schema::create('merchants', function (Blueprint $table) {
            $table->bigIncrements('id');
			$table->string('name');
			$table->string('email');
			$table->string('phone');
			$table->string('password');
			$table->text('logo');
			$table->string('contact_name');
			$table->text('address');
			$table->string('city');
			$table->string('state');
			$table->string('country');
			$table->string('country_code');
			$table->string('zip');
			$table->string('latitude');
			$table->string('longitude');
            $table->enum('enabled', ['Yes', 'No'])->default('Yes');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('merchants', function (Blueprint $table) {
            Schema::dropIfExists('merchants');
        });
    }
}
