@extends('layouts.app')

@section('content')
<div class="content-page">
	<div class="content">

		<!-- Start Content-->
		<div class="container-fluid">

			<!-- start page title -->
			<div class="row mt-3 mb-3">
				<div class="col-8 col-sm-8 col-md-8 col-lg-8">
					<div class="page-title-box">
						<h4>App Dashboard Sections</h4>
						<ol class="breadcrumb m-0">
							<li class="breadcrumb-item">
								<a href="{{ route('dashboard') }}">Dashboard</a>
							</li>
							<li class="breadcrumb-item active">
								App Dashboard Sections
							</li>
						</ol>
					</div>
				</div>
				<div class="col-2 col-sm-2 col-md-2 col-lg-2 text-right">
					<a href="{{route('sections.create')}}" class="btn btn-secondary mt-4">
						<i class="fa fa-plus mr-2"></i>
						New Section
					</a>
				</div>
			</div>
			<!-- end page title -->
			@include('flash/flash')
			<div class="row">
				<div class="col-8 offset-2">
					<div class="">
						<span class="mb-2 d-inline-block ajaxStatus"></span>
						<div class="catBody" style="min-height:400px;">
							<div class="list-group movable" data-url="{{route('updateSectionOrderAjax')}}">
								<?php foreach($sections as $section): ?>
									<div class="list-group-item" data-id="{{$section->id}}">
										<div class="row">
											<div class="col-10 text-primary">
												<?php if($section->app_key=='custom'): ?>
													<i class="float-right text-muted">{{ucfirst($section->app_key)}} Section</i>
												<?php endif; ?>
												<i class="fa fa-bars text-muted" style="cursor:grab;"></i>
												&nbsp;&nbsp;&nbsp;
												<?php echo $section->name; ?>
											</div>
											<div class="col-2">
												<div class="">
													<?php $enbl = $section->enabled=='Yes'?'No':'Yes'; ?>
													<a href="{{route('toggleSectionEnable',[$section->id,$enbl])}}" class="btn btn-xs btn-outline-success" data-toggle="tooltip" title="<?php echo $section->enabled=='Yes'?'Hide':'Show'; ?> Section">
														<i class="fa fa-<?php echo $section->enabled=='No'?'eye-slash':'eye'; ?>"></i>
													</a>
													
													<?php if($section->app_key=='slider'): ?>
														<a href="{{route('sections.slider')}}" class="btn btn-xs btn-outline-warning ml-1" data-toggle="tooltip" title="Edit">
															<i class="fa fa-edit"></i>
														</a>
													<?php else: ?>
														<a href="{{route('sections.edit',$section->id)}}" class="btn btn-xs btn-outline-warning ml-1" data-toggle="tooltip" title="Edit">
															<i class="fa fa-edit"></i>
														</a>
														<?php if($section->app_key=='custom'): ?>
														<form class="d-inline-block" id="secForm{{$section->id}}" action="{{route('sections.destroy',$section->id)}}" method="post">
															@csrf
															@method('DELETE')
															<button type='button' class="btn btn-xs btn-outline-danger ml-1 delSecBtn" data-form="#secForm{{$section->id}}" data-toggle="tooltip" title="Delete">
																<i class="fa fa-trash"></i>
															</button>
														</form>
														<?php endif; ?>
													<?php endif; ?>
												</div>
											</div>
										</div>
									</div>
								<?php endforeach; ?>
							</div>
						</div>
					</div>
					
				</div>
			</div>
			
		</div>
		<!-- container -->

	</div>
	<!-- content -->

	

</div>

<script>
	var updating = `<span class="badge badge-pill badge-info"><i class="fa fa-spin fa-spinner"></i>
					Updating
				</span>`;
	var updated = `<span class="badge badge-pill badge-success"><i class="fa fa-check"></i>
					Success
				</span>`;
	var failed = `<span class="badge badge-pill badge-danger"><i class="fa fa-times"></i>
					Failed
				</span>`;

	$(function(){
		
		var catHeight = $('.catBody').height();
		// console.log(catHeight);
		
		$('.catBody').prop('style','min-height:'+(catHeight+100)+"px;");
		
		sortable('.movable',{
			handle: '.fa-bars',
			placeholder: '<div class="list-group-item text-muted bg-light p-2">Item will be dropped here</div>'
		})[0].addEventListener('sortupdate', function(e) {
			url = $('.movable').data('url');
			data = new Array();
			$('.movable > .list-group-item').each(function(){
				data.push($(this).data('id'));
			});
			
	    	$.ajax({
	           type:'POST',
	           url:url,
	           data:{_token:$('meta[name="csrf-token"]').attr('content'),data:data},
	           beforeSend:function(){
	           	 $('.ajaxStatus').html(updating);
	           },
	           success:function(data) {
	           	
	           	 setTimeout(function(){
	           	 	if(data==1){
		             	$('.ajaxStatus').html(updated);
		             } else {
		             	$('.ajaxStatus').html(failed);
		             }
	             	 setTimeout(function(){
		             	$('.ajaxStatus').html('');
		             },1000);
	             },1000);
	           	
	           }
	        });
	
	   	}); 	
	   	
	   
	    $(document).on('click','.delSecBtn',function(e){
	    	var form = $(this).data('form');
	    	Swal.fire({
				  title: "You won't be able to revert this!",
				  text: "Are you sure?",
				  icon: 'warning',
				  showCancelButton: true,
				  confirmButtonColor: '#3085d6',
				  cancelButtonColor: '#d33',
				  confirmButtonText: 'Yes, delete it!'
				}).then((result) => {
				  if (result.value) {
				  	$(form).trigger('submit');
				  }
				});
	    });
	   
	   	
	});
</script>
@endsection
