@extends('layouts.app')

@section('content')
<div class="content-page">
	<div class="content">

		<!-- Start Content-->
		<div class="container-fluid">

			<!-- start page title -->
			<div class="row mt-3 mb-3">
				<div class="col-8 col-sm-8 col-md-8 col-lg-8">
					<div class="page-title-box">
						<h4>Slider Banners</h4>
						<ol class="breadcrumb m-0">
							<li class="breadcrumb-item">
								<a href="{{ route('dashboard') }}">Dashboard</a>
							</li>
							<li class="breadcrumb-item">
								App Settings
							</li>
							<li class="breadcrumb-item">
								<a href="{{ route('appDashboardSections') }}">App Dashboard Sections</a>
							</li>
							<li class="breadcrumb-item active">
								Slider Banners
							</li>
						</ol>
					</div>
				</div>
				<div class="col-2 col-sm-2 col-md-2 col-lg-2 text-right">
					<a href="{{route('sections.newbanner')}}" class="btn btn-secondary mt-4">
						<i class="fa fa-plus mr-2"></i>
						New Banner
					</a>
				</div>
			</div>
			<!-- end page title -->
			@include('flash/flash')
			<div class="row">
				<div class="col-3 border-right">
					<span class="ajaxStatus float-right"></span>
					<h5>Banners</h5>
					<?php if(count($banners)==0): ?>
						<div class="bg-soft-info text-dark px-4 py-2 text-center">
							No Banners Found
						</div>
					<?php endif; ?>
					
					<div class="movable" data-url="{{route('updateBannerOrderAjax')}}">
						<?php foreach($banners as $banner): ?>
							<div class="card border shadow" data-id="{{$banner->id}}">
								<button class="btn btn-xs btn-light float-left dragHandle" style="position:absolute;cursor:grab;box-shadow:none;" type="button" data-toggle="tooltip" title="Drag up/down to reorder">
									<i class="fa fa-bars"></i>
								</button>
								<img src="{{$banner->name}}" class="card-img-top bannerImage" style="object-fit:cover;cursor:pointer;" data-id="{{$banner->id}}" data-toggle="tooltip" data-placement="right" title="Click to view Linked Products">
								<div class="card-body px-1 py-2">
									<span class="float-right">
										<span class="badge badge-<?php echo $banner->enabled=='Yes'?'success':'secondary'; ?>">
											<?php echo $banner->enabled=='Yes'?'Visible':'Hidden'; ?>
										</span>
									</span>
									<?php $enb = $banner->enabled=='Yes'?'No':'Yes'; ?>
									<a href="{{route('toggleBannerEnable',[$banner->id,$enb])}}" class="btn btn-xs btn-outline-info" data-toggle="tooltip" title="Toggle Visibility">
								    	<i class="fa fa-{{$banner->enabled=='Yes'?'eye':'eye-slash'}}"></i>
								    </a>
								    <a href="{{route('sections.editbanner',$banner->id)}}" class="btn btn-xs btn-outline-warning" data-toggle="tooltip" title="Edit">
								    	<i class="fa fa-edit"></i>
								    </a>
								    <form class="d-inline-block" id="delBannerForm{{$banner->id}}" action="{{route('destroyBanner')}}" method="post">
								    	@csrf
								    	<input type="hidden" value="{{$banner->id}}" name="id">
								    	<button class="btn btn-xs btn-outline-danger delBannerBtn" data-form="#delBannerForm{{$banner->id}}" type="button" data-toggle="tooltip" title="Delete">
									    	<i class="fa fa-trash"></i>
									    </button>
								    </form>
								    
								</div>
							</div>
						<?php endforeach; ?>
					</div>
				</div>
				<div class="col-9">
					<h5>Linked Products</h5>
					<div class="list-group position-sticky" id="bannerProductsList">
						<span class="text-muted">Click on the left Banner to view Related Products</span>
					</div>
				</div>
			</div>
			
		</div>
		<!-- container -->

	</div>
	<!-- content -->

	

</div>

<script>
	var updating = `<span class="badge badge-pill badge-info"><i class="fa fa-spin fa-spinner"></i>
					Updating
				</span>`;
	var updated = `<span class="badge badge-pill badge-success"><i class="fa fa-check"></i>
					Success
				</span>`;
	var failed = `<span class="badge badge-pill badge-danger"><i class="fa fa-times"></i>
					Failed
				</span>`;
	var loadingData = `<span class="text-danger font-25">
							<i class="fa fa-spin fa-spinner"></i>
							Loading Data
						</span>`;
	var loadFailed = `<span class="text-danger font-25">
							<i class="fa fa-times"></i>
							Loading Failed
						</span>`;

	$(function(){
		
		$(document).on('click','.bannerImage', function(e) {
			//scrolling to top of the page
		   $('html, body').animate({scrollTop: parseInt($('body').offset().top)},500,'linear');
		   
		   var bid = $(this).data('id');
		   var container = $('#bannerProductsList');
		   //getting banner linked products
		   $.ajax({
	           type:'POST',
	           url:"{{route('getBannerProductsAjax')}}",
	           data:{_token:$('meta[name="csrf-token"]').attr('content'),id:bid},
	           beforeSend:function(){
	           	container.html(loadingData);
	           },
	           success:function(data) {
	           	
	           	 setTimeout(function(){
	           	 	container.html(data);
	           	 	destroyProductSortable()
	           	 	$('[data-toggle="tooltip"]').tooltip('dispose');
	           	 	$('[data-toggle="tooltip"]').tooltip();
	           	 	buildProductSortable()
	             },1000);
	           	
	           }
	        });
		   
		});
		
		function destroyProductSortable(){
			if($(document).find('.bannersMovable').length>0){
				sortable('.bannersMovable','destroy');
			}
		}
		function buildProductSortable(){
			
			sortable('.bannersMovable',{
				handle: '.prodDraghandle',
				placeholder: `<div class="list-group-item text-muted bg-light p-2">Product will be dropped here</div>`
			})[0].addEventListener('sortupdate', function(e) {
				
				data = new Array();
				$('.bannersMovable > .list-group-item').each(function(){
					data.push($(this).data('id'));
				});
				
		    	$.ajax({
		           type:'POST',
		           url:"{{route('updateBannerProductOrderAjax')}}",
		           data:{_token:$('meta[name="csrf-token"]').attr('content'),data:data},
		           beforeSend:function(){
		           	 $('.ajaxStatusP').html(updating);
		           },
		           success:function(data) {
		           	
		           	 setTimeout(function(){
		           	 	if(data==1){
			             	 $('.ajaxStatusP').html(updated);
			             } else {
			             	 $('.ajaxStatusP').html(failed);
			             }
		             	 setTimeout(function(){
			             	 $('.ajaxStatusP').html('');
			             },1000);
		             },1000);
		           	
		           }
		        });
		
		   	}); 
		}
		
		
		sortable('.movable',{
			handle: '.dragHandle',
			placeholder: `<div class="card border shadow">
								<img src="{{asset('images/banner-placeholder.png')}}" class="card-img-top" style="object-fit:cover;">
								<div class="card-body text-center">
									<strong>Banner will be dropped here</strong>
								</div>
							</div>`
		})[0].addEventListener('sortupdate', function(e) {
			url = $('.movable').data('url');
			data = new Array();
			$('.movable > .card').each(function(){
				data.push($(this).data('id'));
			});
			
	    	$.ajax({
	           type:'POST',
	           url:url,
	           data:{_token:$('meta[name="csrf-token"]').attr('content'),data:data},
	           beforeSend:function(){
	           	 $('.ajaxStatus').html(updating);
	           },
	           success:function(data) {
	           	
	           	 setTimeout(function(){
	           	 	if(data==1){
		             	 $('.ajaxStatus').html(updated);
		             } else {
		             	 $('.ajaxStatus').html(failed);
		             }
	             	 setTimeout(function(){
		             	 $('.ajaxStatus').html('');
		             },1000);
	             },1000);
	           	
	           }
	        });
	
	   	}); 	
	   	
	   
	    $(document).on('click','.delBannerBtn',function(e){
	    	var form = $(this).data('form');
	    	Swal.fire({
			  title: "You won't be able to revert this!",
			  text: "Are you sure?",
			  icon: 'warning',
			  showCancelButton: true,
			  confirmButtonColor: '#3085d6',
			  cancelButtonColor: '#d33',
			  confirmButtonText: 'Yes, delete it!'
			}).then((result) => {
			  if (result.value) {
			  	$(form).trigger('submit');
			  }
			});
	    });
	   
	   	
	});
</script>
@endsection
