@extends('layouts.login')
<style type="text/css">
	#wrapper{
		height: unset!important;
	}
	.login-btn{
		background: #931010 !important;
		border-radius: 8px !important;
		width: 190px !important;
		margin: auto;
		border-color: #a5a5a5 !important;
	}
	.body_bg {
	    top: 0px;
	    background-color: rgb(0, 0, 0);
	    position: fixed;
	    width: 100%;
	    height: 100%;
	}
	.body_bg_img {
	    position: absolute;
	    top: 0px;
	    width: 100%;
	    opacity: 0.31;
	    object-position: 50% 50%;
	    background-size: cover;
	    background-position: center center;
	    background-repeat: no-repeat;
	    height: 100%;
	    background-image: url(https://my-oja.com/assets/img/body_bg.jpg);
	}
</style>
@section('content')
<div class="body_bg">
    <div class="body_bg_img"></div>
</div>
<div class="account-pages mt-5 mb-5">
	<a href="#">
	    <img src="https://my-oja.com/assets/img/oja-logo.png" alt="" height="70" class="text-center" style="position:absolute;top:30px;left: 18px !important;">
	</a>
    <div class="container">
       
        <div class="row">        
               <div class="col-12 col-sm-12 col-md-12  col-lg-6 mx-auto">
                <div class="p-4">
                    <div class="p-4">
                            <p class="display-6 text-center text-white mb-0">Welcome to the</p>
                            <p class="display-4 text-center text-white mb-4"><b>Merchant Hub</b></p>
                            <p class="display-6 text-center text-white">Manage your orders. <br/> Check on sales, chart your progress. <br/> Tap into data that helps you grow. <br/> Attract new customers with special offers</p> 
                        @include('flash/flash')
                        <form method="POST" action="{{ route('login') }}" class="mt-4">
                        	@csrf

                            <div class="form-group mb-3">
                                <label class="text-white">Email</label>
                                <input type="hidden" name="userLogin" value="{{ $merchantLoginValue }}">
                                <input type="email" class="form-control rounded @error('email') is-invalid @enderror" name="email" value="{{ old('email') }}" placeholder="Enter your email" required autocomplete="email" autofocus>
                                 @if(Session::has('loginError'))
                                    <div style="color: white;">{{ Session::get('error')}}</div>
                                    
                                    @endif
                                @error('email')
                                    <span class="invalid-feedback" role="alert">
                                        <strong>{{ $message }}</strong>
                                    </span>
                                @enderror
                            </div>

                            <div class="form-group mb-3">

                                <label class="text-white">Password</label>
                                <input type="password" class="form-control rounded @error('password') is-invalid @enderror" name="password" placeholder="Enter Password" required autocomplete="current-password">
                                @error('password')
                                    <span class="invalid-feedback" role="alert">
                                        <strong>{{ $message }}</strong>
                                    </span>
                                @enderror
                                
                            </div>

                            <div class="form-group mb-0 text-center">
                                <button type="submit" class="btn btn-danger btn-block login-btn py-2">
                                    {{ __('Login') }}
                                </button>                                
                            </div>
                        </form>
                        <div class="row mt-3">
                            <div class="col-12 text-center">
                                <p> 
                                	@if (Route::has('password.request'))
	                                    <a class="text-white ml-1 " href="{{ route('password.request') }}" onclick="return false;">
	                                        {{ __('Forgot Your Password?') }}
	                                    </a>
	                                @endif
                                </p>
                            </div> <!-- end col -->
                        </div>
                        <!-- end row -->

                    </div> <!-- end card-body -->
                </div>
                <!-- end card -->

            </div> <!-- end col -->
        </div>
        <!-- end row -->
    </div>
    <!-- end container -->
</div>

<!--
<div class="container">
    <div class="row justify-content-center">
        <div class="col-md-8">
            <div class="card">
                <div class="card-header">{{ __('Login') }}</div>

                <div class="card-body">
                    <form method="POST" action="{{ route('login') }}">
                        @csrf

                        <div class="form-group row">
                            <label for="email" class="col-md-4 col-form-label text-md-right">{{ __('E-Mail Address') }}</label>

                            <div class="col-md-6">
                                <input id="email" type="email" class="form-control @error('email') is-invalid @enderror" name="email" value="{{ old('email') }}" required autocomplete="email" autofocus>

                                @error('email')
                                    <span class="invalid-feedback" role="alert">
                                        <strong>{{ $message }}</strong>
                                    </span>
                                @enderror
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="password" class="col-md-4 col-form-label text-md-right">{{ __('Password') }}</label>

                            <div class="col-md-6">
                                <input id="password" type="password" class="form-control @error('password') is-invalid @enderror" name="password" required autocomplete="current-password">

                                @error('password')
                                    <span class="invalid-feedback" role="alert">
                                        <strong>{{ $message }}</strong>
                                    </span>
                                @enderror
                            </div>
                        </div>

                        <div class="form-group row">
                            <div class="col-md-6 offset-md-4">
                                <div class="form-check">
                                    <input class="form-check-input" type="checkbox" name="remember" id="remember" {{ old('remember') ? 'checked' : '' }}>

                                    <label class="form-check-label" for="remember">
                                        {{ __('Remember Me') }}
                                    </label>
                                </div>
                            </div>
                        </div>

                        <div class="form-group row mb-0">
                            <div class="col-md-8 offset-md-4">
                                <button type="submit" class="btn btn-primary">
                                    {{ __('Login') }}
                                </button>

                                @if (Route::has('password.request'))
                                    <a class="btn btn-link" href="{{ route('password.request') }}">
                                        {{ __('Forgot Your Password?') }}
                                    </a>
                                @endif
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>
-->
@endsection
