@extends('layouts.app')

@section('content')
<div class="content-page">
	<div class="content">

		<!-- Start Content-->
		<div class="container-fluid">

			<!-- start page title -->
			<div class="row mt-3 mb-3">
				<div class="col-8 col-sm-8 col-md-8 col-lg-8">
					<div class="page-title-box">
						<h4>App Home Categories</h4>
						<ol class="breadcrumb m-0">
							<li class="breadcrumb-item">
								<a href="{{ route('dashboard') }}">Dashboard</a>
							</li>
							<li class="breadcrumb-item active">
								App Settings
							</li>
							<li class="breadcrumb-item active">
								App Home Categories
							</li>
						</ol>
					</div>
				</div>
			</div>
			<!-- end page title -->
			@include('flash/flash')
			<div class="row">
				<div class="col-6">
					
					<div class="card border border-dark">
						<div class="card-header border ">
							<span class="float-right ajaxStatus2"></span>
							<h4 class="m-0">Categories Sorting</h4>
						</div>
						<div class="card-body catBody">
							<div class="list-group cmovable" data-url="{{route('appDashboardSettings')}}">
								<?php foreach($categories as $section): ?>
									<div draggable="true" class="list-group-item" data-id="{{$section->id}}">
										<div class="row">
											<div class="col-12">
												<span class="badge badge-light text-muted float-right">
													Category
												</span>
												<a href="javascript:void(0);" style="display:block;" class="mb-2">
													<i class="fa fa-bars"></i>
													&nbsp;&nbsp;&nbsp;
													<?php echo $section->name; ?>
												</a>
												<?php if(count($section->categories)>0): ?>
													<div class="list-group cmovable2" data-url="{{route('appDashboardSettings')}}">
														<?php foreach($section->categories as $section2): ?>
															<a href="javascript:void(0);" draggable="true" class="list-group-item" data-id="{{$section2->id}}">
																<div class="row">
																	<div class="col-10">
																		<i class="fa fa-bars"></i>
																		&nbsp;&nbsp;&nbsp;
																		<?php echo $section2->name; ?>
																	</div>
																	<div class="col-2">
																		<span class="badge badge-light text-muted">
																			Sub Category
																		</span>
																	</div>
																</div>
															</a>
														<?php endforeach; ?>
													</div>
												<?php endif; ?>
											</div>
										</div>
									</div>
								<?php endforeach; ?>
							</div>
							
							
						</div>
					</div>
					
				</div>
				
				<div class="col-6">
					
				</div>
			</div>
			
		</div>
		<!-- container -->

	</div>
	<!-- content -->

	

</div>

<script>
	var updating = `<span class="badge badge-pill badge-info"><i class="fa fa-spin fa-spinner"></i>
					Updating
				</span>`;
	var updated = `<span class="badge badge-pill badge-success"><i class="fa fa-check"></i>
					Success
				</span>`;
	var failed = `<span class="badge badge-pill badge-danger"><i class="fa fa-times"></i>
					Failed
				</span>`;

	$(function(){
		
		var catHeight = $('.catBody').height();
		// console.log(catHeight);
		
		$('.catBody').prop('style','min-height:'+(catHeight+100)+"px;");
		/*
		sortable('.movable',{
			handle: '.fa-bars'
		})[0].addEventListener('sortupdate', function(e) {
			url = $('.movable').data('url');
			data = new Array();
			$('.movable > a').each(function(){
				data.push($(this).data('id'));
			});
			
	    	$.ajax({
	           type:'POST',
	           url:url,
	           data:{_token:$('meta[name="csrf-token"]').attr('content'),data:data,type:'sections'},
	           beforeSend:function(){
	           	 $('.ajaxStatus').html(updating);
	           },
	           success:function(data) {
	           	
	           	 setTimeout(function(){
	             	if(data==1){
		             	$('.ajaxStatus').html(updated);
		             } else {
		             	$('.ajaxStatus').html(failed);
		             }
	             	
	             	 setTimeout(function(){
		             	$('.ajaxStatus').html('');
		             },3000);
	             },2000);
	           	
	           }
	        });
	
	   	}); 
	   	*/	
	   	
	   	sortable('.cmovable',{
	   		placeholder: '<div class="list-group-item text-muted bg-light p-3">Item will be dropped here</div>'
	   	})[0].addEventListener('sortupdate', function(e) {
			url = $('.cmovable').data('url');
			data = new Array();
			$('.cmovable > div').each(function(){
				data.push($(this).data('id'));
			});
			//console.log(data);
	    	$.ajax({
	           type:'POST',
	           url:url,
	           data:{_token:$('meta[name="csrf-token"]').attr('content'),data:data,type:'categories'},
	           beforeSend:function(){
	           	 $('.ajaxStatus2').html(updating);
	           },
	           success:function(resp) {
	           	//console.log(resp);
	           	 setTimeout(function(){
	             	if(resp==1){
		             	$('.ajaxStatus2').html(updated);
		             } else {
		             	$('.ajaxStatus2').html(failed);
		             }
	             	
	             	 setTimeout(function(){
		             	$('.ajaxStatus2').html('');
		             },3000);
	             },3000);
	           	
	           }
	        });
	
	   	}); 
	   	
	   	sortable('.cmovable2',{
	   		placeholder: '<div class="list-group-item text-muted bg-light p-2">Item will be dropped here</div>'
	   	})[0].addEventListener('sortupdate', function(e) {
			url = $('.cmovable2').data('url');
			data = new Array();
			$('.cmovable2 > a').each(function(){
				data.push($(this).data('id'));
			});
			
			$.ajax({
	           type:'POST',
	           url:url,
	           data:{_token:$('meta[name="csrf-token"]').attr('content'),data:data,type:'subcategories'},
	           beforeSend:function(){
	           	 $('.ajaxStatus2').html(updating);
	           },
	           success:function(data) {
	           	
	           	 setTimeout(function(){
	             	if(data==1){
		             	$('.ajaxStatus2').html(updated);
		             } else {
		             	$('.ajaxStatus2').html(failed);
		             }
	             	
	             	 setTimeout(function(){
		             	$('.ajaxStatus2').html('');
		             },3000);
	             },3000);
	           	
	           }
	        });
	
	   	}); 
	   	
	});
</script>
@endsection
