@extends('layouts.app')

@section('content')
<div class="content-page">
	<div class="content">

		<!-- Start Content-->
		<div class="container-fluid">

			<div class="row">
				<div class="col-12">
					<div class="page-title-box">
						<h4 class="page-title">Cultures</h4>
						<ol class="breadcrumb m-0">
							<li class="breadcrumb-item">
								<a href="{{route('dashboard')}}">Dashboard</a>
							</li>
							<li class="breadcrumb-item active">
								Cultures List
							</li>
						</ol>
					</div>
				</div>
			</div>
			<!-- end page title -->

			<div class="row">
				<div class="col-9">
					<div class="card">
						<div class="card-body">
							<div class="row">
								<div class="col-8">
									<div class="page-title-box">

										<p class="page-title pt-3" style="line-height: 0">
											<i class=" mdi mdi-account-outline"></i> Cultures List
										</p>
									</div>
								</div>
								<div class="col-4 text-right pt-1 pb-3">

									<a href="{{route('addCultures')}}" role="button" class="btn btn-danger waves-effect waves-light">
										<i class="fa fa-plus"></i> Create New Culture
									</a>
								</div>
							</div>
							<div class="table-responsive">
								<table class="table mb-0 table-bordered " >
									<thead class="thead-dark">
										<tr>
											<th>Image</th>
											<th>Name</th>
											<th>Enabled</th>
											<th class="text-center">Action</th>
										</tr>
									</thead>
									<tbody>
										<?php if(count($cultures)==0): ?>
											<tr class="table-info">
												<td colspan='7' class="text-center">
													No Records Found
												</td>
											</tr>
										<?php endif; ?>
										@foreach($cultures as $culture)
										<tr>
											<td><img src="{{ empty($culture->image)?asset('images/uncategorized.png'):$culture->image }}" style="height:40px;"></td>
											<td>{{$culture->name}}</td>
											<td>{{$culture->enabled}}</td>
											<td style="width:120px;">
												<a href="{{route('editCulture',$culture->id)}}" class="btn btn-sm btn-warning waves-effect waves-light" data-toggle="tootip" title="Edit">
													<i class="fa fa-edit"></i>
												</a>
												<form style="display:inline-block;" class="deleteUserForm" action="{{route('deleteCulture')}}" method="post">
													@csrf
													@method('DELETE')
													<input type="hidden" name="id" value="{{$culture->id}}">
													<button type="submit" class="btn btn-sm btn-danger waves-effect waves-light" data-toggle="tooltip" title="Delete Culture">
														<i class="fa fa-trash"></i>
													</button>
												</form>
											</td>
										</tr>
										@endforeach
										
									</tbody>
								</table>
							</div>
							{{$cultures->links()}}

						</div>
						<!-- end card-body-->
					</div>
					<!-- end card-->
				</div>
				<!-- end col -->

				<div class="col-3">
					<div class="card">
						<div class="card-body">
							<div class="row">
								<div class="col-8">
									<div class="page-title-box">
										<p class="page-title pt-3" style="line-height: 0">
											<i class="mdi mdi-filter"></i> Filter
										</p>
									</div>
								</div>
							</div>

							<div class="row mt-4">
								
									<div class="col-12">
										<form class="" action="{{route('culturesList')}}" method="get">
										@csrf
										<div class="form-group mb-3">
											<label for="example-select">Filter By</label>
											<select class="form-control" name="ftype" required>
												<option value=""></option>
												<option <?php echo $ftype=='name'?'selected':''; ?> value="name">Name</option>
												<option <?php echo $ftype=='enabled'?'selected':''; ?> value="enabled">Enabled</option>
											</select>
										</div>
	
										<div class="form-group mb-3">
											<label for="example-select">Filter value</label>
											<input type="text" name="stext" value="{{$stext}}" class="form-control" required>
										</div>
										
	
										<button type="submit" class="btn btn-danger btn-rounded waves-effect waves-light">
											<span class="btn-label"><i class="mdi mdi-filter"></i></span>Apply
										</button>
										</form>
										<a href="{{route('culturesList')}}" class="btn btn-secondary btn-rounded waves-effect waves-light float-right">
											<span class="btn-label"><i class="mdi mdi-refresh"></i></span>Clear
										</a>
									</div>
								
							</div>
						</div>
					</div>
				</div>

			</div>

		</div>
		<!-- container -->

	</div>
	<!-- content -->

</div>

@endsection