@extends('layouts.app')

@section('content')
<div class="content-page">
	<div class="content">

		<!-- Start Content-->
		<div class="container-fluid">

			<div class="row">
				<div class="col-12">
					<div class="page-title-box">
						<h4 class="page-title">Delivery Addresses</h4>
						<ol class="breadcrumb m-0">
							<li class="breadcrumb-item">
								<a href="{{route('dashboard')}}">Dashboard</a>
							</li>
							<li class="breadcrumb-item active">
								Delivery Addresses List
							</li>
						</ol>
					</div>
				</div>
			</div>
			<!-- end page title -->

			<div class="row">
				<div class="col-9">
					<div class="card">
						<div class="card-body">
							<div class="row">
								<div class="col-8">
									<div class="page-title-box">
										<p class="page-title" >
											<i class=" mdi mdi-account-outline"></i> Delivery Addresses List
										</p>
									</div>
								</div>
							</div>
							<div class="table-responsive">
								<table class="table mb-0 table-bordered " >
									<thead class="thead-dark">
										<tr>
											<th>Pin Code</th>
											<th>Country</th>
											<th>District</th>
											<th>Ward</th>
											<th>Region</th>
											<th>Enabled</th>
											<th class="text-center">Action</th>
										</tr>
									</thead>
									<tbody>
										<?php if(count($addresses)==0): ?>
											<tr class="table-info">
												<td colspan='7' class="text-center">
													No Records Found
												</td>
											</tr>
										<?php endif; ?>
										@foreach($addresses as $address)
										<tr>
											<td>{{$address['Postcode']}}</td>
											<td>{{$address['Country']}}</td>
											<td>{{$address['District']}}</td>
											<td>{{$address['Ward']}}</td>
											<td>{{$address['Region']}}</td>
											<td>
												{{$address['in_use']}}
												@if($address['in_use']=='Yes')
													<?php $inUse = 'No'; ?>
												@else 
													<?php $inUse = 'Yes'; ?>
												@endif
												<form style="display:block;" action="{{route('markInUse',[$address['id'],$inUse])}}" method="get">
													@csrf
													@method('GET')
													<button type="submit" class="btn btn-xs btn-warning" data-toggle="tooltip" title="Change to {{$inUse}}">
														<i class="fa fa-recycle"></i>
													</button>
												</form>
											</td>
											<td style="width:120px;">
<!-- 												<a href="{{route('editDeliveryAddress',$address['id'])}}" class="btn btn-sm btn-warning waves-effect waves-light" data-toggle="tootip" title="Edit"> -->
<!-- 													<i class="fa fa-edit"></i> -->
<!-- 												</a> -->
												<form style="display:inline-block;" class="deleteUserForm" action="{{route('deleteDeliveryAddress')}}" method="post">
													@csrf
													@method('DELETE')
													<input type="hidden" name="id" value="{{$address['id']}}">
													<button type="submit" class="btn btn-sm btn-danger waves-effect waves-light" data-toggle="tooltip" title="Delete Delivery Address">
														<i class="fa fa-trash"></i>
													</button>
												</form>
											</td>
										</tr>
										@endforeach
										
									</tbody>
								</table>
							</div>
						</div>
						<!-- end card-body-->
					</div>
					<!-- end card-->
				</div>
				<!-- end col -->

				<div class="col-3">
					<div class="card">
						<div class="card-body">
							<div class="row">
								<div class="col-8">
									<div class="page-title-box">
										<p class="page-title pt-3" style="line-height: 0">
											<i class="mdi mdi-filter"></i> Filter
										</p>
									</div>
								</div>
							</div>

							<div class="row mt-4">
								
									<div class="col-12">
										<form class="" action="{{route('deliveryAddressesList')}}" method="get">
										@csrf
										<div class="form-group mb-3">
											<label for="example-select">Filter By</label>
											<select class="form-control" name="ftype" required>
												<option value=""></option>
												<option <?php echo $ftype=='Ward'?'selected':''; ?> value="Ward">Ward</option>
												<option <?php echo $ftype=='Region'?'selected':''; ?> value="Region">Region</option>
												<option <?php echo $ftype=='Postcode'?'selected':''; ?> value="Postcode">Pin Code</option>
											</select>
										</div>
	
										<div class="form-group mb-3">
											<label for="example-select">Filter value</label>
											<input type="text" name="stext" value="{{$stext}}" class="form-control" required>
										</div>
										
	
										<button type="submit" class="btn btn-danger btn-rounded waves-effect waves-light">
											<span class="btn-label"><i class="mdi mdi-filter"></i></span>Apply
										</button>
										</form>
									</div>
								
							</div>
						</div>
					</div>
				</div>

			</div>

		</div>
		<!-- container -->

	</div>
	<!-- content -->

</div>

@endsection