@extends('layouts.app')

@section('content')
<div class="content-page">
	<div class="content">

		<!-- Start Content-->
		<div class="container-fluid">

			<!-- start page title -->
			<div class="row mt-3 mb-3">
				<div class="col-8 col-sm-8 col-md-8 col-lg-8">
					<div class="page-title-box">
						<!--<h4>Edit Admin User</h4>-->
						<ol class="breadcrumb m-0">
							<li class="breadcrumb-item">
								<a href="{{ route('dashboard') }}">Dashboard</a>
							</li>
							<li class="breadcrumb-item">
								<a href="{{ route('deliveryAddressesList') }}">Delivery Address</a>
							</li>
							
							<li class="breadcrumb-item active">
								Edit Delivery Address
							</li>
						</ol>
					</div>
				</div>
				
			</div>
			<div class="row">
				<div class="col-12">

					<form class="form-horizontal" action="{{ route('saveEditDeliveryAddress',$address->id) }}" method="post" enctype="multipart/form-data" id="adminUserForm">
						@csrf
						<div class="card">
							<div class="card-header bg-dark ">
								<div class="row">
									<div class="col-6 col-sm-8 col-md-8 col-lg-8">
										<h4 class="text-white "><i class=" mdi mdi-pencil-outline"></i>Edit Delivery Address</h4>
									</div>
									<div class="col-6 col-sm-4 col-md-4 col-lg-4 text-right">
										<button type="submit" class="btn btn-success waves-effect waves-light">
											<i class="mdi mdi-content-save"></i> Save
										</button>
										<a href="{{ route('deliveryAddressesList') }}">
											<button type="button" class="btn btn-danger waves-effect waves-light">
												<i class="fa fa-user-friends"></i> View All
											</button>
										</a>
									</div>
								</div>
							</div>
							<div class="card-body">
								<div class="row">
									<div class="col-6 offset-2">
										<div class="form-group row mb-3">
											<label for="inputEmail3" class="col-4 col-sm-2 col-md-2 col-lg-2 col-form-label text-right"><span class="text-danger">*</span>Display Name</label>
											<div class="col-8 col-sm-10 col-md-10 col-lg-10">
												<input type="text" class="form-control @error('name') is-invalid @enderror" value="{{$address->name}}" name="name" id="" placeholder="Display Name">
												@if ($errors->has('name'))
                                                      <span class="text-danger">{{ $errors->first('name') }}</span>
                                                @endif
											</div>
										</div>
										<div class="form-group row mb-3">
											<label for="inputEmail3" class="col-4 col-sm-2 col-md-2 col-lg-2 col-form-label text-right">Pin Code</label>
											<div class="col-8 col-sm-10 col-md-10 col-lg-10">
												<input type="text" class="form-control @error('country_code') is-invalid @enderror" value="{{$address->pin_code}}" name="pin_code" id="" placeholder="Pin Code">
												@if ($errors->has('pin_code'))
                                                      <span class="text-danger">{{ $errors->first('pin_code') }}</span>
                                                @endif
											</div>
										</div>
										<div class="form-group row mb-3">
											<label for="inputEmail3" class="col-4 col-sm-2 col-md-2 col-lg-2 col-form-label text-right">Enabled</label>
											<div class="col-8 col-sm-10 col-md-10 col-lg-100">
												<select class="form-control" name="enabled" id="example-select">
													<option <?php echo $address->enabled=='Yes'?'selected':''; ?> value="Yes">Yes</option>
													<option <?php echo $address->enabled=='No'?'selected':''; ?> value="No">No</option>
												</select>
											</div>
										</div>
									</div>
								</div>

							</div>
						</div>
						<!-- end card-->

					</form>
				</div>
				<!-- end col -->
			</div>
			<!-- end row -->

		</div>
		<!-- container -->

	</div>
	<!-- content -->

	

</div>
<script>
	$(function() {
		buildValidation();
	});

	function buildValidation() {
		var bootstrapValidat = $('#adminUserForm').data('bootstrapValidator');

		if (bootstrapValidat != undefined) {
			bootstrapValidat.destroy();
		}

		$('#adminUserForm').bootstrapValidator({
			// Only disabled elements are excluded
			// The invisible elements belonging to inactive tabs must be validated
			excluded : [':disabled'],
			//container: '#valMessages',
			feedbackIcons : {
				valid : 'fa fa-check',
				invalid : 'fa fa-times',
				validating : 'fa fa-refresh'
			},
			fields : {
				name : {
					validators : {
						notEmpty : {
							message : 'Delivery address name is required'
						}
					}
				},
				enabled : {
					validators : {
						notEmpty : {
							message : 'Enabled Status is required'
						}
					}
				},
			}
		});
		
	}
</script>
@endsection