@extends('layouts.app')

@section('content')
<div class="content-page">
	<div class="content">

		<!-- Start Content-->
		<div class="container-fluid">

			<!-- start page title -->
			<div class="row mt-3 mb-3">
				<div class="col-8 col-sm-8 col-md-8 col-lg-8">
					<div class="page-title-box">
						
						<ol class="breadcrumb m-0">
							<li class="breadcrumb-item">
								<a href="{{ route('dashboard') }}">Dashboard</a>
							</li>
							<li class="breadcrumb-item">
								<a href="{{ route('deliveryAddressesList') }}">Delivery Address</a>
							</li>
							<li class="breadcrumb-item active">
								Create New
							</li>
						</ol>
					</div>
				</div>
				
			</div>
			<div class="row">
				<div class="col-12">

					<form class="form-horizontal" action="{{ route('saveNotDeliveredAddress') }}" method="post" enctype="multipart/form-data" id="adminUserForm">
						@csrf
						<div class="card">
							<div class="card-header bg-dark ">
								<div class="row">
									<div class="col-6 col-sm-8 col-md-8 col-lg-8">
										<h4 class="text-white m-0 p-0"><i class="fa fa-user"></i> Import Not Delivery Addresses</h4>
									</div>
									<div class="col-6 col-sm-4 col-md-4 col-lg-4 text-right">
										<button type="submit" class="btn btn-success btn-sm waves-effect waves-light">
											<i class="mdi mdi-content-save"></i> Save
										</button>
										<a href="{{ route('deliveryAddressesList') }}">
											<button type="button" class="btn btn-danger btn-sm waves-effect waves-light">
												<i class="fa fa-user-friends"></i> View All
											</button>
										</a>
										
										
									</div>
								</div>
							</div>
							<div class="card-body">
								<div class="row">
									<div class="col-6 offset-2">
										<div class="form-group row mb-3">
											<label for="inputEmail3" class="col-4 col-sm-2 col-md-2 col-lg-2 col-form-label text-right"><span class="text-danger">*</span>Import CSV File</label>
											<div class="col-8 col-sm-10 col-md-10 col-lg-10">
												<input type="file" class="form-control @error('csv_file') is-invalid @enderror" value="{{old('csv_file')}}" name="csv_file" id="" placeholder="CSV File">
												@if ($errors->has('csv_file'))
                                                      <span class="text-danger">{{ $errors->first('csv_file') }}</span>
                                                @endif
											</div>
											<h4 class="text-center mt-4 text-danger">Note : Can not import more than 10,000 postcodes in one file</h4>
										</div>
									</div>
								</div>

							</div>
						</div>
						<!-- end card-->

					</form>
				</div>
				<!-- end col -->
			</div>
			<!-- end row -->

		</div>
		<!-- container -->

	</div>
	<!-- content -->

	

</div>
<script>

</script>
@endsection