@extends('layouts.app')

@section('content')
<div class="content-page">
	<div class="content">

		<!-- Start Content-->
		<div class="container-fluid">

			<div class="row">
				<div class="col-12">
					<div class="page-title-box">
						<h4 class="page-title">Delivery Addresses</h4>
						<ol class="breadcrumb m-0">
							<li class="breadcrumb-item">
								<a href="{{route('dashboard')}}">Dashboard</a>
							</li>
							<li class="breadcrumb-item active">
								Not Delivered Addresses List
							</li>
						</ol>
					</div>
				</div>
			</div>
			<!-- end page title -->

			<div class="row">
				<div class="col-9">
					<div class="card">
						<div class="card-body">
							<div class="row">
								<div class="col-8">
									<div class="page-title-box">
										<p class="page-title" >
											<i class=" mdi mdi-account-outline"></i> List of Not deliverable Addresses
										</p>
									</div>
								</div>
								<div class="col-4 text-right pt-1 pb-3">
									<a href="{{route('importAddresses')}}" role="button" class="btn btn-danger waves-effect waves-light">
										<i class="fa fa-plus"></i> Import
									</a>
									<a href="{{route('exportSampleAddresses')}}" role="button" class="btn btn-danger waves-effect waves-light">
										<i class="fa fa-download"></i> Download Sample
									</a>
								</div>
							</div>
							<div class="table-responsive">
								<table class="table mb-0 table-bordered " >
									<thead class="thead-dark">
										<tr>
											<th>Postcode</th>
											<th>Action</th>
										</tr>
									</thead>
									<tbody>
										<?php if(count($addresses)==0): ?>
											<tr class="table-info">
												<td colspan='7' class="text-center">
													No Records Found
												</td>
											</tr>
										<?php endif; ?>
										@foreach($addresses as $address)
										<tr>
											<td>{{$address['postcode']}}</td>
											<td style="width:120px;">
												<form style="display:inline-block;" class="deleteUserForm" action="{{route('deleteDeliveryAddress')}}" method="post">
													@csrf
													@method('DELETE')
													<input type="hidden" name="id" value="{{$address['id']}}">
													<button type="submit" class="btn btn-sm btn-danger waves-effect waves-light" data-toggle="tooltip" title="Delete Delivery Address">
														<i class="fa fa-trash"></i>
													</button>
												</form>
											</td>
										</tr>
										@endforeach
										
									</tbody>
								</table>
							</div>
						</div>
						<div class="pt-3 pagination-rounded justify-content-end">
            				{{ $addresses->links() }}
            			</div>
						<!-- end card-body-->
					</div>
					<!-- end card-->
				</div>
				<!-- end col -->

				<div class="col-3">
					<div class="card">
						<div class="card-body">
							<div class="row">
								<div class="col-8">
									<div class="page-title-box">
										<p class="page-title pt-3" style="line-height: 0">
											<i class="mdi mdi-filter"></i> Filter
										</p>
									</div>
								</div>
							</div>

							<div class="row mt-4">
								
									<div class="col-12">
										<form class="" action="{{route('deliveryAddressesList')}}" method="get">
										@csrf
	
										<div class="form-group mb-3">
											<label for="example-select">Search</label>
											<input type="text" name="stext" value="{{$stext}}" class="form-control" required>
										</div>
										
	
										<button type="submit" class="btn btn-danger btn-rounded waves-effect waves-light">
											<span class="btn-label"><i class="mdi mdi-filter"></i></span>Apply
										</button>
										
										</form>
										
										<a href="{{route('deliveryAddressesList')}}" class="btn btn-secondary btn-rounded waves-effect waves-light float-right">
											<span class="btn-label"><i class="mdi mdi-refresh"></i></span>Clear
										</a>
									</div>
								
							</div>
						</div>
					</div>
				</div>

			</div>

		</div>
		<!-- container -->

	</div>
	<!-- content -->

</div>

@endsection