<?php 
	$humanOrderStatuses = [
    		'Pending'=> "Pending to Acknowledge",
    		'Acknowledged'=> "Acknowledged",
    		"Processing"=>"Processing the Order",
    		"Out for Delivery"=>"Out for Delivery",
    		"Rejected"=>"Order Rejected",
    		"Delivered"=>"Order Delivered",
    		'Shipped'=>"Shipped"
    	];
?>
<div class="table-responsive">
	<table class="table m-0 table-striped table-bordered" >
		<thead class="table-active">
			<tr class="border-top-0">
				<th width="150" class="text-center">Order #</th>
				<th>Customer</th>
				<th>Date & Time </th>
				<th class="text-right">Price</th>
				<th class="text-right">Quantity</th>
				<th class="text-right">Tax</th>
				<th class="text-right">Total</th>
				<th>Status</th>
			</tr>
		</thead>
		<tbody>
			<?php if(count($sales)==0): ?>
				<tr class="table-info text-center">
					<td colspan="8">
						<i class="fa fa-info-circle"></i>
						No Sales Found
					</td>
				</tr>
			<?php endif; ?>
			<?php foreach($sales as $sale): ?>
				<tr>
					<td width="150" class="text-center">
						<?php echo $sale->order_number; ?>
					</td>
					<td>
						<?php echo $sale->order->user->name; ?>
					</td>
					<td><?php echo date('d-M-Y h:i A',strtotime($sale->created_at)); ?></td>
					<td  class="text-right">
						<?php echo $sale->unit_price; ?>
					</td>
					<td  class="text-right">
						<?php echo $sale->quantity; ?>
					</td>
					<td  class="text-right">
						<?php echo $sale->tax; ?>
					</td>
					<td  class="text-right">
						<?php echo $sale->total_amount; ?>
					</td>
					<td>
						
						<div class="btn-group">
						  <button type="button" class="btn btn-secondary"><?php echo $humanOrderStatuses[$sale->status]; ?></button>
						  <button type="button" class="btn btn-outline-secondary dropdown-toggle dropdown-toggle-split" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
						    <span class="fa fa-caret-down"></span>
						  </button>
						  <div class="dropdown-menu dropdown-menu-right bg-light-info">
						    <button class="dropdown-item showStatusHistory" type="button" data-order-product-id="<?php echo $sale->id; ?>" data-url="{{route('getOrderStatusHistory')}}">
								View History
							</button>
						  </div>
						</div>
						
						
					</td>
				</tr>
			<?php endforeach; ?>
		</tbody>
	</table>
	</div>
<div class="pagination-rounded mt-2">
	<?php echo $sales->links(); ?>
</div>