@extends('layouts.seller-app')

<style type="text/css">
    .content-page {
        background-color: #f1f1f1;
    }
    .text-red-dark{
        color: #c23e34 !important;
        margin-bottom: 0px;
    }
    .comn-header-title{
        color: #c23e34;
        font-weight: 700;
    }
    .page-title-box .page-title{
        color: #808080 !important;
    }
    .text-grey-dark{
        color: #808080;
    }
    .comn-single-item-box{
        text-align: center;
    }
    .item-img{
        width: 100%;
        height: 100px;
        object-fit: contain;
    }
    .content-page{
        height: 100% !important;
        overflow: scroll !important;
    }
    .right-order-box{
        text-align: right;
        position: relative;
        height: 100%;
    }
    .custom-dropdown-btn{
        background: #3f92c9 !important;
        border-radius: 30px !important;
        width: 160px !important;
        position: relative;
        height: 44px;
    }
    .custom-dropdown-btn::before {
        content: "";
        position: absolute;
        right: 8px;
        top: 18px;
        border-top: 10px solid #ffffff;
        border-bottom: 8px solid transparent;
        border-left: 8px solid transparent;
        border-right: 8px solid transparent;
    }
    .dropdown-menu {
        padding: 0px !important;
    }
    .dropdown-item{
        background-color: #d9d9d9 !important;
        color: #3f92c9 !important;
        transition: 0.5s ease;
    }
    .dropdown-item:hover{
        background-color: #3f92c9 !important;
        color: #ffffff !important;
    }
    .more-detail-fixed-btn{
        position: absolute;
        width: 115px;
        bottom: 0px;
        right: 0px;
        background: #c43d31 !important;
    }
    .filter-btn-box{
        display: flex;
        flex-wrap: nowrap;
        overflow-x: auto;
        padding: 10px 0px;
    }
    .comn-filter-btn{
        bottom: 0px;
        right: 0px;
        background: #c43d31 !important;
        white-space: nowrap;
        margin-right: 10px;
        width: 200px;
    }
    .comn-blue-btn{
        background: #3f92c9 !important;
    }
    .order-detail-box{
        padding: 4px 10px !important;
    }
    .order-detail-list-box li{
        padding: 5px 10px !important;
    }
</style>
@section('content')

<div class="content-page">
    <div class="content">
        <!-- Start Content-->
        <div class="container-fluid">
            <!-- start page title -->
            <div class="row">
                <div class="col-12">
                    <div class="page-title-box">
                        <h3 class="page-title">Your Orders Detail</h3>
                    </div>
                </div>
            </div>
            <!-- end page title -->

            <div class="row my-3">
                <div class="col-12 col-md-5">
                    <h2 class="comn-header-title mb-0">GZ83940989</h2>
                    <h5 class="comn-header-title mb-3">30/11/2020 14:29 PM</h5>
                    <div class="card">
                        <div class="card-header bg-dark px-4 py-2" style="border-radius: 10px;">
                            <div class="row">
                                <div class="col-12">
                                    <h4 class="text-white my-0">Order Details</h4>
                                </div>
                            </div>
                        </div>
                        <div class="card-body order-detail-box">
                            <ul class="list-group list-group-flush order-detail-list-box">
                                <li class="list-group-item">
                                    <b>Store Name: </b>
                                    <span class="text-muted">Test</span>
                                </li>
                                <li class="list-group-item">
                                    <b>Order Date: </b>
                                    <span class="text-muted">02-Jul-2020 11:31 AM</span>
                                </li>
                                <li class="list-group-item">
                                    <b>Order ID: </b>
                                    <span class="text-muted">GZ856616482</span>
                                </li>
                                <li class="list-group-item">
                                    <b>Payment Mode: </b>
                                    <span class="text-muted">COD</span>
                                </li>
                                <li class="list-group-item">
                                    <b>Payment Status: </b>
                                    <span class="text-muted">Pending</span>
                                </li>
                                <li class="list-group-item">
                                    <b>Order Status: </b>
                                    <span class="text-muted">Pending</span>
                                </li>
                                <li class="list-group-item">
                                    <b>Delivery Date: </b>
                                </li>
                                <li class="list-group-item">
                                    <b>Delivery Time: </b>
                                </li>
                            </ul>
                        </div>
                    </div>
                </div>
                <div class="col-12 col-md-7">
                    <div class="right-order-box">
                        <h4 class="header-title comn-header-title mb-3">Order Accepted</h4>
                        <div class="dropdown">
                            <button class="btn btn-info dropdown-toggle custom-dropdown-btn" type="button" id="dropdownMenuButton" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                Update Status
                            </button>
                            <div class="dropdown-menu dropdown-menu-right" aria-labelledby="dropdownMenuButton">
                                <a class="dropdown-item" href="#">Order ready, complate</a>
                                <a class="dropdown-item" href="#">Order ready, incomplete</a>
                                <a class="dropdown-item" href="#">Can't fullfil the order</a>
                            </div>
                        </div>  
                    </div>
                </div>
            </div>
            <!-- end row -->

            <div class="row mb-5">
                <div class="col-xl-12">

                    <div class="card-box">
                        <div class="d-flex justify-content-between align-items-center my-3">
                            <div>
                                <h4 class="header-title text-grey-dark">PRODUCT TO PREPARE</h4>
                                <p class="text-muted mb-1 text-truncate">Tick off as you pack them</p>
                            </div>
                            <a href="#" type="button" class="btn btn-rounded comn-blue-btn">Print Receipt</a>
                        </div>
                        <div class="row">
                            <div class="col-12 col-md-12">
                                <div class="row">
                                    <div class="col-12 col-lg-2 col-md-3">
                                        <div class="comn-single-item-box mb-3">
                                            <img src="https://ojaprod.s3.us-east-2.amazonaws.com/products/0084805001592827198.jpg" class="item-img">
                                            <p class="text-muted m-0 text-truncate">Ponded Yam</p>
                                            <p class="text-muted m-0 text-truncate">5 kg</p>
                                            <p class="text-muted m-0 text-truncate">Qty: 4</p>
                                            <div class="form-group form-check">
                                                <input type="checkbox" class="form-check-input" id="exampleCheck1">
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-12 col-lg-2 col-md-3">
                                        <div class="comn-single-item-box mb-3">
                                            <img src="https://ojaprod.s3.us-east-2.amazonaws.com/products/0084805001592827198.jpg" class="item-img">
                                            <p class="text-muted m-0 text-truncate">Ponded Yam</p>
                                            <p class="text-muted m-0 text-truncate">5 kg</p>
                                            <p class="text-muted m-0 text-truncate">Qty: 4</p>
                                            <div class="form-group form-check">
                                                <input type="checkbox" class="form-check-input" id="exampleCheck1">
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-12 col-lg-2 col-md-3">
                                        <div class="comn-single-item-box mb-3">
                                            <img src="https://ojaprod.s3.us-east-2.amazonaws.com/products/0084805001592827198.jpg" class="item-img">
                                            <p class="text-muted m-0 text-truncate">Ponded Yam</p>
                                            <p class="text-muted m-0 text-truncate">5 kg</p>
                                            <p class="text-muted m-0 text-truncate">Qty: 4</p>
                                            <div class="form-group form-check">
                                                <input type="checkbox" class="form-check-input" id="exampleCheck1">
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-12 col-lg-2 col-md-3">
                                        <div class="comn-single-item-box mb-3">
                                            <img src="https://ojaprod.s3.us-east-2.amazonaws.com/products/0084805001592827198.jpg" class="item-img">
                                            <p class="text-muted m-0 text-truncate">Ponded Yam</p>
                                            <p class="text-muted m-0 text-truncate">5 kg</p>
                                            <p class="text-muted m-0 text-truncate">Qty: 4</p>
                                            <div class="form-group form-check">
                                                <input type="checkbox" class="form-check-input" id="exampleCheck1">
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-12 col-lg-2 col-md-3">
                                        <div class="comn-single-item-box mb-3">
                                            <img src="https://ojaprod.s3.us-east-2.amazonaws.com/products/0084805001592827198.jpg" class="item-img">
                                            <p class="text-muted m-0 text-truncate">Ponded Yam</p>
                                            <p class="text-muted m-0 text-truncate">5 kg</p>
                                            <p class="text-muted m-0 text-truncate">Qty: 4</p>
                                            <div class="form-group form-check">
                                                <input type="checkbox" class="form-check-input" id="exampleCheck1">
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-12 col-lg-2 col-md-3">
                                        <div class="comn-single-item-box mb-3">
                                            <img src="https://ojaprod.s3.us-east-2.amazonaws.com/products/0084805001592827198.jpg" class="item-img">
                                            <p class="text-muted m-0 text-truncate">Ponded Yam</p>
                                            <p class="text-muted m-0 text-truncate">5 kg</p>
                                            <p class="text-muted m-0 text-truncate">Qty: 4</p>
                                            <div class="form-group form-check">
                                                <input type="checkbox" class="form-check-input" id="exampleCheck1">
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-12 col-lg-2 col-md-3">
                                        <div class="comn-single-item-box mb-3">
                                            <img src="https://ojaprod.s3.us-east-2.amazonaws.com/products/0084805001592827198.jpg" class="item-img">
                                            <p class="text-muted m-0 text-truncate">Ponded Yam</p>
                                            <p class="text-muted m-0 text-truncate">5 kg</p>
                                            <p class="text-muted m-0 text-truncate">Qty: 4</p>
                                            <div class="form-group form-check">
                                                <input type="checkbox" class="form-check-input" id="exampleCheck1">
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-12 col-lg-2 col-md-3">
                                        <div class="comn-single-item-box mb-3">
                                            <img src="https://ojaprod.s3.us-east-2.amazonaws.com/products/0084805001592827198.jpg" class="item-img">
                                            <p class="text-muted m-0 text-truncate">Ponded Yam</p>
                                            <p class="text-muted m-0 text-truncate">5 kg</p>
                                            <p class="text-muted m-0 text-truncate">Qty: 4</p>
                                            <div class="form-group form-check">
                                                <input type="checkbox" class="form-check-input" id="exampleCheck1">
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-12 col-lg-2 col-md-3">
                                        <div class="comn-single-item-box mb-3">
                                            <img src="https://ojaprod.s3.us-east-2.amazonaws.com/products/0084805001592827198.jpg" class="item-img">
                                            <p class="text-muted m-0 text-truncate">Ponded Yam</p>
                                            <p class="text-muted m-0 text-truncate">5 kg</p>
                                            <p class="text-muted m-0 text-truncate">Qty: 4</p>
                                            <div class="form-group form-check">
                                                <input type="checkbox" class="form-check-input" id="exampleCheck1">
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-12 col-lg-2 col-md-3">
                                        <div class="comn-single-item-box mb-3">
                                            <img src="https://ojaprod.s3.us-east-2.amazonaws.com/products/0084805001592827198.jpg" class="item-img">
                                            <p class="text-muted m-0 text-truncate">Ponded Yam</p>
                                            <p class="text-muted m-0 text-truncate">5 kg</p>
                                            <p class="text-muted m-0 text-truncate">Qty: 4</p>
                                            <div class="form-group form-check">
                                                <input type="checkbox" class="form-check-input" id="exampleCheck1">
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-12 col-lg-2 col-md-3">
                                        <div class="comn-single-item-box mb-3">
                                            <img src="https://ojaprod.s3.us-east-2.amazonaws.com/products/0084805001592827198.jpg" class="item-img">
                                            <p class="text-muted m-0 text-truncate">Ponded Yam</p>
                                            <p class="text-muted m-0 text-truncate">5 kg</p>
                                            <p class="text-muted m-0 text-truncate">Qty: 4</p>
                                            <div class="form-group form-check">
                                                <input type="checkbox" class="form-check-input" id="exampleCheck1">
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-12 col-lg-2 col-md-3">
                                        <div class="comn-single-item-box mb-3">
                                            <img src="https://ojaprod.s3.us-east-2.amazonaws.com/products/0084805001592827198.jpg" class="item-img">
                                            <p class="text-muted m-0 text-truncate">Ponded Yam</p>
                                            <p class="text-muted m-0 text-truncate">5 kg</p>
                                            <p class="text-muted m-0 text-truncate">Qty: 4</p>
                                            <div class="form-group form-check">
                                                <input type="checkbox" class="form-check-input" id="exampleCheck1">
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>                            
                        </div>
                    </div>
                    <!-- end card-box-->
                </div>
                <!-- end col-->
            </div>
            <!-- end row-->
        </div>
        <!-- container -->
    </div>
    <!-- content -->
</div>

@endsection
