@extends('layouts.seller-app')

<style type="text/css">
    .content-page {
        background-color: #f1f1f1;
    }
    .text-red-dark{
        color: #c23e34 !important;
        margin-bottom: 0px;
    }
    .comn-header-title{
        color: #c23e34;
        font-weight: 700;
    }
    .page-title-box .page-title{
        color: #808080 !important;
    }
    .text-grey-dark{
        color: #808080;
    }
    .comn-single-item-box{
        text-align: center;
    }
    .item-img{
        width: 100%;
        height: 100px;
        object-fit: contain;
    }
    .content-page{
        height: 100% !important;
        overflow: scroll !important;
    }
    .right-order-box{
        text-align: right;
        position: relative;
        height: 100%;
    }
    .custom-dropdown-btn{
        background: #3f92c9 !important;
        border-radius: 30px !important;
        width: 160px !important;
        position: relative;
        height: 44px;
    }
    .custom-dropdown-btn::before {
        content: "";
        position: absolute;
        right: 8px;
        top: 18px;
        border-top: 10px solid #ffffff;
        border-bottom: 8px solid transparent;
        border-left: 8px solid transparent;
        border-right: 8px solid transparent;
    }
    .dropdown-menu {
        padding: 0px !important;
    }
    .dropdown-item{
        background-color: #d9d9d9 !important;
        color: #3f92c9 !important;
        transition: 0.5s ease;
    }
    .dropdown-item:hover{
        background-color: #3f92c9 !important;
        color: #ffffff !important;
    }
    .more-detail-fixed-btn{
        position: absolute;
        width: 115px;
        bottom: 0px;
        right: 0px;
        background: #c43d31 !important;
    }
    .filter-btn-box{
        display: flex;
        flex-wrap: nowrap;
        overflow-x: auto;
        padding: 10px 0px;
    }
    .comn-filter-btn{
        bottom: 0px;
        right: 0px;
        background: #c43d31 !important;
        white-space: nowrap;
        margin-right: 10px;
        width: 200px;
    }
</style>
@section('content')

<div class="content-page">
    <div class="content">
        <!-- Start Content-->
        <div class="container-fluid">
            <!-- start page title -->
            <div class="row">
                <div class="col-12">
                    <div class="page-title-box">
                        <h3 class="page-title">Your Orders</h3>
                    </div>
                </div>
            </div>
            <!-- end page title -->

            <div class="row">
                <div class="col-12 col-md-12">
                    <div class="filter-btn-box">
                        <a href="#" type="button" class="btn btn-rounded btn-danger comn-filter-btn">Orders for Today</a>
                        <a href="#" type="button" class="btn btn-rounded btn-danger comn-filter-btn">Orders for Tomorrow</a>
                        <a href="#" type="button" class="btn btn-rounded btn-danger comn-filter-btn">Order for This Week Detail</a>
                        <a href="#" type="button" class="btn btn-rounded btn-danger comn-filter-btn">All Orders</a>
                    </div>
                </div>
            </div>
            <!-- end row -->

            <div class="row mb-5">
                <div class="col-xl-12">
                    <div class="d-flex justify-content-end align-items-center mt-3 mb-2">
                        <a href="#" class="header-title comn-header-title">Filter Sort</a>
                    </div>

                    <div class="card-box">
                        <div class="d-flex justify-content-between align-items-center mt-3">
                            <h4 class="header-title text-grey-dark">DUE FOR DELIVERY : <span class="text-red-dark h4">&nbsp;&nbsp; 29 AUGUST</span></h4>
                            <p class="text-muted mb-1 text-truncate">27/08/2020 07-02 PM</p>
                        </div>
                        <div class="d-flex justify-content-between align-items-center mb-3">
                            <h4 class="header-title text-grey-dark">PREPARE ORDER BY : <span class="text-red-dark h4">&nbsp;&nbsp; 12.00 PM</span></h4>
                            <p class="text-muted mb-1 text-truncate">GJ87940989</p>
                        </div>
                        <div class="row">
                            <div class="col-12 col-md-8">
                                <div class="row">
                                    <div class="col-12 col-md-3">
                                        <div class="comn-single-item-box mb-3">
                                            <img src="https://ojaprod.s3.us-east-2.amazonaws.com/products/0084805001592827198.jpg" class="item-img">
                                            <p class="text-muted m-0 text-truncate">Ponded Yam</p>
                                            <p class="text-muted m-0 text-truncate">5 kg</p>
                                            <p class="text-muted m-0 text-truncate">Qty: 4</p>
                                        </div>
                                    </div>
                                    <div class="col-12 col-md-3">
                                        <div class="comn-single-item-box mb-3">
                                            <img src="https://ojaprod.s3.us-east-2.amazonaws.com/products/0084805001592827198.jpg" class="item-img">
                                            <p class="text-muted m-0 text-truncate">Ponded Yam</p>
                                            <p class="text-muted m-0 text-truncate">5 kg</p>
                                            <p class="text-muted m-0 text-truncate">Qty: 4</p>
                                        </div>
                                    </div>
                                    <div class="col-12 col-md-3">
                                        <div class="comn-single-item-box mb-3">
                                            <img src="https://ojaprod.s3.us-east-2.amazonaws.com/products/0084805001592827198.jpg" class="item-img">
                                            <p class="text-muted m-0 text-truncate">Ponded Yam</p>
                                            <p class="text-muted m-0 text-truncate">5 kg</p>
                                            <p class="text-muted m-0 text-truncate">Qty: 4</p>
                                        </div>
                                    </div>
                                    <div class="col-12 col-md-3">
                                        <div class="comn-single-item-box mb-3">
                                            <img src="https://ojaprod.s3.us-east-2.amazonaws.com/products/0084805001592827198.jpg" class="item-img">
                                            <p class="text-muted m-0 text-truncate">Ponded Yam</p>
                                            <p class="text-muted m-0 text-truncate">5 kg</p>
                                            <p class="text-muted m-0 text-truncate">Qty: 4</p>
                                        </div>
                                    </div>
                                    <div class="col-12 col-md-3">
                                        <div class="comn-single-item-box mb-3">
                                            <img src="https://ojaprod.s3.us-east-2.amazonaws.com/products/0084805001592827198.jpg" class="item-img">
                                            <p class="text-muted m-0 text-truncate">Ponded Yam</p>
                                            <p class="text-muted m-0 text-truncate">5 kg</p>
                                            <p class="text-muted m-0 text-truncate">Qty: 4</p>
                                        </div>
                                    </div>
                                    <div class="col-12 col-md-3">
                                        <div class="comn-single-item-box mb-3">
                                            <img src="https://ojaprod.s3.us-east-2.amazonaws.com/products/0084805001592827198.jpg" class="item-img">
                                            <p class="text-muted m-0 text-truncate">Ponded Yam</p>
                                            <p class="text-muted m-0 text-truncate">5 kg</p>
                                            <p class="text-muted m-0 text-truncate">Qty: 4</p>
                                        </div>
                                    </div>
                                    <div class="col-12 col-md-3">
                                        <div class="comn-single-item-box mb-3">
                                            <img src="https://ojaprod.s3.us-east-2.amazonaws.com/products/0084805001592827198.jpg" class="item-img">
                                            <p class="text-muted m-0 text-truncate">Ponded Yam</p>
                                            <p class="text-muted m-0 text-truncate">5 kg</p>
                                            <p class="text-muted m-0 text-truncate">Qty: 4</p>
                                        </div>
                                    </div>
                                    <div class="col-12 col-md-3">
                                        <div class="comn-single-item-box mb-3">
                                            <img src="https://ojaprod.s3.us-east-2.amazonaws.com/products/0084805001592827198.jpg" class="item-img">
                                            <p class="text-muted m-0 text-truncate">Ponded Yam</p>
                                            <p class="text-muted m-0 text-truncate">5 kg</p>
                                            <p class="text-muted m-0 text-truncate">Qty: 4</p>
                                        </div>
                                    </div>
                                    <div class="col-12 col-md-3">
                                        <div class="comn-single-item-box mb-3">
                                            <img src="https://ojaprod.s3.us-east-2.amazonaws.com/products/0084805001592827198.jpg" class="item-img">
                                            <p class="text-muted m-0 text-truncate">Ponded Yam</p>
                                            <p class="text-muted m-0 text-truncate">5 kg</p>
                                            <p class="text-muted m-0 text-truncate">Qty: 4</p>
                                        </div>
                                    </div>
                                    <div class="col-12 col-md-3">
                                        <div class="comn-single-item-box mb-3">
                                            <img src="https://ojaprod.s3.us-east-2.amazonaws.com/products/0084805001592827198.jpg" class="item-img">
                                            <p class="text-muted m-0 text-truncate">Ponded Yam</p>
                                            <p class="text-muted m-0 text-truncate">5 kg</p>
                                            <p class="text-muted m-0 text-truncate">Qty: 4</p>
                                        </div>
                                    </div>
                                    <div class="col-12 col-md-3">
                                        <div class="comn-single-item-box mb-3">
                                            <img src="https://ojaprod.s3.us-east-2.amazonaws.com/products/0084805001592827198.jpg" class="item-img">
                                            <p class="text-muted m-0 text-truncate">Ponded Yam</p>
                                            <p class="text-muted m-0 text-truncate">5 kg</p>
                                            <p class="text-muted m-0 text-truncate">Qty: 4</p>
                                        </div>
                                    </div>
                                    <div class="col-12 col-md-3">
                                        <div class="comn-single-item-box mb-3">
                                            <img src="https://ojaprod.s3.us-east-2.amazonaws.com/products/0084805001592827198.jpg" class="item-img">
                                            <p class="text-muted m-0 text-truncate">Ponded Yam</p>
                                            <p class="text-muted m-0 text-truncate">5 kg</p>
                                            <p class="text-muted m-0 text-truncate">Qty: 4</p>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-12 col-md-4">
                                <div class="right-order-box">
                                    <h4 class="header-title comn-header-title mb-3">Order Accepted</h4>
                                    <div class="dropdown">
                                        <button class="btn btn-info dropdown-toggle custom-dropdown-btn" type="button" id="dropdownMenuButton" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                            Update Status
                                        </button>
                                        <div class="dropdown-menu dropdown-menu-right" aria-labelledby="dropdownMenuButton">
                                            <a class="dropdown-item" href="#">Order ready, complate</a>
                                            <a class="dropdown-item" href="#">Order ready, incomplete</a>
                                            <a class="dropdown-item" href="#">Can't fullfil the order</a>
                                        </div>
                                    </div>                                    
                                    <a href="#" type="button" class="btn btn-rounded btn-danger more-detail-fixed-btn">More Detail</a>
                                </div>
                            </div>
                        </div>
                    </div>
                    <!-- end card-box-->
                </div>
                <!-- end col-->
            </div>
            <!-- end row-->
        </div>
        <!-- container -->
    </div>
    <!-- content -->
</div>

@endsection
