<!DOCTYPE html>
<html>
<head>
	<title>Oja Invoice</title>
	<style type="text/css">
		@font-face {
			font-family: arialFontFamily;
			src: url(fonts/ARIAL.TTF);
		}
		.custom-body{
			background-color: #272727;
			font-family: arialFontFamily;
		}
		.invoice-area{
			margin: auto;
			width: 62mm;
			height: auto;
			background-color: #ffffff;
			border-radius: 10px;
			padding: 10px;
		}
		.invoice-box{
			border: 1px solid #dddddd;
		}
		.top-invoice-info-box{
			padding: 6px 10px;
			text-align: center;
			background-color: #272727;
			color: #ffffff;
		}
		.logo-box{
			padding-top: 4px;
			text-align: center;
		}
		.logo-box img{
			width: 85px;
		}
		table{
			width: 100%;
			padding: 4px 4px 2px 4px;
		}
		table td{
			padding: 0px 0px 4px 0px;
			font-size: 10px;
		}
		.bottom-invoice-info-box{
			text-align: center;
		}
		.footer-invoice-box{
			background-color: #272727;
			color: #ffffff;
			font-size: 12px;
		}
		.footer-invoice-box p{
			padding: 4px;
    		margin: 2px 0px 7px 0px;	
    		line-break: anywhere;		
		}
	</style>
</head>
<body class="custom-body">
	<div class="invoice-area">
		<div class="invoice-box">
			<div class="logo-box">
				<img src="{{ asset('images/invoice-logo.png') }}">
			</div>
			<div class="top-invoice-info-box">
				<h6 style="margin-bottom: 2px; margin-top: 0px;font-size: 9px;"><?php echo $order->delivery_address->name; ?></h6>
				<h3 style="margin-bottom: 2px; margin-top: 0px;font-size: 18px;"><?php echo $order->order_number; ?></h3>
				<p style="margin-bottom: 0px; margin-top: 0px;font-size: 9px;">Delivered Expected: </p>
				<h4 style="margin-bottom: 0px; margin-top: 0px;font-size: 10px;"><?php echo date('d-M',strtotime($order->delivery_date)); ?></h4>
				<?php $time = explode('-', $order->slot_time);
				$time0 = (isset($time[0])) ? date('h:i a',strtotime($time[0])) : '';
				$time1 = (isset($time[1])) ? " - ".date('h:i a',strtotime($time[1])) : '';?>
				<h4 style="margin-bottom: 0px; margin-top: 0px;font-size: 14px;"><?php echo $time0 . $time1 ; ?></h4>
			</div>
			<table>
				<?php foreach($order->order_products as $product){ ?>
    				<tr>
    					<td style="font-weight:700;"><?php echo $product->quantity; ?>x <?php echo $product->product_data->product->name; ?></td>
    					<td style="font-weight:700; text-align: right;white-space: nowrap;width: 30%;"><span>&#163;</span><?php echo $product->price; ?></td>
    				</tr>
				<?php }?>
				
			</table>
			<div class="bottom-invoice-info-box">
				<h5 style="margin-bottom: 0px; margin-top: 0px;font-size: 10px;">Delivered to:</h5>
				<h5 style="margin-bottom: 0px; margin-top: 0px;font-size: 10px;"><?php echo $order->delivery_address->address1; ?></h5>
				<h5 style="margin-bottom: 0px; margin-top: 0px;font-size: 10px;"><?php echo $order->delivery_address->state; ?></h5>
				<h5 style="margin-bottom: 0px; margin-top: 0px;font-size: 10px;"><?php echo $order->delivery_address->zip; ?></h5>
			</div>
			<div class="footer-invoice-box">
				<p style="font-size: 10px;">Notes : <?= $order->notes ?></p>
			</div>
		</div>
	</div>
</body>
</html>