@extends('layouts.empty')

@section('content')
<style>
	@media print {
	
		.printBtnDiv {
			display:none;	
		}
	}
</style>
<?php 
	$humanOrderStatuses = [
    		'Pending'=> "Pending to Acknowledge",
    		'Acknowledged'=> "Acknowledged",
    		"Processing"=>"Processing the Order",
    		"Out for Delivery"=>"Out for Delivery",
    		"Rejected"=>"Order Rejected",
    		"Delivered"=>"Order Delivered",
    		'Shipped'=>"Shipped"
    	];
?>
<div class="container pt-4 pb-4">
	<div class="printBtnDiv mb-3">
		<button class="btn btn-sm float-right btn-success printBtn" onclick="window.print();" type="button">
			<i class="fa fa-print"></i>
			Print
		</button>
		<h4>Printing Invoice</h4>
	</div>
	<div class="row">
        <div class="col-12 card border pb-2">
            <div class="card-body clearfix">
                <!-- Logo & title -->
                <div class="row clearfix">
                    <div class="col-5">
                        <h3>Oja Pvt. Ltd</h3>
                            <p class="text-muted">
                                <i class="mdi mdi-map mr-1"></i> Mohali , Punjab, India 
                                PIN : 160059<br>
                                <i class="mdi mdi-phone mr-1"></i> +91-123456789 , Mobile: +91-987654321
                            </p>
                    </div>
                    <div class="col-7">
                        <div class="float-right">
                         <img src="{{asset('images/logo-oja.png')}}" alt="" width="200">
                         </div>
                    </div>
                </div>
                <div class="row mt-3">
                    <div class="col-sm-6">
                        <h5>Billing Address</h5>
                        
                        <?php //echo "<pre>";print_r($order);exit;?>
                        <address>
                            <?php echo $order->delivery_address->name; ?><br>
                            <?php echo $order->delivery_address->address1; ?><br>
                             <?php echo $order->delivery_address->city; ?>,
                              <?php echo $order->delivery_address->state; ?> 
                               <?php echo $order->delivery_address->zip; ?><br>
                               <?php echo $order->delivery_address->country; ?><br>
                            <abbr title="Phone">Phone:</abbr>  <?php echo $order->delivery_address->phone; ?><br>
                            <abbr title="Email">Email:</abbr>  <?php echo $order->user->email; ?>
                        </address>
                    </div> <!-- end col -->

                    <div class="col-sm-6  text-right">                                        
                        <div class="mt-3">
                        	<h5>Sold By : </h5><?= $order['user']->name ?>
                        	<h4>Invoice</h4>
                            <p class="m-b-10"><strong>Order Id : </strong> <span class="float-right"> <?php echo $order->order_number; ?></span></p>
                            <p class="m-b-10"><strong>Order Date. : </strong> <span class="float-right"> 
                            	<?php echo date('d-M-Y h:i A',strtotime($order->created_at)); ?>	
                            </span></p>
                        </div>
                    </div><!-- end col -->
                    </div> <!-- end col -->
                </div> 
                <!-- end row -->

                <div class="row">
                    <div class="col-12">
                        <div class="table-responsive" style="min-height:200px;">
                            <table class="table mt-4 table-bordered table-centered">
                                <thead>
                                <tr class="table-info">
                                	<th>#</th>
                                    <th>Item</th>
                                    <th>Unit Price (INR)</th>
                                    <th>Quantity</th>
                                    <th>Price (INR)</th>
                                    <th>Tax (INR)</th>
                                    <th>Net Price (INR)</th>
                                </tr></thead>
                                <tbody style="min-height:200px;">
                                <?php $sr=1; foreach($order->order_products as $product): ?>
                                <tr>
                                    <td><?php echo $sr++; ?></td>
                                    <td><?php echo $product->product_data->product->name; ?></td>
                                    <td align="right"><?php echo $product->unit_price; ?></td>
                                    <td align="center"><?php echo $product->quantity; ?></td>
                                    <td align="right"><?php echo $product->price; ?></td>
                                    <td align="right"><?php echo $product->tax; ?></td>
                                    <td align="right"><?php echo $product->total_amount; ?></td>
                                </tr>
                                <?php  endforeach; ?>
                                <tr>
                                	<td colspan="6" class="text-right">
                                		Total Amount
                                	</td>
                                	<td align="right"><?php echo $order->bag_amount+$order->tax; ?></td>
                                </tr>
                                <tr>
                                	<td colspan="6" class="text-right">
                                		Coupon Discount
                                	</td>
                                	<td align="right">(-) <?php echo $order->coupon_discount; ?></td>
                                </tr>
								<tr>
                                	<td colspan="6" class="text-right">
                                		Delivery Charges
                                	</td>
                                	<td align="right">(+) <?php echo $order->delivery_charges; ?></td>
                                </tr>
                                <tr class="table-secondary">
                                	<td colspan="6" class="text-right">
                                		<b>Grand Total</b>
                                	</td>
                                	<td  align="right"><b><?php echo $order->total_amount; ?></b></td>
                                </tr>
                                </tbody>
                            </table>
                        </div> <!-- end table-responsive -->
                    </div> <!-- end col -->
                </div>
                <!-- end row -->

                <div class="row">
                    <div class="col-sm-6">
                        <div class="clearfix pt-5">
                            <h6 class="text-muted">Notes:</h6>

                            <small class="text-muted">
                               Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla est purus, ultrices in porttitor
								in, accumsan non quam. Nam consectetur porttitor rhoncus. Curabitur eu est et leo feugiat
								auctor vel quis lorem. Ut et ligula dolor, sit amet consequat lorem. Aliquam porta eros sed
								velit imperdiet egestas.
                            </small>
                        </div>
                    </div> <!-- end col -->
                   
                </div>
                <!-- end row -->        
            </div> <!-- end card-box -->
        </div> <!-- end col -->
    </div>
</div>
@endsection