@extends('layouts.app')


@section('content')
<div class="content-page">
	<div class="content">

		<!-- Start Content-->
		<div class="container-fluid">
			<!-- start page title -->
			<div class="row mt-3 mb-3">
				<div class="col-8 col-sm-8 col-md-8 col-lg-8">
					<div class="page-title-box">
						<h4>Edit Product</h4>
						<ol class="breadcrumb m-0">
							<li class="breadcrumb-item">
								<a href="{{ route('dashboard') }}">Dashboard</a>
							</li>
							<li class="breadcrumb-item">
								<a href="{{ route('products.index') }}">Products</a>
							</li>
							<li class="breadcrumb-item active">
								Edit Product
							</li>
						</ol>
					</div>
				</div>
				<div class="col-4 col-sm-4 col-md-4 col-lg-4 text-right">
					
				</div>
			</div>
			<!-- end page title -->
			<div class="row">
				<div class="col-12 ">
					<div class="card">
						<div class="card-header bg-dark ">
							<div class="row">
								<div class="col-6 col-sm-8 col-md-8 col-lg-8">
									<h4 class="text-white "><i class=" mdi mdi-pencil-outline"></i> Edit Product</h4>
								</div>
								<div class="col-6 col-sm-4 col-md-4 col-lg-4 text-right">
									
									<a href="{{ route('products.index') }}" class="btn btn-danger waves-effect waves-light" role="button"> <i class="mdi mdi-arrow-left"></i> All Products </a>
								</div>
							</div>
						</div>
						<div class="card-body">
							<div id="valMessages"></div>
							<div class="row">
								<div class="col-12">
									<ul class="nav nav-tabs">
										<li class="nav-item">
											<a href="#product_general" data-toggle="tab" aria-expanded="false" class="nav-link active"> General </a>
										</li>
										
										<li class="nav-item">
											<a href="#product_specification" data-toggle="tab" aria-expanded="false" class="nav-link"> Specifications </a>
										</li>
										<!--
										<li class="nav-item">
											<a href="#product_pricing" data-toggle="tab" aria-expanded="false" class="nav-link"> Pricing </a>
										</li>
										-->
										<li class="nav-item">
											<a href="#product_img" data-toggle="tab" aria-expanded="false" class="nav-link"> Images </a>
										</li>
										<!--
										<li class="nav-item">
											<a href="#product_related_product" data-toggle="tab" aria-expanded="false" class="nav-link"> Related Products </a>
										</li>
										-->
										<li class="nav-item">
											<a href="#product_tax" data-toggle="tab" aria-expanded="false" class="nav-link"> Tax </a>
										</li>
										<li class="nav-item">
											<a href="#product_stock_data" data-toggle="tab" aria-expanded="true" class="nav-link "> Stock Data </a>
										</li>
									</ul>
									<form class="form-horizontal" method="post" action="{{ route('products.store') }}" enctype="multipart/form-data" id="addProductForm" novalidate>
										@csrf
										@method('post')
										<input type="hidden" name="pimage" value="{{$product->image}}">
										<input type="hidden" name="prelated" value="{{$product->related_files}}">
										<div class="tab-content">
											<div class="tab-pane show active" id="product_general">
												
												<div class="row">
													<div class="col-md-12">
														<div class="form-group row mb-3">
															<label for="inputEmail3" class="col-4 col-sm-2 col-md-2 col-lg-2 col-form-label text-right"><span class="text-danger">*</span>Product Name</label>
															<div class="col-8 col-sm-10 col-md-10 col-lg-10 ">
																<input type="text" class="form-control @error('name') is-invalid @enderror" id="inputEmail3" placeholder="Product Name" name="name" value="{{$product->name}}" required>
																@if ($errors->has('name'))
	                                                                  <span class="text-danger">{{ $errors->first('name') }}</span>
	                                                            @endif
															</div>
														</div>
														<div class="form-group row mb-3 catContainer">
															
															<label for="" class="col-4 col-sm-2 col-md-2 col-lg-2 col-form-label text-right">Product Categories</label>
															<div class="col-8 col-sm-10 col-md-10 col-lg-10">
																
																<select multiple="multiple" class="multi-select" name="category_id[]" data-plugin="multiselect">
																	
				                                                    <?php foreach($catArray as $catAr): ?>
				                                                    	<optgroup label="<?php echo $catAr['name']; ?>">
				                                                    		<?php foreach($catAr['categories'] as $ctArCat): ?>
				                                                    			<option <?php echo !in_array($ctArCat['id'],$pCats)?:'selected'; ?> value="<?php echo $ctArCat['id']; ?>"><?php echo $ctArCat['name']; ?></option>
				                                                    		<?php endforeach; ?>
				                                                    	</optgroup>
				                                                    <?php endforeach; ?>
				                                                </select>
				                                            </div>
														</div>
														<div class="form-group row mb-3">
															<label for="inputEmail3" class="col-4 col-sm-2 col-md-2 col-lg-2 col-form-label text-right">Description</label>
															<div class="col-8 col-sm-10 col-md-10 col-lg-10">
																<textarea class="form-control" id="product-description" rows="5" placeholder="Please enter description" name="short_description">{{$product->short_description}}</textarea>
															</div>
														</div>
														<div class="form-group row mb-3">
															<label for="inputEmail3" class="col-4 col-sm-2 col-md-2 col-lg-2 col-form-label text-right">Product Tags</label>
															<div class="col-8 col-sm-10 col-md-10 col-lg-10">
																<input type="text" class="form-control" id="" placeholder="Product Tags comma separated" name="tags" value="{{$product->tags}}">
															</div>
														</div>
														<div class="form-group row mb-3">
															<label for="inputEmail3" class="col-4 col-sm-2 col-md-2 col-lg-2 col-form-label text-right">Merchant Name</label>
															<div class="col-8 col-sm-10 col-md-10 col-lg-10">
																<select class="form-control @error('merchant_id') is-invalid @enderror" data-toggle="select2" id="example-select" name="merchant_id" required>
																	<option value="">- Select -</option>
																	<?php foreach($merchants as $merchant): ?>
																		<option <?php echo $product->merchant_id== $merchant -> id?'selected':''; ?> value="<?php echo $merchant -> id; ?>"><?php echo $merchant -> name; ?></option>
																	<?php endforeach; ?>
																</select>
																@if ($errors->has('merchant_id'))
	                                                                  <span class="text-danger">{{ $errors->first('merchant_id') }}</span>
	                                                            @endif
															</div>
														</div>
														<div class="form-group row mb-3">
															<label for="inputEmail3" class="col-2 col-form-label text-right">Related Download</label>
															<div class="col-7">
																<input type="file" class="form-control" name="related_files">
															</div>
															<div class="col-3">
																<?php if(!empty($product->related_files)): ?>
																	<a href="{{$product->related_files}}" target="_blank" download="{{$product->name}}" class="btn btn-secondary">
																		<i class="mdi mdi-file-pdf"></i>
																		Download Existing
																	</a>
																<?php endif; ?>
															</div>
														</div>
														<div class="form-group row mb-3">
															<label for="inputEmail3" class="col-4 col-sm-2 col-md-2 col-lg-2 col-form-label text-right">
																Is Popular
																<i class="fa fa-info-circle" data-toggle="tooltip" title="Is this a popular product?"></i>
															</label>
															<div class="col-8 col-sm-10 col-md-10 col-lg-10">
																<select class="form-control @error('popular') is-invalid @enderror" name="popular" required>
																	<option <?php echo $product->popular=='No'?'selected':''; ?> value="No">No</option>
																	<option <?php echo $product->popular=='Yes'?'selected':''; ?> value="Yes">Yes</option>
																</select>
																@if ($errors->has('popular'))
	                                                                  <span class="text-danger">{{ $errors->first('enabled') }}</span>
	                                                            @endif
															</div>
														</div>
														<div class="form-group row mb-3">
															<label for="inputEmail3" class="col-4 col-sm-2 col-md-2 col-lg-2 col-form-label text-right">Sort Order</label>
															<div class="col-8 col-sm-10 col-md-10 col-lg-10">
																<input type="number" step="1" class="form-control @error('sort_order') is-invalid @enderror" id="" required placeholder="0" name="sort_order" value="{{$product->sort_order}}">
																@if ($errors->has('sort_order'))
	                                                                  <span class="text-danger">{{ $errors->first('sort_order') }}</span>
	                                                            @endif
															</div>
														</div>
														<div class="form-group row mb-3">
															<label for="inputEmail3" class="col-4 col-sm-2 col-md-2 col-lg-2 col-form-label text-right">Enabled</label>
															<div class="col-8 col-sm-10 col-md-10 col-lg-10">
																<select class="form-control @error('enabled') is-invalid @enderror" name="enabled" required>
																	<option <?php echo $product->enabled=='Yes'?'selected':''; ?> value="Yes">Yes</option>
																	<option <?php echo $product->enabled=='No'?'selected':''; ?> value="No">No</option>
																</select>
																@if ($errors->has('enabled'))
	                                                                  <span class="text-danger">{{ $errors->first('enabled') }}</span>
	                                                            @endif
															</div>
														</div>
													</div>
												</div>
											</div>
											<div class="tab-pane " id="product_stock_data">
												<div class="row">
													<div class="col-md-6">
														<div class="form-group row mb-3">
															<label for="" class="col-4 col-sm-2 col-md-2 col-lg-2 col-form-label text-right"><span class="text-danger"></span>SKU</label>
															<div class="col-8 col-sm-10 col-md-10 col-lg-10">
																<input type="text" class="form-control @error('sku') is-invalid @enderror" value="{{$product->sku}}"  placeholder="SKU" name="sku" required>
																@if ($errors->has('sku'))
	                                                                  <span class="text-danger">{{ $errors->first('sku') }}</span>
	                                                            @endif
															</div>
														</div>
														<div class="form-group row mb-3">
															<label for="" class="col-4 col-sm-2 col-md-2 col-lg-2 col-form-label text-right">Weight</label>
															<div class="col-8 col-sm-10 col-md-10 col-lg-10">
																<input type="text" class="form-control @error('weight') is-invalid @enderror" value="{{$product->weight}}"  placeholder="Weight" name="weight">
																@if ($errors->has('weight'))
	                                                                  <span class="text-danger">{{ $errors->first('weight') }}</span>
	                                                            @endif
															</div>
														</div>
														<div class="form-group row mb-3">
															<label for="" class="col-4 col-sm-2 col-md-2 col-lg-2 col-form-label text-right">Unit</label>
															<div class="col-8 col-sm-10 col-md-10 col-lg-10">
																<select class="form-control @error('unit') is-invalid @enderror"  name="unit">
																	<option {{$product->unit=='Liter(s)'?'selected':''}}>Liter(s)</option>
																	<option {{$product->unit=='Number(s)'?'selected':''}}>Number(s)</option>
																	<option {{$product->unit=='Kg'?'selected':''}}>KG</option>
																	<option {{$product->unit=='Grams'?'selected':''}}>Grams</option>
																</select>
																@if ($errors->has('unit'))
	                                                                  <span class="text-danger">{{ $errors->first('unit') }}</span>
	                                                            @endif
															</div>
														</div>
														
														
													</div>
													<div class="col-md-6">
														<div class="card border border-secondary">
														<div class="card-body">
															<div class="row">
																<div class="col-4 col-sm-4 col-md-4 col-lg-4 col-form-label text-right">
																</div>
																<div class="col-8 col-sm-8 col-md-8 col-lg-8">
																	<h4 class="p-0 ">
																		Batch Details
																	</h4>
																</div>
															</div>
															
														<div class="">
															<div class="form-group row mb-3">
																<label for="" class="col-4 col-sm-4 col-md-4 col-lg-4 col-form-label text-right">
																	<span class="text-danger">*</span>
																	Batch Number
																</label>
																<div class="col-8 col-sm-8 col-md-8 col-lg-8">
																	<input type="text" data-bv-notEmpty data-bv-remote data-bv-remote-message="Batch Number already exists." required class="form-control @error('batch_number') is-invalid @enderror" name="batch[batch_number]"  placeholder="Batch Number">
																	@if ($errors->has('batch_number'))
					                                                      <span class="text-danger">{{ $errors->first('batch_number') }}</span>
					                                                @endif
																</div>
															</div>
														</div>
														
														<div class="">
															<div class="form-group row mb-3">
																<label for="" class="col-4 col-sm-4 col-md-4 col-lg-4 col-form-label text-right">
																	<span class="text-danger">*</span>
																	Manufacture Date
																</label>
																<div class="col-8 col-sm-8 col-md-8 col-lg-8">
																	<input type="text" data-bv-notEmpty required class="form-control datepicker @error('mfd_date') is-invalid @enderror" name="batch[mfd_date]"  placeholder="Manufacture date">
																	@if ($errors->has('mfd_date'))
					                                                      <span class="text-danger">{{ $errors->first('mfd_date') }}</span>
					                                                @endif
																</div>
															</div>
														</div>
														<div class="">
															<div class="form-group row mb-3">
																<label for="" class="col-4 col-sm-4 col-md-4 col-lg-4 col-form-label text-right">
																	<span class="text-danger">*</span>
																	Expiry Date
																</label>
																<div class="col-8 col-sm-8 col-md-8 col-lg-8">
																	<div class="input-group">
																	  <input type="text" data-bv-notEmpty class="form-control edpicker datepicker @error('expiry_date') is-invalid @enderror" name="batch[expiry_date]"  placeholder="Expiry date">
																	  <div class="input-group-append">
																	    <button class="btn input-group-text text-dark" onclick="$('.edpicker').val('');" type="button" data-toggle="tooltip" title="Remove Expiry Date">
																	    	<i class="fa fa-times"></i>
																	    </button>
																	  </div>
																	</div>
																	@if ($errors->has('expiry_date'))
					                                                      <span class="text-danger">{{ $errors->first('expiry_date') }}</span>
					                                                @endif
					                                                <span class="help-block text-muted">* Leave Empty if No Expiry Date</span>
																</div>
															</div>
														</div>
														<div class="">
															<div class="form-group row mb-3">
																<label for="" class="col-4 col-sm-4 col-md-4 col-lg-4 col-form-label text-right">
																	<span class="text-danger">*</span>
																	Product Quantity
																</label>
																<div class="col-8 col-sm-8 col-md-8 col-lg-8">
																	<input type="number" step="0.01" min="1" data-bv-notEmpty required class="form-control @error('quantity') is-invalid @enderror" name="batch[quantity]"  placeholder="Product Quantity in Batch">
																	@if ($errors->has('quantity'))
					                                                      <span class="text-danger">{{ $errors->first('quantity') }}</span>
					                                                @endif
																</div>
															</div>
														</div>
														<div class="">
															<div class="form-group row mb-3">
																<label for="" class="col-4 col-sm-4 col-md-4 col-lg-4 col-form-label text-right">
																	<span class="text-danger">*</span>
																	Single Unit MRP
																</label>
																<div class="col-8 col-sm-8 col-md-8 col-lg-8">
																	<input type="number" step="0.01" min="1" data-bv-notEmpty required class="form-control brcal mrp @error('product_mrp') is-invalid @enderror" name="batch[product_mrp]"  placeholder="Single Unit MRP">
																	@if ($errors->has('product_mrp'))
					                                                      <span class="text-danger">{{ $errors->first('product_mrp') }}</span>
					                                                @endif
																</div>
															</div>
														</div>
														<div class="">
															<div class="form-group row mb-3">
																<label for="" class="col-4 col-sm-4 col-md-4 col-lg-4 col-form-label text-right">
																	<span class="text-danger">*</span>
																	Margin Ratio
																</label>
																<div class="col-8 col-sm-8 col-md-8 col-lg-8">
																	<div class="input-group">
																	  <input type="number" step="0.01" min="1" data-bv-notEmpty required class="form-control brcal mratio @error('margin_ratio') is-invalid @enderror" name="batch[margin_ratio]"  placeholder="Margin Ratio %">
																	  <div class="input-group-append">
																	    <span class="input-group-text" >%</span>
																	  </div>
																	</div>
																	
																	@if ($errors->has('margin_ratio'))
					                                                      <span class="text-danger">{{ $errors->first('margin_ratio') }}</span>
					                                                @endif
																</div>
															</div>
														</div>
														<div class="">
															<div class="form-group row mb-3">
																<label for="" class="col-4 col-sm-4 col-md-4 col-lg-4 col-form-label text-right">
																	<span class="text-danger">*</span>
																	Calculated Base Rate
																</label>
																<div class="col-8 col-sm-8 col-md-8 col-lg-8">
																	<input type="number" step="0.01" min="1" data-bv-notEmpty required class="form-control brcal brate @error('base_rate') is-invalid @enderror" name="batch[base_rate]"  placeholder="Base Rate">
																	@if ($errors->has('base_rate'))
					                                                      <span class="text-danger">{{ $errors->first('base_rate') }}</span>
					                                                @endif
																</div>
															</div>
														</div>
														<div class="">
															<div class="form-group row mb-3">
																<label for="" class="col-4 col-sm-4 col-md-4 col-lg-4 col-form-label text-right">
																	<span class="text-danger">*</span>
																	Offer Type
																</label>
																<div class="col-8 col-sm-8 col-md-8 col-lg-8">
																	<select required class="form-control otype" name="batch[offer_type]">
																		<option value="None">None</option>
																		<option value="Percentage">Percentage</option>
																		<option value="Flat">Flat Price</option>
																	</select>
																</div>
															</div>
														</div>
														<div class="">
															<div class="form-group row mb-3">
																<label for="" class="col-4 col-sm-4 col-md-4 col-lg-4 col-form-label text-right">
																	Offer Value
																</label>
																<div class="col-8 col-sm-8 col-md-8 col-lg-8">
																	<input type="number" step="0.01" min="1" class="form-control ovalue @error('offer_value') is-invalid @enderror" name="batch[offer_value]"  placeholder="Offer Value">
																	@if ($errors->has('offer_value'))
					                                                      <span class="text-danger">{{ $errors->first('offer_value') }}</span>
					                                                @endif
																</div>
															</div>
														</div>
														<div class="">
															<div class="form-group row mb-3">
																<label for="" class="col-4 col-sm-4 col-md-4 col-lg-4 col-form-label text-right">
																	Offer Start Date
																</label>
																<div class="col-8 col-sm-8 col-md-8 col-lg-8">
																	<input type="text" class="form-control datepicker osdate @error('offer_start_date') is-invalid @enderror" name="batch[offer_start_date]"  placeholder="Offer Start Date">
																	
																	@if ($errors->has('offer_start_date'))
					                                                      <span class="text-danger">{{ $errors->first('offer_start_date') }}</span>
					                                                @endif
																</div>
															</div>
														</div>
														<div class="">
															<div class="form-group row mb-3">
																<label for="" class="col-4 col-sm-4 col-md-4 col-lg-4 col-form-label text-right">
																	Offer End Date
																</label>
																<div class="col-8 col-sm-8 col-md-8 col-lg-8">
																	<div class="input-group">
																	  <input type="date" class="form-control datepicker ebrate brate @error('offer_end_date') is-invalid @enderror" name="batch[offer_end_date]"  placeholder="Offer End Date">
																	  <div class="input-group-append">
																	    <button class="btn input-group-text text-dark" onclick="$('.ebrate').val('');" type="button" data-toggle="tooltip" title="Remove End Date">
																	    	<i class="fa fa-times"></i>
																	    </button>
																	  </div>
																	</div>
																	@if ($errors->has('offer_end_date'))
					                                                      <span class="text-danger">{{ $errors->first('offer_end_date') }}</span>
					                                                @endif
					                                                <span class="help-block text-muted" style="display:inline-block;padding-top:3px;">
					                                                	<i class="fa fa-info-circle"></i>
					                                                	Leave empty if offer is valid till stock lasts.
					                                                </span>
																</div>
															</div>
														</div>
														</div>
													</div>
													</div>
												</div>
											</div>
											<div class="tab-pane" id="product_specification">
												<div class="row">
													<div class="col-md-12">
														<table class="table table-bordered">
															<thead>
																<tr>
																	<th>Specification Heading</th>
																	<th>Specificaton Details</th>
																	<th></th>
																</tr>
															</thead>
															
															<tbody class="specHeadBody">
																
																<?php if(!empty($product->productSpecifications)): ?>
																
																<?php foreach($product->productSpecifications as $k=>$spec): ?>
																	<tr class='specHeadRow' id="pSpecHead{{$spec->id}}">
																		<td style="width:25%;">
																			<input type="hidden" class="specHeadField" name="specification[{{$k}}][head_id]" data-name="[head_id]" value="{{$spec->id}}">
																			<div class="form-group ">
																				<select class="form-control stitle specHeadField" required data-bv-notempty name="specification[{{$k}}][head]" data-name="[head]" style="width:100%;">
																					<option value="">- Select -</option>
																					<?php foreach($specifications as $pspec): ?>
																						<option <?php echo ($spec->name)==($pspec->name)?'selected':''; ?>><?php echo $pspec->name; ?></option>
																					<?php endforeach; ?>
																				</select>
																				</div>
																		</td>
																		<td class="p-0">
																			<table class='table table-bordered m-0 specRowTable'>
																				<thead>
																					<tr>
																						<th>Specification Name</th>
																						<th>Specification Value</th>
																						<th>Use for Filters ?</th>
																						<th></th>
																					</tr>
																				</thead>
																				<tbody class="specRowBody">
																					<?php foreach($spec->productSpecifications as $ik=>$ispec): ?>
																						<tr id="pSpec{{$ispec->id}}">
																							<td style="width:25%;">
																								<input type="hidden" class="specField" name="specification[{{$k}}][spec_id][]" data-name="[spec_id][]" value="{{$ispec->id}}">
																								<div class="form-group ">
																								<select class="form-control sname specField" data-bv-notempty required name="specification[{{$k}}][name][]" data-name="[name][]" style="width:100%;">
																									<option value=""></option>
																									<?php foreach($specifications as $pspec): ?>
																										<optgroup label="<?php echo $pspec->name; ?>">
																											<?php foreach($pspec->specifications as $aspec): ?>
																												<option <?php echo ($ispec->name)==($aspec->name)?'selected':''; ?>><?php echo $aspec->name; ?></option>
																											<?php endforeach; ?>
																										</optgroup>
																									<?php endforeach; ?>
																								</select>
																								</div>
																							</td>
																							<td>
																								<div class="form-group ">
																								<textarea class="form-control specField" name="specification[{{$k}}][value][]" data-name="[value][]" placeholder="Type here..." required>{{$ispec->value}}</textarea>
																								</div>
																							</td>
																							<td>
																								<div class="form-group ">
																								<select class="form-control specField" required data-bv-notempty name="specification[{{$k}}][use_in_filters][]" data-name="[use_in_filters][]" style="width:100%;">
																									<option value="">Yes / No</option>
																									<option <?php echo ($ispec->use_in_filters)=='Yes'?'selected':''; ?> value="Yes">Yes</option>
																									<option <?php echo ($ispec->use_in_filters)=='No'?'selected':''; ?> value="No">No</option>
																								</select>
																								</div>
																							</td>
																							<td style="width:50px;">
																								<button type="submit" form="pSpec{{$ispec->id}}Form" data-trid="pSpec{{$ispec->id}}"  class="btn btn-md btn-danger" data-toggle="tooltip" data-placement="left" title="Delete this Specification">
																									<i class="mdi mdi-minus-circle"></i>
																								</button>
																							</td>
																						</tr>
																					<?php endforeach; ?>
																				</tbody>
																				
																				<tbody>
																					<tr>
																						<td colspan="3" class="text-right">
																							<button type="button" class="addSpecRowBtn btn btn-md btn-warning" data-toggle="tooltip" data-placement="right" title="Add more specification details">
																								<i class="mdi mdi-plus-circle"></i>
																							</button>
																						</td>
																					</tr>
																				</tbody>
																			</table>
																		</td>
																		<td style='width:50px;'>
																			<button type="submit" class="btn btn-md btn-danger" form="pSpecHead{{$spec->id}}Form" data-trid="pSpecHead{{$spec->id}}" data-toggle="tooltip" data-placement="left" title="Delete Specification Head">
																				<i class="mdi mdi-minus-circle"></i>
																			</button>
																		</td>
																	</tr>
																<?php endforeach; ?>
																<?php endif; ?>
															</tbody>
															<tbody class="specHeadBodySample">
																<tr class='specHeadRow'>
																	<td style="width:25%;">
																		<input type="hidden" class="specHeadField" name="specification[0][head_id]" data-name="[head_id]" value="0">
																		<div class="form-group ">
																		<select class="form-control stitle specHeadField" data-bv-notempty required name="specification[0][head]" data-name="[head]" style="width:100%;">
																			<option value="">- Select -</option>
																			<?php foreach($specifications as $spec): ?>
																				<option><?php echo $spec->name; ?></option>
																			<?php endforeach; ?>
																		</select>
																		</div>
																	</td>
																	<td class="p-0">
																		<table class='table table-bordered m-0 specRowTable'>
																			<thead>
																				<tr>
																					<th>Specification Name</th>
																					<th>Specification Value</th>
																					<th>Use for Filters ?</th>
																					<th></th>
																				</tr>
																			</thead>
																			<tbody class="specRowBody">
																				<tr>
																					<td style="width:25%;">
																						<input type="hidden" class="specField" name="specification[0][spec_id][]" data-name="[spec_id][]" value="0">
																						<div class="form-group ">
																						<select class="form-control sname specField" data-bv-notempty required name="specification[0][name][]" data-name="[name][]" style="width:100%;">
																							<option value=""></option>
																							<?php foreach($specifications as $spec): ?>
																								<optgroup label="<?php echo $spec->name; ?>">
																									<?php foreach($spec->specifications as $aspec): ?>
																										<option><?php echo $aspec->name; ?></option>
																									<?php endforeach; ?>
																								</optgroup>
																							<?php endforeach; ?>
																						</select>
																						</div>
																					</td>
																					<td>
																						<div class="form-group ">
																						<textarea class="form-control specField" data-bv-notempty name="specification[0][value][]" data-name="[value][]" placeholder="Type here..." required></textarea>
																						</div>
																					</td>
																					<td>
																						<div class="form-group ">
																						<select class="form-control specField" data-bv-notempty required name="specification[0][use_in_filters][]" data-name="[use_in_filters][]" style="width:100%;">
																							<option value="">Yes / No</option>
																							<option value="Yes">Yes</option>
																							<option value="No">No</option>
																						</select>
																						</div>
																					</td>
																					<td style="width:50px;">
																						<button type="button" class="remRowBtn btn btn-md btn-danger" data-toggle="tooltip" data-placement="left" title="Remove Specification Detail">
																							<i class="mdi mdi-minus-circle"></i>
																						</button>
																					</td>
																				</tr>
																			</tbody>
																			<tbody>
																				<tr>
																					<td colspan="3" class="text-right">
																						<button type="button" class="addSpecRowBtn btn btn-md btn-warning" data-toggle="tooltip" data-placement="right" title="Add more specification details">
																							<i class="mdi mdi-plus-circle"></i>
																						</button>
																					</td>
																				</tr>
																			</tbody>
																		</table>
																	</td>
																	<td style='width:50px;'>
																		<button type="button" class="remRowBtn btn btn-md btn-danger" data-toggle="tooltip" data-placement="left" title="Remove Specification Heading">
																			<i class="mdi mdi-minus-circle"></i>
																		</button>
																	</td>
																</tr>
															</tbody>
															<tbody>
																<tr>
																	<td colspan="3" class="text-right">
																		<button type="button" class="addSpecHeadingBtn btn btn-md btn-info" data-toggle="tooltip" data-placement="right" title="Add specification Heading">
																			<i class="mdi mdi-plus-circle"></i>
																		</button>
																	</td>
																</tr>
															</tbody>
														</table>
														
														
													</div>
												</div>
											</div>
											<!--
											<div class="tab-pane " id="product_pricing">
												<div class="row">
													<div class="col-md-12">

														<div class="form-group row mb-3">
															<label for="inputEmail3" class="col-4 col-sm-2 col-md-2 col-lg-2 col-form-label text-right"><span class="text-danger"></span>Regular Price</label>
															<div class="col-8 col-sm-10 col-md-10 col-lg-10">
																<input type="number" min="1" step="0.01" required class="form-control @error('regular_price') is-invalid @enderror" id="" placeholder="Actual Price" name="regular_price" value="{{$product->regular_price}}">
																@if ($errors->has('regular_price'))
	                                                                  <span class="text-danger">{{ $errors->first('regular_price') }}</span>
	                                                            @endif
															</div>
														</div>
														
														<div class="form-group row mb-3">
															<label for="inputEmail3" class="col-4 col-sm-2 col-md-2 col-lg-2 col-form-label text-right">Offer Price</label>
															<div class="col-8 col-sm-10 col-md-10 col-lg-10">
																<input type="number" min="1" step="0.01" class="form-control @error('sale_price') is-invalid @enderror" id="inputEmail3" placeholder="Sale Price" name="sale_price" value="{{$product->sale_price}}">
																@if ($errors->has('sale_price'))
	                                                                  <span class="text-danger">{{ $errors->first('sale_price') }}</span>
	                                                            @endif
															</div>
														</div>
														<div class="form-group row mb-3">
															<label for="inputEmail3" class="col-4 col-sm-2 col-md-2 col-lg-2 col-form-label text-right">Start Date</label>
															<div class="col-8 col-sm-10 col-md-10 col-lg-10">
																<input type="text" id="datetime-datepicker" class="form-control flatpickr-input active" placeholder="Date and Time" value="{{empty($product->sale_start)?'':date('d-M-Y',strtotime($product->sale_start))}}" name="sale_start" readonly="readonly">
															</div>
														</div>
														<div class="form-group row mb-3">
															<label for="inputEmail3" class="col-4 col-sm-2 col-md-2 col-lg-2 col-form-label text-right">End Date</label>
															<div class="col-8 col-sm-10 col-md-10 col-lg-10">
																<input type="text" id="datetime-datepicker1" class="form-control flatpickr-input active" placeholder="Date and Time" value="{{date('d-M-Y',strtotime($product->sale_end))}}" name="sale_end" readonly="readonly">
															</div>
														</div>
													</div>
												</div>
											</div>
											-->
											<div class="tab-pane " id="product_img">
												<div class="row">
													
													<div class="col-12">
														
														<div class="form-group row mb-3">
															<label for="inputEmail3" class="col-4 col-sm-2 col-md-2 col-lg-2 col-form-label text-right"><span class="text-danger"></span>Featured Image</label>
															
															<div class="col-2 col-sm-2 col-md-2 col-lg-2">
																<img src="{{$product->image}}" style="max-width:100%;max-height:150px;border:1px solid #eee;">
															</div>
															
															<div class="col-2 col-sm-4 col-md-4 col-lg-4">
																<label class="control-label">Change Image</label>
																<input type="file" class="form-control @error('sale_price') is-invalid @enderror" id="" accept="image/*" placeholder="" name="image">
																@if ($errors->has('image'))
	                                                                  <span class="text-danger">{{ $errors->first('image') }}</span>
	                                                            @endif
															</div>
															
														</div>
														<hr>
														<div class="form-group row mb-3">
														
															<label for="inputEmail3" class="col-4 col-sm-2 col-md-2 col-lg-2 col-form-label text-right"><span class="text-danger"></span>More Images</label>
															<div class="col-8 col-sm-10 col-md-10 col-lg-10">
																
																<div class="row">
																	<div class="col-6">
																		<table class="table table-bordered mb-0 file-list" >
																			<tbody>
																				<!--
																				<?php foreach($product->images as $image): ?>
																					<tr id="rowdelImageForm{{$image->id}}">
																						<td>
																							<img src="{{$image->name}}" style="max-width:150px;max-height:150px;border:1px solid #eee;">
																						</td>
																						<td style="width:50px;">
																							<button type="button" class="btn btn-sm btn-danger waves-effect waves-light" form="delImageForm{{$image->id}}" data-toggle="tooltip" title="Delete Image" data-placement="right">
																								<i class="mdi mdi-close"></i>
																							</button>
																						</td>
																					</tr>
																				<?php endforeach; ?>
																			-->
																			</tbody>
																			<tbody class="imgTbody">
																				<tr>
																					<td>
																						<input type="file" class="form-control" accept="image/*" name="photos[]">
																					</td>
																					<td style="width:50px;">
																						<button type="button"  class="btn btn-sm btn-danger waves-effect waves-light remRowBtn">
																							<i class="mdi mdi-minus-circle"></i>
																						</button>
																					</td>
																				</tr>
																			</tbody>
																			<tbody>
																				<tr>
																					<td></td>
																					<td style="width:50px;">
																						<button type="button" class="btn btn-sm btn-info waves-effect waves-light addNewImageBtn">
																							<i class=" mdi mdi-plus-circle"></i>
																						</button>
																					</td>
																				</tr>
																			</tbody>
																		</table>
																	</div>
																</div>
																
															</div>
														</div>
													</div>
												</div>
											</div>
											<!--
											<div class="tab-pane " id="product_related_product">
												<div class="row">
													<div class="col-12">
														<div class="form-group row mb-3">
															<label for="inputEmail3" class="col-4 col-sm-2 col-md-2 col-lg-2 col-form-label text-right"><span class="text-danger"></span>Related Product</label>
															<div class="col-8 col-sm-10 col-md-10 col-lg-10">
																<select class="form-control select2-multiple" data-toggle="select2" multiple="multiple" data-placeholder="Choose ..." style="width: 100%" name="related_products[]">
																	<option value="">- Select -</option>
																	<?php
																		$related = explode(',',$product->related_products);
																	?>	
																	<?php foreach($products as $rproduct): ?>
																		<option <?php echo in_array($rproduct -> id,$related)?'selected':''; ?> value="<?php echo $rproduct -> id; ?>"><?php echo $rproduct -> name; ?></option>
																	<?php endforeach; ?>
																	
																</select>
															</div>
														</div>
													</div>
												</div>
											</div>
											-->
											<div class="tab-pane " id="product_tax">
												<div class="row">
													<div class="col-12">
														<div class="form-group row mb-3">
															<label for="inputEmail3" class="col-4 col-sm-2 col-md-2 col-lg-2 col-form-label text-right"><span class="text-danger"></span> Product Taxable</label>
															<div class="col-8 col-sm-10 col-md-10 col-lg-10">
																<select class="form-control @error('taxable') is-invalid @enderror" style="width: 100%" id="tax_product" name="taxable">
																	<option value="">-Select-</option>
																	<option <?php echo $product->taxable=='Yes'?'selected':''; ?> value="Yes">Yes</option>
																	<option <?php echo $product->taxable=='No'?'selected':''; ?> value="No">No</option>
																</select>
																@if ($errors->has('taxable'))
	                                                                  <span class="text-danger">{{ $errors->first('taxable') }}</span>
	                                                            @endif
															</div>
														</div>
														<div id="taxable-pdt-data" style="<?php echo $product->taxable=='Yes'?'':'display:none;'; ?>">
															<div class="form-group row mb-3 ">
																<label for="inputEmail3" class="col-4 col-sm-2 col-md-2 col-lg-2 col-form-label text-right"><span class="text-danger"></span> Choose Display Tax</label>
																<div class="col-8 col-sm-10 col-md-10 col-lg-10">
																	<select class="form-control" style="width: 100%" name="tax_id">
																		<option value="">-Select-</option>
																		<?php foreach($taxes as $tax): ?>
																			<option <?php echo $product->tax_id==$tax -> id?'selected':''; ?> value="<?php echo $tax -> id; ?>"><?php echo $tax -> name; ?> (<?php echo $tax -> rate; ?> %)</option>
																		<?php endforeach; ?>
																	</select>
																</div>
															</div>
															<!--
															<div class="form-group row mb-3">
																<label for="inputEmail3" class="col-4 col-sm-2 col-md-2 col-lg-2 col-form-label text-right"><span class="text-danger"></span> Tax</label>
																<div class="col-8 col-sm-10 col-md-10 col-lg-10">
																	<input type="text" class="form-control" id="t-name" value="GST (9%) + IGST (9%)" />
																</div>
															</div>
															<div class="form-group row mb-3">
																<label for="inputEmail3" class="col-4 col-sm-2 col-md-2 col-lg-2 col-form-label text-right"><span class="text-danger"></span> Tax Rate (%)</label>
																<div class="col-8 col-sm-10 col-md-10 col-lg-10">
																	<input type="text" class="form-control" id="trvalue" value="18%" >
																</div>
															</div>
															<div class="form-group row mb-3">
																<label for="inputEmail3" class="col-4 col-sm-2 col-md-2 col-lg-2 col-form-label text-right"><span class="text-danger"></span> Tax Id </label>
																<div class="col-8 col-sm-10 col-md-10 col-lg-10">
																	<input type="text" class="form-control" id="t-id" value="DGWPK319CZ2" />
																</div>
															</div>
															-->
														</div>
													</div>
												</div>
											</div>
										</div>
										<div class="mt-2 text-right">
											<button type="submit" class="btn btn-success waves-effect waves-light">
												<i class="mdi mdi-content-save"> </i> Save Now
											</button>
										</div>
									</form>
								</div>
							</div>

						</div>
					</div>
					<!-- end card-->
				</div>
				<!-- end col -->
			</div>
			<!-- end row -->

		</div>
		<!-- container -->

	</div>
	<!-- content -->

</div>
<?php foreach($product->images as $image): ?>
		<form data-trid="rowdelImageForm{{$image->id}}" class="delImageForm" id="delImageForm{{$image->id}}" action="{{route('deleteProductImage',$image->id)}}" method="post">
			@csrf
		</form>
<?php endforeach; ?>

																				
<?php if(!empty($product->productSpecifications)): ?>
	<?php foreach($product->productSpecifications as $k=>$spec): ?>
		<form class="delSpecForms" id="pSpecHead{{$spec->id}}Form" action="{{route('deleteProductSpecification',$spec->id)}}" method="post">
			@csrf
			<input type="hidden" name="parent" value="Yes">
		</form>
		<?php foreach($spec->productSpecifications as $ik=>$ispec): ?>
			<form class="delSpecForms" id="pSpec{{$ispec->id}}Form" action="{{route('deleteProductSpecification',$ispec->id)}}" method="post">
				@csrf
			</form>
		<?php endforeach; ?>
	<?php endforeach; ?>
<?php endif; ?>


<script type="text/javascript">
	var updating = `<span class="badge badge-pill badge-info"><i class="fa fa-spin fa-spinner"></i>
					Updating
				</span>`;
	var updated = `<span class="badge badge-pill badge-success"><i class="fa fa-check"></i>
					Success
				</span>`;
	var failed = `<span class="badge badge-pill badge-danger"><i class="fa fa-times"></i>
					Failed
				</span>`;

	$(function() {
		
		
		//base price calculations
		$(document).on('change','.brcal',function(e){
			var mrp = $('.brcal.mrp');
			var mratio = $('.brcal.mratio');
			var baseRate = $('.brcal.brate');
			
			if($(this).hasClass('brate')){
				if(baseRate.val() && mratio.val()){
					mrp2 = ((parseFloat(baseRate.val())*parseFloat(mratio.val()))/100);
					if(Math.round(mrp2)!=mrp2){
						mrp2 = mrp2.toFixed(2);
					}
					
					mrp.val(parseFloat(baseRate.val())+parseFloat(mrp2));
				} else {
					mrp.val(0);
				}
				
			} else {
			
				if(mrp.val() && mratio.val()){
					brate = ((parseFloat(mrp.val())*parseFloat(mratio.val()))/100);
					if(Math.round(brate)!=brate){
						brate = brate.toFixed(2);
					}
					
					baseRate.val(parseFloat(mrp.val())-parseFloat(brate));
				} else {
					baseRate.val(0);
				}
			}
		});
		/*
		$(document).on('keyup','.brcal',function(e){
			var mrp = $('.brcal.mrp');
			var mratio = $('.brcal.mratio');
			var baseRate = $('.brate');
			
			if(mrp.val() && mratio.val()){
				brate = ((parseFloat(mrp.val())*parseFloat(mratio.val()))/100);
				if(Math.round(brate)!=brate){
					brate = brate.toFixed(2);
				}
				baseRate.val(parseFloat(mrp.val())-parseFloat(brate));
			} else {
				baseRate.val(0);
			}
		}); */
		//base price calculations ends
		
		$(document).on('change','.otype',function(){
			if($(this).val()!='None'){
				$('.ovalue').prop('required',true);
				$('.osdate').prop('required',true);
			} else {
				$('.ovalue').prop('required',false);
				$('.osdate').prop('required',false);
			}
		});
		
		var specsRow = $('.specsTbody').html();
		var newImg = $('.imgTbody').html(); 
		$('.imgTbody').html('');
		
		$('#tax_product').on('change', function() {
			if ($(this).val() == "Yes") {
				$('#taxable-pdt-data').show();
			} else {
				$('#taxable-pdt-data').hide();
			}
		});
		
		
		
		
		$(document).on('click','.addNewImageBtn',function(){
			$('.imgTbody').append(newImg);
		});
		
		$(document).on('click','.remRowBtn',function(){
			$(this).parents('tr')[0].remove();
			
		});
		
		
		
		
		var specHeadRow = $('.specHeadBodySample').html();
		var specRow = $('.specHeadBodySample').find('.specRowBody').html();
		
		//$('.specRowBodySample').remove();
		$('.specHeadBodySample').remove();
		
		$(document).on('click','.addSpecHeadingBtn',function(){
			$('.specHeadBody').append(specHeadRow);
			updateSpecFields();
		});
		
		$(document).on('click','.addSpecRowBtn',function(){
			$(this).parents('.specRowTable').find('.specRowBody').append(specRow);
			updateSpecFields();
		});
		
		
		$(document).on('change','.stitle',function(){
			var title = $(this).val();
			
			$(this).parents('.specHeadRow').find('optgroup:not([label="'+title+'"])').hide();
			$(this).parents('.specHeadRow').find('optgroup[label="'+title+'"]').show();
			$(this).parents('.specHeadRow').find('.sname').val('');
		});
		
		
		function updateSpecFields(){
			var i=0;
			$('.specHeadBody > tr').each(function(){
				$(this).find('.specHeadField').each(function(){
					$(this).prop('name','specification['+i+']'+$(this).data('name'));
				});
				$(this).find('.specRowBody > tr').each(function(){
					$(this).find('.specField').each(function(){
						$(this).prop('name','specification['+i+']'+$(this).data('name'));
					});
				});
				i++;
			});
			
			buildValidation();
		}
		
		
		
		
		$(document).on('submit','.delImageForm',function(e){
			e.preventDefault();
			swal.fire({
			  title: "Oja",
			  text: "Are you sure to delete ?",
			  //icon: "warning",
			  showCancelButton: true,
			  confirmButtonText: 'Yes, delete it!'
			})
			.then((willDelete) => {
				if(willDelete.value){
				  	var url = $(this).prop('action');
					var data = $(this).serialize();
					var frm = $(this);
					$.ajax({
			           type:'POST',
			           url:url,
			           data:data,
			           success:function(data) {
			             if(data==1){
			             	$('#'+frm.data('trid')).remove();
			             	swal.fire({
							  title: "Oja",
							  text: "Image Removed Successfully.",
							  //icon: "success",
							 
							});
			             } else {
			             	//alert("Sorry! Something Went Wrong. Refresh Page and try again.");
			             	swal.fire({
							  title: "Oja",
							  text: "Sorry! Something Went Wrong. Refresh Page and try again.",
							  icon: "warning",
							 
							});
			             }
			           }
			        });
		       	}
			});
			
		});
		
		//deleting Specifications for Product
		$(document).on('submit','.delSpecForms',function(e){
			e.preventDefault();
			swal.fire({
			  title: "Oja",
			  text: "Are you sure to delete ?",
			  //icon: "warning",
			  showCancelButton: true,
			  confirmButtonText: 'Yes, delete it!'
			})
			.then((willDelete) => {
				if(willDelete.value){
				  	var url = $(this).prop('action');
					var data = $(this).serialize();
					var frm = $(this);
					$.ajax({
			           type:'POST',
			           url:url,
			           data:data,
			           success:function(data) {
			             if(data==1){
			             	$('#'+frm.data('trid')).remove();
			             	swal.fire({
							  title: "Oja",
							  text: "Specification Removed Successfully.",
							  //icon: "success",
							 
							});
			             } else {
			             	alert(data);
			             	//alert("Sorry! Something Went Wrong. Refresh Page and try again.");
			             	swal.fire({
							  title: "Oja",
							  text: "Sorry! Something Went Wrong. Refresh Page and try again.",
							  icon: "warning",
							 
							});
			             }
			           }
			        });
		       	}
			});
			
		});
		
	});
	
	
	function buildValidation(){
		var bootstrapValidat = $('#addProductForm').data('bootstrapValidator');
	
	if (bootstrapValidat != undefined)
	   { bootstrapValidat.destroy();}
		    
		$('#addProductForm')
	        .bootstrapValidator({
	            // Only disabled elements are excluded
	            // The invisible elements belonging to inactive tabs must be validated
	            excluded: [':disabled'],
	            //container: '#valMessages',
	            feedbackIcons: {
	                //valid: 'fa fa-check',
	                //invalid: 'fa fa-times',
	                validating: 'fa fa-refresh'
	            },
	            group:'.form-group',
	            fields: {
	                name: {
	                    validators: {
	                        notEmpty: {
	                            message: 'Product name is required'
	                        }
	                    }
	                },
	                'category_id[]': {
	                    validators: {
	                        notEmpty: {
	                            message: 'Category is required'
	                        }
	                    }
	                },
	                merchant_id: {
	                    validators: {
	                        notEmpty: {
	                            message: 'Merchant is required'
	                        }
	                    }
	                },
	                sku: {
	                    validators: {
	                        notEmpty: {
	                            message: 'SKU is required'
	                        },
	                        remote: {
		                        message: 'The SKU already exists',
		                        url: "{{route('validateProductSku')}}"
		                    }
	                    }
	                },
	                sort_order: {
	                    validators: {
	                        notEmpty: {
	                            message: 'Sort Order is required'
	                        }
	                    }
	                },
	                /*
	                regular_price: {
	                    validators: {
	                        notEmpty: {
	                            message: 'Actual Price is required'
	                        }
	                    }
	                },
	                
	                sale_price: {
	                    validators: {
	                        notEmpty: {
	                            message: 'Offer Price is required'
	                        }
	                    }
	                },
	                */
	                image: {
	                    validators: {
	                    	/*
	                        notEmpty: {
	                            message: 'Featured Image is required'
	                        }, */
	                        file: {
		                        extension: 'jpeg,png,svg,jpg,gif',
		                        //type: 'image/jpeg,image/png',
		                        //maxSize: 2048 * 1024,
		                        message: 'Only JPEG, PNG, SVG, GIF or JPG are allowed for Featured Image'
		                    }
	                    }
	                },
	                photos: {
	                    validators: {
	                        
	                        file: {
		                        extension: 'jpeg,png,svg,jpg,gif',
		                        
		                        message: 'Only JPEG, PNG, SVG, GIF or JPG Files are allowed.'
		                    }
	                    }
	                },
	                taxable: {
	                    validators: {
	                        notEmpty: {
	                            message: 'Taxable Field is required'
	                        }
	                    }
	                },
	                'batch[batch_number]': {
	                    validators: {
	                        notEmpty: {
	                            message: 'Batch Number is required'
	                        },
	                        remote: {
		                        message: 'This Batch Number already exists',
		                        url: "{{route('validateProductBatchNumber')}}"
		                    }
	                        
	                    }
	                },
	                'batch[mfd_date]': {
	                    validators: {
	                        notEmpty: {
	                            message: 'Manufacture Date is required'
	                        },
	                        date: {
		                        format: 'YYYY-MM-DD',
		                        message: 'The value is not a valid date'
		                    },
		                    callback: {
	                            message: 'Manufacture date must be less than Expiry Date',
	                            callback: function (value, validator, $field) {
	                                if($('[name="batch[expiry_date]"]').val() && $('[name="batch[expiry_date]"]').val()<=value){
	                                	return false;
	                                } else {
	                                	return true;
	                                }                
	                            }
	                        }
	                    }
	                },
	                'batch[expiry_date]': {
	                    validators: {
	                        /* notEmpty: {
	                            message: 'Expiry Date is required'
	                        },*/
	                        date: {
		                        format: 'YYYY-MM-DD',
		                        message: 'The value is not a valid date'
		                    },
		                    callback: {
	                            message: 'Expiry date must be greater than Manufacture Date',
	                            callback: function (value, validator, $field) {
	                                if($('[name="batch[mfd_date]"]').val() && $('[name="batch[mfd_date]"]').val()>=value){
	                                	return false;
	                                } else {
	                                	return true;
	                                }                
	                            }
	                        }
	                    }
	                },
	                'batch[quantity]': {
	                    validators: {
	                        notEmpty: {
	                            message: 'Product Quantity in this batch is required'
	                        }
	                    }
	                },
	                'batch[margin_ratio]': {
	                    validators: {
	                        notEmpty: {
	                            message: 'Margin Ratio is required'
	                        }
	                    }
	                },
	                'batch[product_mrp]': {
	                    validators: {
	                        notEmpty: {
	                            message: 'Single Product MRP is required'
	                        }
	                    }
	                },
	                'batch[base_rate]': {
	                    validators: {
	                        notEmpty: {
	                            message: 'Base Rate is required'
	                        }
	                    }
	                },
	                /*
	                'batch[offer_value]': {
	                	validators: {
	                		callback: {
	                            message: 'Offer Value is required',
	                            callback: function (value, validator, $field) {
	                                if($('.otype').val()!='None' && value==''){
	                                	return false;
	                                } else {
	                                	return true;
	                                }                
	                            }
	                        }
	                	}
	                }, */
	                'batch[offer_start_date]': {
	                	validators: {
	                		callback: {
	                            message: 'Offer Start Date is required And Offer Start Date must be less then End Date',
	                            callback: function (value, validator, $field) {
	                                if($('.otype').val()!='None' && value==''){
	                                	return false;
	                                } else {
	                                	if($('[name="batch[offer_end_date]"').val() && Date.parse($('[name="batch[offer_end_date]"]').val())<=Date.parse(value)){
		                                	return false;
		                                } else {
		                                	return true;
		                                } 
	                                	
	                                	return true;
	                                }                
	                            }
	                        },
	                        date: {
		                        format: 'YYYY-MM-DD',
		                        message: 'The value is not a valid date'
		                    }
	                	}
	                },
	                 'batch[offer_end_date]': {
	                    validators: {
	                    	
	                        date: {
		                        format: 'YYYY-MM-DD',
		                        message: 'The value is not a valid date'
		                    },
		                    callback: {
	                            message: 'Offer End date must be greater than Start Date',
	                            callback: function (value, validator, $field) {
	                            	if($('[name="batch[offer_start_date]"').val() && Date.parse($('[name="batch[offer_start_date]"]').val())>=Date.parse(value)){
	                                	return false;
	                                } else {
	                                	return true;
	                                }                
	                            }
	                        }
	                    }
	                }
	                
	            }
	        })
	        // Called when a field is invalid
	        .on('error.field.bv', function(e, data) {
	            // data.element --> The field element
	
	            var $tabPane = data.element.parents('.tab-pane'),
	                tabId    = $tabPane.attr('id');
	
	            $('a[href="#' + tabId + '"][data-toggle="tab"]')
	                .parent()
	                .find('i')
	                .removeClass('fa-check')
	                .addClass('fa-times');
	        })
	        // Called when a field is valid
	        .on('success.field.bv', function(e, data) {
	            // data.bv      --> The BootstrapValidator instance
	            // data.element --> The field element
	
	            var $tabPane = data.element.parents('.tab-pane'),
	                tabId    = $tabPane.attr('id'),
	                $icon    = $('a[href="#' + tabId + '"][data-toggle="tab"]')
	                            .parent()
	                            .find('i')
	                            .removeClass('fa-check fa-times');
	
	            // Check if the submit button is clicked
	            if (data.bv.getSubmitButton()) {
	                // Check if all fields in tab are valid
	                var isValidTab = data.bv.isValidContainer($tabPane);
	                $icon.addClass(isValidTab ? 'fa-check' : 'fa-times');
	            }
	        });
	}
	
	
	$(function() {
	   buildValidation();
	   
	   
	   sortable('.cmovable2')[0].addEventListener('sortupdate', function(e) {
	   		
			url = $('.cmovable2').data('url');
			data = new Array();
			$('.cmovable2 > .pBatches').each(function(){
				data.push($(this).data('id'));
			});
			product_id =  {{$product->id}};
			
			$.ajax({
	           type:'POST',
	           url:url,
	           data:{_token:$('meta[name="csrf-token"]').attr('content'),data:data,product_id:product_id},
	           beforeSend:function(){
	           	 $('.ajaxStatus2').html(updating);
	           },
	           success:function(data) {
	           	 
	           	 setTimeout(function(){
	             	if(data==1){
		             	$('.ajaxStatus2').html(updated);
		             	
		             	$('.pBatches').removeClass('table-success');
		             	
		             	$('.pBatches').each(function(){
		             		thisRow = $(this);
		             		var fRow=undefined;
		             		if(parseFloat(thisRow.find('td:nth-child(6)').text())>0){
		             			
		             			fRow = thisRow.clone(false);
		             			fRow.removeClass('pBatches');
		             			fRow.find('td:first-child').remove()
		             			$('.currentBatch').html(fRow);
		             			thisRow.addClass('table-success');
		             			fRow=undefined;
		             			return false;
		             			
		             		}
		             		
		             	});
		             	
		             	
		             	
		             } else {
		             	$('.ajaxStatus2').html(failed);
		             }
	             	
	             	 setTimeout(function(){
		             	$('.ajaxStatus2').html('');
		             },3000);
	             },3000);
	           	
	           }
	        });
			
	   	}); 
	   
	});
	
</script>
@endsection