@extends('layouts.app')


@section('content')
<style>
	
	.divSku:first-child .removeSkuBtn
	 {
		display:inline-block;
	}
	.catContainer [data-bv-result="INVALID"].help-block {
    padding-left: 0px;
    font-weight: normal;
}
</style>
<div class="content-page">
	<div class="content">

		<!-- Start Content-->
		<div class="container-fluid">
			<!-- start page title -->
			<div class="row mt-3 mb-3">
				<div class="col-8 col-sm-8 col-md-8 col-lg-8">
					<div class="page-title-box">
						<h3>Edit Product</h3>
						<ol class="breadcrumb m-0">
							<li class="breadcrumb-item">
								<a href="{{ route('dashboard') }}">Dashboard</a>
							</li>
							<li class="breadcrumb-item">
								<a href="{{ route('products.index') }}">Products</a>
							</li>
							<li class="breadcrumb-item active">
								Edit Product
							</li>
						</ol>
					</div>
				</div>
				<div class="col-4 col-sm-4 col-md-4 col-lg-4 text-right">
					
				</div>
			</div>
			<!-- end page title -->
		
			<div class="">
				<div id="valMessages"></div>
				<div class="row">
					<div class="col-12">
						<form class="form-horizontal" method="post" action="{{ route('products.update',$product->id) }}" enctype="multipart/form-data" id="addProductForm" >
							@csrf
							@method('PUT')
							
							<ul class="nav nav-tabs">
								<li class="nav-item">
									<a href="#product_general" data-toggle="tab" aria-expanded="false" class="nav-link active"> General </a>
								</li>
								<li class="nav-item">
									<a href="#skus" data-toggle="tab" aria-expanded="false" class="nav-link"> SKU &amp; Specifications </a>
								</li>
							</ul>
						
							<div class="tab-content">
								
								<div class="tab-pane show active" id="product_general">
									
									<div class="row">
										<div class="col-md-12">
											<div class="form-group row mb-3">
												<label for="" class="col-4 col-sm-2 col-md-2 col-lg-2 col-form-label text-right"><span class="text-danger">*</span>Product Brand</label>
												<div class="col-8 col-sm-10 col-md-10 col-lg-10 ">
													<select data-bv-notempty required class="form-control" id="brand_id_select2" data-toggle="select2" name="brand_id" data-name="[brand_id]">
    													<option value="">-- Choose --</option>
    													<?php foreach($brands as $brand): ?>
    														<option value="{{$brand->id}}" <?= ($product->brand_id == $brand->id) ? "selected" : ""?> data-id="{{ $brand->name }}">{{$brand->name}}</option>
    													<?php endforeach; ?>
    												</select>
												</div>
											</div>
											<div class="form-group row mb-3">
												<label for="" class="col-4 col-sm-2 col-md-2 col-lg-2 col-form-label text-right"><span class="text-danger">*</span>Product Name</label>
												<div class="col-8 col-sm-10 col-md-10 col-lg-10 ">
													<input type="text" class="form-control"  placeholder="Product Name" name="name" value="{{$product->name}}" required>
													
												</div>
											</div>
											<div class="form-group row mb-3">
												<label for="" class="col-4 col-sm-2 col-md-2 col-lg-2 col-form-label text-right"><span class="text-danger">*</span>Barcode</label>
												<div class="col-8 col-sm-10 col-md-10 col-lg-10 ">
													<input type="text" class="form-control"  placeholder="Barcode" name="barcode" value="{{$product->barcode}}" required>
												</div>
											</div>
											<div class="form-group row mb-3">
												<label for="" class="col-4 col-sm-2 col-md-2 col-lg-2 col-form-label text-right"><span class="text-danger">*</span>Product ID</label>
												<div class="col-8 col-sm-10 col-md-10 col-lg-10 ">
													<input type="text" class="form-control"  placeholder="Product ID" name="product_code" value="{{$product->product_code}}" required>
												</div>
											</div>
											<div class="form-group row mb-3">
												<label for="" class="col-4 col-sm-2 col-md-2 col-lg-2 col-form-label text-right"><span class="text-danger">*</span>HSN</label>
												<div class="col-8 col-sm-10 col-md-10 col-lg-10 ">
													<input type="text" data-bv-notempty class="form-control"  placeholder="HSN" name="hsn" value="{{$product->hsn}}" required>
													
												</div>
											</div>
											<div class="form-group row mb-3 catContainer">
												<label for="" class="col-4 col-sm-2 col-md-2 col-lg-2 col-form-label text-right"><span class="text-danger">*</span>Product Categories</label>
												<div class="col-8 col-sm-10 col-md-10 col-lg-10">
													
													<select  class="multi-select" name="category_id[]" data-toggle="select2">
														<option value="">--Choose-- </option>
	                                                    <?php foreach($catArray as $catAr): ?>
	                                                    	<optgroup label="<?php echo $catAr['name']; ?>">
	                                                    		<?php foreach($catAr['categories'] as $ctArCat): ?>
	                                                    			<option <?php echo !in_array($ctArCat['id'],$pCats)?:'selected'; ?> value="<?php echo $ctArCat['id']; ?>"><?php echo $ctArCat['name']; ?></option>
	                                                    		<?php endforeach; ?>
	                                                    	</optgroup>
	                                                    <?php endforeach; ?>
	                                                </select>
	                                            </div>
											</div>
											
											<div class="form-group row mb-3">
												<label for="" class="col-4 col-sm-2 col-md-2 col-lg-2 col-form-label text-right">Short Description</label>
												<div class="col-8 col-sm-10 col-md-10 col-lg-10">
													<textarea class="form-control" id="product-description" rows="5" placeholder="Please enter description" name="short_description">{{$product->short_description}}</textarea>
													
												</div>
											</div>
											<div class="form-group row mb-3">
												<label for="" class="col-4 col-sm-2 col-md-2 col-lg-2 col-form-label text-right">Product Tags</label>
												<div class="col-8 col-sm-10 col-md-10 col-lg-10">
													<input type="text" class="form-control"  placeholder="Product Tags comma separated" value="{{$product->tags}}" name="tags" data-role="tagsinput">
												</div>
											</div>
											
											<div class="form-group row mb-3">
												<label for="" class="col-sm-2 col-form-label text-right">Related Download</label>
												<div class="col-7">
													<input type="file" class="form-control" name="related_files">
												</div>
												<div class="col-3">
													<?php if(!empty($product->related_files)): ?>
														<a href="{{$product->related_files}}" target="_blank" download="{{$product->name}}" class="btn btn-secondary">
															<i class="mdi mdi-file-pdf"></i>
															Download Existing
														</a>
													<?php endif; ?>
												</div>
												
											</div>
											<div class="form-group row mb-3">
												<label for="inputEmail3" class="col-4 col-sm-2 col-md-2 col-lg-2 col-form-label text-right">
													Is Popular
													<i class="fa fa-info-circle" data-toggle="tooltip" title="Is this a popular product?"></i>
												</label>
												<div class="col-8 col-sm-10 col-md-10 col-lg-10">
													<select class="form-control" name="popular" required>
														<option <?php echo $product->popular!='No'?'':'selected'; ?> value="No">No</option>
														<option <?php echo $product->popular!='Yes'?'':'selected'; ?> value="Yes">Yes</option>
													</select>
													
												</div>
											</div>
											<div class="form-group row mb-3">
												<label for="" class="col-4 col-sm-2 col-md-2 col-lg-2 col-form-label text-right"><span class="text-danger">*</span>Min. Stock Quantity</label>
												<div class="col-8 col-sm-10 col-md-10 col-lg-10 ">
													<input type="number" min="0" step="1" class="form-control"  placeholder="Min Stock Quantity" name="min_stock_quantity" value="{{$product->min_stock_quantity}}" required>
												</div>
											</div>
											<div class="form-group row mb-3">
												<label for="" class="col-4 col-sm-2 col-md-2 col-lg-2 col-form-label text-right"><span class="text-danger">*</span> Product Taxable</label>
												<div class="col-8 col-sm-10 col-md-10 col-lg-10">
													<select class="form-control" style="width: 100%" id="tax_product" required name="taxable">
														<option value="">-Select-</option>
														<option <?php echo $product->taxable=='Yes'?'selected':''; ?> value="Yes">Yes</option>
														<option <?php echo $product->taxable=='No'?'selected':''; ?> value="No">No</option>
													</select>
													
												</div>
											</div>
											
											<div id="taxable-pdt-data" style="display:<?php echo $product->taxable=='Yes'?'block;':'none;'; ?>">
												<div class="form-group row mb-3 ">
													<label for="" class="col-4 col-sm-2 col-md-2 col-lg-2 col-form-label text-right"><span class="text-danger"></span> Choose Tax</label>
													<div class="col-8 col-sm-10 col-md-10 col-lg-10">
														<select class="form-control" style="width: 100%" name="tax_id">
															<!-- <option value="">-Select-</option> -->
															<?php foreach($taxes as $tax): ?>
																<option <?php echo $product->tax_id==$tax->id?'selected':''; ?> value="<?php echo $tax -> id; ?>"><?php echo $tax -> name; ?> (<?php echo $tax -> rate; ?> %)</option>
															<?php endforeach; ?>
														</select>
													</div>
												</div>
											</div>
											
											<div class="form-group row mb-3">
												<label for="" class="col-4 col-sm-2 col-md-2 col-lg-2 col-form-label text-right"><span class="text-danger">*</span>Sort Order</label>
												<div class="col-8 col-sm-10 col-md-10 col-lg-10">
													<input type="number" step="1" class="form-control" value="{{$product->sort_order}}"  placeholder="0" name="sort_order" required>
													
												</div>
											</div>
											@if(Auth::user()->role!='Uploader')
												<div class="form-group row mb-3">
													<label for="" class="col-4 col-sm-2 col-md-2 col-lg-2 col-form-label text-right">Enabled</label>
													<div class="col-8 col-sm-10 col-md-10 col-lg-10">
														<select class="form-control"  name="enabled" required>
															<option <?php echo $product->enabled=='Yes'?'selected':""; ?> value="Yes">Yes</option>
															<option <?php echo $product->enabled=='No'?'selected':""; ?> value="No">No</option>
														</select>
													</div>
												</div>
											@endif
										</div>
									</div>
								</div>
								<div class="tab-pane" id="skus">
									<div class="skuDiv">
										
										<?php foreach($product->skus as $sku_key=>$sku): ?>
											<div class="card border border-warning bg-light p-2 divSku existing">
												<input type="hidden" class="varField" value="{{$sku->id}}" name="sku[{{$sku_key}}][id]" data-name="[id]">
												<div class="card-body p-1 pl-0 pr-0 mb-3 shadow bg-white">
													<div class="row">
														<div class="col-sm-3">
															<div class="form-group">
																<label for="" class="control-label">
																	<b>
																		<span class="text-danger">*</span> SKU
																	</b>
																</label>
																<span class="form-control">
																	{{$sku->sku}}
																</span>
															</div>
														</div>
														<div class="col-sm-3">
															<div class="form-group">
																<label for="" class="control-label">
																	<b>
																		<span class="text-danger">*</span> Variation Name
																	</b>
																</label>
																<input type="text" class="form-control varField" data-bv-notEmpty required placeholder="Variation Name" value="{{$sku->variation_name}}" name="sku[{{$sku_key}}][variation_name]" data-name="[variation_name]">
																
															</div>
														</div>
														<div class="col-sm-5">
															<div class="form-group">
																<label for="" class="control-label">
																	<b>
																		<span class="text-danger">*</span> Variation Value
																	</b>
																</label>
																<input type="text" class="form-control varField" data-bv-notEmpty required placeholder="Variation Value" value="{{$sku->variation_value}}" name="sku[{{$sku_key}}][variation_value]" data-name="[variation_value]">
															</div>
														</div>
														<div class="col-sm-1 text-right">
															<button class="btn btn-xs btn-danger removeSkuBtn existing" data-url="{{route('deleteProductSkuAjax',$sku->id)}}" type="button">
																<i class="fa fa-minus-square"></i> Remove SKU
															</button>
														</div>
													</div>
												</div>
												<div class='row'>
													<div class="col-sm-6">
														<h4>Specifications</h4>
														<div class="specRowBody">
															<?php foreach($sku->productSpecifications as $pSpecifications): ?>
																<?php $sSpecs = getSpecData($pSpecifications->name,$specifications->toArray()); ?>
																<?php foreach($pSpecifications->productSpecifications as $sk=>$pSpecification): ?>
																<div class="card-body p-1 pl-0 pr-0 mb-3 shadow bg-white">
																	<input type="hidden" class="specField" value="{{$pSpecification->id}}" name="sku[{{$sku_key}}][specification][{{$sk}}][id][]" data-name="[id][]">
																	
																	<span class="float-right">
																		<button class="btn btn-xs btn-danger removeSpecBtn existing" data-url="{{route('deleteSpecificationAjax',$pSpecification->id)}}" type="button">
																			<i class="fa fa-minus"></i>
																		</button>
																	</span>
																	<div class="row">
																		<div class="col-sm-6">
																			<div class="form-group">
																				
																				<label class="control-label">
																					Specification Group
																				</label>
																				<select class="form-control specHeadSelect specField" name="sku[{{$sku_key}}][specification][{{$sk}}][heading][]" data-name="[heading][]" style="width:100%;">
																					<option value=""></option>
																					<?php foreach($specifications as $spec): ?>
																						<option <?php echo $pSpecifications->name==$spec->name?'selected':''; ?> value="<?php echo $spec->id; ?>"><?php echo $spec->name; ?></option>
																					<?php endforeach; ?>
																				</select>
																			</div>
																		</div>
																		<div class="col-sm-6">
																			<div class="form-group">
																				
																				<label class="control-label specNameLabel">
																					Specification Name
																				</label>
																				<select class="form-control specName specField" name="sku[{{$sku_key}}][specification][{{$sk}}][name][]" data-name="[name][]" style="width:100%;">
																					<option value=""></option>
																					<?php foreach($sSpecs['specifications'] as $spSpec): ?>
																						<option <?php echo $spSpec['name']==$pSpecification->name?'selected':''; ?> value="<?php echo $spSpec['name']; ?>"><?php echo $spSpec['name']; ?></option>
																					<?php endforeach; ?>
																				</select>
																			</div>
																		</div>
																		<div class="col-sm-8">
																			
																			<div class="form-group">
																				<label class="control-label">
																					Specification Value
																				</label>
																				<input type="text" class="form-control specField" name="sku[{{$sku_key}}][specification][{{$sk}}][value][]" data-name="[value][]" value="{{$pSpecification->value}}" placeholder="Type here..." >
																			</div>
																		</div>
																		<div class="col-sm-4">
																			<div class="form-group">
																				<label class="control-label">
																					Use for Filters ?
																				</label>
																				<select class="form-control specField"   name="sku[0][specification][0][use_in_filters][]" data-name="[use_in_filters][]" style="width:100%;">
																					<option value="">Yes / No</option>
																					<option <?php echo $pSpecification->use_in_filters=='Yes'?'selected':''; ?> value="Yes">Yes</option>
																					<option <?php echo $pSpecification->use_in_filters=='No'?'selected':''; ?> value="No">No</option>
																				</select>
																			</div>
																		</div>
																	</div>
																</div>
																<?php endforeach; ?>
															<?php endforeach; ?>
														</div>
														<div class="text-right">
															<button type="button" class="addSpecRowBtn btn btn-md btn-info" data-toggle="tooltip" data-placement="top" title="Add Specification">
																<i class="fa fa-plus"></i>
															</button>
														</div>
														
													</div>
													
													<div class="col-sm-6">
														<h4>Images</h4>
														<div class="row">
															<div class="col-12">
																<table class="table table-bordered mb-0 file-list bg-white" >
																	<thead>
																		<tr>
																			<th colspan="2">
																				Select Images
																			</th>
																		</tr>
																	</thead>
																	
																	<tbody class="imgTbody">
																		<?php foreach($sku->images as $pimage): ?>
																		<tr>
																			<td>
																				<div class="row">
																					<div class="col-sm-10">
																						<div class="form-group mb-0">
																							<input type="hidden" class="imgField" name="sku[{{$sku_key}}][photos][id][]" data-name="[photos][id][]" value="{{$pimage->id}}">
																							<input type="file" class="form-control imgField" accept="image/*" name="sku[{{$sku_key}}][photos][photos][]" data-name="[photos][photos][]">
																						</div>
																					</div>
																					<div class="col-sm-2 text-center">
																						<img src="{{$pimage->name}}" class="border rounded shadow" data-toggle="modal" data-target="#imodel{{$pimage->id}}" style="object-fit:cover;cursor:pointer; width:50px;height:50px;">
																						<div class="modal" tabindex="-1" role="dialog" id="imodel{{$pimage->id}}">
																						  <div class="modal-dialog modal-lg" role="document">
																						    <div class="modal-content">
																						      <div class="modal-header">
																						        <h5 class="modal-title">Image Preview</h5>
																						        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
																						          <span aria-hidden="true">&times;</span>
																						        </button>
																						      </div>
																						      <div class="modal-body">
																						        <img src="{{$pimage->name}}" class="border rounded shadow" style="max-width:100%">
																						      </div>
																						      
																						    </div>
																						  </div>
																						</div>
																					</div>
																				</div>
																				
																			</td>
																			<td style="width:50px;">
																				<button type="button"  class="btn btn-sm btn-danger waves-effect waves-light remRowBtn existing" data-url="{{route('deleteImageAjax',$pimage->id)}}">
																					<i class="mdi mdi-minus-circle"></i>
																				</button>
																			</td>
																		</tr>
																		<?php endforeach; ?>
																	</tbody>
																	<tbody>
																		<tr>
																			<td colspan="2" class="text-right">
																				<button type="button" class="btn btn-sm btn-info waves-effect waves-light addNewImageBtn">
																					<i class="fa fa-plus"></i>
																				</button>
																			</td>
																		</tr>
																	</tbody>
																</table>
																
															</div>
														</div>
													</div>
													
												</div>
											</div>
										<?php endforeach; ?>
										<div id="divSkuSample">
											<div class="card border border-warning bg-light p-2 divSku">
												<input type="hidden" class="varField" value="new" name="sku[0][id]" data-name="[id]">
												<div class="card-body p-1 pl-0 pr-0 mb-3 shadow bg-white">
													<div class="row">
														<div class="col-sm-3">
															<div class="form-group">
																<label for="" class="control-label">
																	<b>
																		<span class="text-danger">*</span> SKU
																		<i class="fa fa-info-circle ml-2" data-toggle="tooltip" title="SKU may change while saving to keep unique"></i>
																	</b>
																</label>
																<div class="input-group">
																  <input type="text" class="form-control skuField varField" data-bv-notEmpty  data-bv-remote data-bv-remote-url="{{route('validateProductSku')}}" data-bv-remote-message="SKU already exist." data-bv-remote-name="sku" required name="sku[0][sku_number]" data-name="[sku_number]" placeholder="SKU">
																  <div class="input-group-append">
																    <button class="btn btn-secondary skuBtn" type="button"><i class="mdi mdi-refresh"></i></button>
																  </div>
																</div>
															</div>
														</div>
														<div class="col-sm-3">
															<div class="form-group">
																<label for="" class="control-label">
																	<b>
																		<span class="text-danger">*</span> Variation Name
																	</b>
																</label>
																<input type="text" class="form-control varField" data-bv-notEmpty required placeholder="Variation Name" name="sku[0][variation_name]" data-name="[variation_name]">
															</div>
														</div>
														<div class="col-sm-5">
															<div class="form-group">
																<label for="" class="control-label">
																	<b>
																		<span class="text-danger">*</span> Variation Value
																	</b>
																</label>
																<input type="text" class="form-control varField" data-bv-notEmpty required placeholder="Variation Value" name="sku[0][variation_value]" data-name="[variation_value]">
															</div>
														</div>
														<div class="col-sm-1 text-right">
															<button class="btn btn-xs btn-danger removeSkuBtn" type="button">
																<i class="fa fa-minus-square"></i> Remove SKU
															</button>
														</div>
													</div>
												</div>
												<div class='row'>
													<div class="col-sm-6">
														<h4>Specifications</h4>
														<div class="specRowBody">
															
															<div class="card-body p-1 pl-0 pr-0 mb-3 shadow bg-white">
																<span class="float-right">
																	<button class="btn btn-xs btn-danger removeSpecBtn" type="button">
																		<i class="fa fa-minus"></i>
																	</button>
																</span>
																<div class="row">
																	<div class="col-sm-6">
																		<div class="form-group">
																			<input type="hidden" class="specField" value="new" name="sku[0][specification][0][id][]" data-name="[id][]">
																	
																			<label class="control-label">
																				Specification Group
																			</label>
																			<select class="form-control specHeadSelect specField"  name="sku[0][specification][0][heading][]" data-name="[heading][]" style="width:100%;">
																				<option value=""></option>
																				<?php foreach($specifications as $spec): ?>
																					<option value="<?php echo $spec->id; ?>"><?php echo $spec->name; ?></option>
																				<?php endforeach; ?>
																			</select>
																		</div>
																	</div>
																	<div class="col-sm-6">
																		<div class="form-group">
																			
																			<label class="control-label specNameLabel">
																				Specification Name
																			</label>
																			<select class="form-control specName specField"  name="sku[0][specification][0][name][]" data-name="[name][]" style="width:100%;">
																				<option value=""></option>
																			</select>
																		</div>
																	</div>
																	<div class="col-sm-8">
																		
																		<div class="form-group">
																			<label class="control-label">
																				<span class="text-danger">*</span>Specification Value
																			</label>
																			<input type="text" class="form-control specField" name="sku[0][specification][0][value][]" data-name="[value][]" placeholder="Type here..." >
																		</div>
																	</div>
																	<div class="col-sm-4">
																		<div class="form-group">
																			<label class="control-label">
																				<span class="text-danger">*</span>Use for Filters ?
																			</label>
																			<select class="form-control specField" name="sku[0][specification][0][use_in_filters][]" data-name="[use_in_filters][]" style="width:100%;">
																				<option value="">Yes / No</option>
																				<option value="Yes">Yes</option>
																				<option value="No">No</option>
																			</select>
																		</div>
																	</div>
																</div>
															</div>
														
														</div>
														
														<div class="text-right">
															<button type="button" class="addSpecRowBtn btn btn-md btn-info" data-toggle="tooltip" data-placement="top" title="Add Specification">
																<i class="fa fa-plus"></i>
															</button>
														</div>
														
													</div>
													
													<div class="col-sm-6">
														<h4>Images</h4>
														<div class="row">
															<div class="col-12">
																<table class="table table-bordered mb-0 file-list bg-white" >
																	<thead>
																		<tr>
																			<th colspan="2">
																				Select Images
																			</th>
																		</tr>
																	</thead>
																	
																	<tbody class="imgTbody">
																		<tr>
																			<td>
																				<div class="form-group mb-0">
																					<input type="hidden" class="imgField" name="sku[0][photos][id][]" data-name="[photos][id][]" value="new">
																					<input type="file" data-bv-notEmpty data-bv-message="Image is required." class="form-control imgField" accept="image/*" name="sku[0][photos][]" data-name="[photos][photos][]">
																				</div>
																			</td>
																			<td style="width:50px;">
																				<button type="button"  class="btn btn-sm btn-danger waves-effect waves-light remRowBtn">
																					<i class="mdi mdi-minus-circle"></i>
																				</button>
																			</td>
																		</tr>
																	</tbody>
																	<tbody>
																		<tr>
																			<td colspan="2" class="text-right">
																				<button type="button" class="btn btn-sm btn-info waves-effect waves-light addNewImageBtn">
																					<i class="fa fa-plus"></i>
																				</button>
																			</td>
																		</tr>
																	</tbody>
																</table>
																
															</div>
														</div>
													</div>
													
												</div>
											</div>
										</div>
									</div>
									<button type="button" class="addSkuBtn btn btn-md mb-2 btn-warning" data-toggle="tooltip" data-placement="top" title="Add New SKU">
										<i class="fa fa-plus"></i>
									</button>
								</div>
								
							</div>
							<div class="text-right">
								<button type="submit" class="btn btn-lg btn-success waves-effect waves-light mb-2">
									<i class="mdi mdi-content-save"> </i> Update Now
								</button>
							</div>
						</form>
							
						
					</div>
				</div>
			</div>
				

		</div>
		<!-- container -->

	</div>
	<!-- content -->

</div>
<?php 
	function getSpecData($stext,$sps){
		
		$a = array_filter($sps,function($value)use($stext){
			if($value['name']==$stext){
				return true;
			} else {
				return false;
			}
		},ARRAY_FILTER_USE_BOTH);
		
		return reset($a);
	}
?>
<script type="text/javascript">
	var loading = `<span class="text-danger loading"><i class="fa fa-spin fa-spinner"></i></span>`;
	var today = "<?php echo date('Y-m-d'); ?>";
	$(function() {
		
		var newImg = $('#divSkuSample').find('.imgTbody').html();
		var specRowBody = $('#divSkuSample').find('.specRowBody').html();
		var newSkuForm = $('#divSkuSample').html();
		$('#divSkuSample').remove();
		
		
		function handleDeletedImageAndSpecs(){
			destroyValidation();
		
			$('.divSku').each(function(){
				
				if($(this).find('.imgTbody > tr').length==0){
					$(this).find('.imgTbody').append(newImg);
				}
				
				if($(this).find('.specRowBody > .card-body').length==0){
					$(this).find('.specRowBody').append(specRowBody);
				}
				
				
			});
			
			updateSpecFields();
			updateImgFields();
			buildValidation();
		}
		handleDeletedImageAndSpecs();
		
		
		
		//getting new SKU
		$(document).on('click','.skuBtn',function(){
			btn = $(this);
			btnHtml = btn.html();
			$.ajax({
				type:'POST',
				data:{_token:$('[name="csrf-token"]').attr('content')},
				url:"{{route('getNewSku')}}",
				beforeSend:function(){
					btn.html('<i class="fa fa-spin fa-spinner"></i>');	
				},
				success:function(resp){
					btn.html('<i class="mdi mdi-refresh"></i>');
					btn.parents('.input-group').find('.skuField').val(resp);
				}
			});
		});
		//getting sku for new product
		$('.skuBtn').trigger('click');
		
		
		$('#tax_product').on('change', function() {
			if ($(this).val() == "Yes") {
				$('#taxable-pdt-data').show();
			} else {
				$('#taxable-pdt-data').hide();
			}
		});
		
		
		
		$(document).on('click','.addNewImageBtn',function(){
			destroyValidation();
			$(this).parents('.table').find('.imgTbody').append(newImg);
			$('[data-toggle="tooltip"]').tooltip();
			buildValidation();
			updateImgFields();
		});
		
		
		function updateImgFields(){
			var i=0;
			$('.divSku').each(function(){
				$(this).find('.imgField').each(function(){
					$(this).prop('name','sku['+i+']'+$(this).data('name'));
				});
				i++;
			});
		}
		
		function updateVariationFields(){
			var i=0;
			$('.divSku').each(function(){
				$(this).find('.varField').each(function(){
					$(this).prop('name','sku['+i+']'+$(this).data('name'));
				});
				i++;
			});
		}
		$(document).on('click','.remRowBtn',function(){
			btn = $(this);
			if(btn.hasClass('existing')){
				
				Swal.fire({
				  title: "You won't be able to revert this!",
				  text: "Are you sure?",
				  icon: 'warning',
				  showCancelButton: true,
				  confirmButtonColor: '#3085d6',
				  cancelButtonColor: '#d33',
				  confirmButtonText: 'Yes, delete it!'
				}).then((result) => {
				  if (result.value) {
				  	$.ajax({
						type:'POST',
						data:{_token:$('[name="csrf-token"]').attr('content')},
						url: btn.data('url'),
						beforeSend:function(){
							btn.html(`<i class="fa fa-spinner fa-spin"></i>`);
						},
						success:function(resp){
							if(resp==1){
								destroyValidation();
								var a = btn.parents('.table').find('.imgTbody');
								btn.parents('tr').remove();
								
								if(a.find('tr').length==0){
									a.append(newImg);
								}
								updateImgFields();
								buildValidation();
								Swal.fire(
							      'Deleted!',
							      'Product Image has been deleted.',
							      'success'
							   );
							} else {
								Swal.fire(
							      'Not Deleted',
							      'Product Image has not been deleted. Please try again.',
							      'warning'
							   );
							}
							
						}
					});
				    
				  }
				  btn.html(`<i class="mdi mdi-minus-circle"></i>`);
				});
				return;
			} else {
				destroyValidation();
				var a = $(this).parents('.table').find('.imgTbody');
				$(this).parents('tr').remove();
				
				if(a.find('tr').length==0){
					
					a.append(newImg);
				}
				updateImgFields();
				buildValidation();
			}
			
			
			
		});
		
		//for whole sku div
		
		$(document).on('click','.addSkuBtn',function(){
			destroyValidation();
			$('.skuDiv').append(newSkuForm);
			$('.skuDiv').find('.divSku:last-child').find('.skuBtn').trigger('click');
			$('[data-toggle="tooltip"]').tooltip();
			updateSpecFields();
			updateImgFields();
			updateVariationFields();
			buildValidation();
		});
		
		 
		$(document).on('click','.removeSkuBtn',function(){
			
			btn = $(this);
			if(btn.hasClass('existing')){
				var count = $('.divSku.existing').length;
				if(count==1){
					Swal.fire(
				      'Not Deleted!',
				      'Minimum 1 SKU is required.',
				      'warning'
				    );
					return;
				}
				Swal.fire({
				  title: "You won't be able to revert this!",
				  text: "Are you sure?",
				  icon: 'warning',
				  showCancelButton: true,
				  confirmButtonColor: '#3085d6',
				  cancelButtonColor: '#d33',
				  confirmButtonText: 'Yes, delete it!'
				}).then((result) => {
				  if (result.value) {
				  	$.ajax({
						type:'POST',
						data:{_token:$('[name="csrf-token"]').attr('content')},
						url: btn.data('url'),
						beforeSend:function(){
							btn.html(`<i class="fa fa-spinner fa-spin"></i>`);
						},
						success:function(resp){
							if(resp==1){
								destroyValidation();
								btn.parents('.divSku').remove();
								if($('.divSku').length==0){
									$('.skuDiv').append(newSkuForm);
								}
								updateSpecFields();
								$('[data-toggle="tooltip"]').tooltip();
								updateVariationFields();
								buildValidation();
								Swal.fire(
							      'Deleted!',
							      'Product Image has been deleted.',
							      'success'
							   );
							} else {
								Swal.fire(
							      'Not Deleted',
							      'Product Image has not been deleted. Please try again.',
							      'warning'
							   );
							}
							
						}
					});
				    
				  }
				  btn.html(`<i class="fa fa-minus-square"></i> Remove SKU`);
				});
				return;
			} else {
				destroyValidation();
				$(this).parents('.divSku').remove();
				if($('.divSku').length==0){
					$('.skuDiv').append(newSkuForm);
				}
				updateSpecFields();
				$('[data-toggle="tooltip"]').tooltip();
				updateVariationFields();
				buildValidation();
			}
			
			
			
			
		});
		
		
		//for batches
		var newBatch = $('.batchesDiv').html();
		$(document).on('click','.addBatchBtn',function(){
			destroyValidation();
			$(this).parents('.divSku').find('.batchesDiv').append(newBatch);
			$('[data-toggle="tooltip"]').tooltip();
			 buildValidation();
		});
		
		$(document).on('click','.remBatchBtn',function(){
			destroyValidation();
			
			if($(this).parents('.divSku').find('.batchesDiv > .card-body').length==1){
				$(this).parents('.divSku').find('.batchesDiv').html(newBatch);
			}
			$(this).parents('.card-body').remove();
			$('[data-toggle="tooltip"]').tooltip();
			 buildValidation();
		});
		
		
		
		
		
		$(document).on('click','.addSpecRowBtn',function(){
			destroyValidation();
			$(this).parents('.divSku').find('.specRowBody').append(specRowBody);
			updateSpecFields();
			 buildValidation();
			 
		});
		
		$(document).on('click','.removeSpecBtn',function(){
			btn = $(this);
			if(btn.hasClass('existing')){
				
				Swal.fire({
				  title: "You won't be able to revert this!",
				  text: "Are you sure?",
				  icon: 'warning',
				  showCancelButton: true,
				  confirmButtonColor: '#3085d6',
				  cancelButtonColor: '#d33',
				  confirmButtonText: 'Yes, delete it!'
				}).then((result) => {
				  if (result.value) {
				  	$.ajax({
						type:'POST',
						data:{_token:$('[name="csrf-token"]').attr('content')},
						url: btn.data('url'),
						beforeSend:function(){
							btn.html(`<i class="fa fa-spinner fa-spin"></i>`);
						},
						success:function(resp){
							if(resp==1){
								destroyValidation();
			
								if(btn.parents('.divSku').find('.specRowBody > .card-body').length==1){
									btn.parents('.divSku').find('.specRowBody').append(specRowBody);
								}
								btn.parents('.card-body').remove();
								updateSpecFields();
								 buildValidation();
								Swal.fire(
							      'Deleted!',
							      'Product Specification has been deleted.',
							      'success'
							   );
							} else {
								Swal.fire(
							      'Not Deleted',
							      'Product Specification has not been deleted. Please try again.',
							      'warning'
							   );
							}
							
						}
					});
				    
				  }
				  btn.html(`<i class="mdi mdi-minus-circle"></i>`);
				});
				return;
			} else {
				destroyValidation();
			
				if($(this).parents('.divSku').find('.specRowBody > .card-body').length==1){
					$(this).parents('.divSku').find('.specRowBody').append(specRowBody);
				}
				$(this).parents('.card-body').remove();
				updateSpecFields();
				 buildValidation();
			}
			
		});
		
		$(document).on('change','.specHeadSelect',function(){
			var specid = $(this);
			
			if(specid.val()){
				$.ajax({
					type:'POST',
					data:{parent_id:specid.val(),_token:$('[name="csrf-token"]').attr('content')},
					url: "{{route('getSpecs')}}",
					beforeSend:function(){
						specid.parents('.card-body').find('.specNameLabel').append(loading);
						specid.parents('.card-body').find('.specName').html(`<option value=""></option>`);
						
					},
					success:function(resp){
						$('.specNameLabel').find('.loading').remove();
						specid.parents('.card-body').find('.specName').html(resp);
						console.log(resp);
					}
				});
			} else {
				specid.parents('.card-body').find('.specName').html(`<option value=""></option>`);
			}
		});
		
		/*
		$(document).on('change','.stitle',function(){
			var title = $(this).val();
			
			$(this).parents('.specHeadRow').find('optgroup:not([label="'+title+'"])').hide();
			$(this).parents('.specHeadRow').find('optgroup[label="'+title+'"]').show();
			$(this).parents('.specHeadRow').find('.sname').val('');
		});
		*/
		
		
		function updateSpecFields(){
			
			var i=0;
			$('.divSku').each(function(){
				var j=0;
				$(this).find('.specRowBody > .card-body').each(function(){
					
					$(this).find('.specField').each(function(){
						$(this).prop('name','sku['+i+'][specification]['+j+']'+$(this).data('name'));
					});
					j++;
				});
				i++;
			});
			//buildValidation();
		}
		
		
		//base price calculations
		$(document).on('change','.brcal',function(e){
			var mrp = $('.brcal.mrp');
			var mratio = $('.brcal.mratio');
			var baseRate = $('.brcal.brate');
			
			if($(this).hasClass('brate')){
				if(baseRate.val() && mratio.val()){
					mrp2 = ((parseFloat(baseRate.val())*parseFloat(mratio.val()))/100);
					if(Math.round(mrp2)!=mrp2){
						mrp2 = mrp2.toFixed(2);
					}
					
					mrp.val(parseFloat(baseRate.val())+parseFloat(mrp2));
				} else {
					mrp.val(0);
				}
				
			} else {
			
				if(mrp.val() && mratio.val()){
					brate = ((parseFloat(mrp.val())*parseFloat(mratio.val()))/100);
					if(Math.round(brate)!=brate){
						brate = brate.toFixed(2);
					}
					
					baseRate.val(parseFloat(mrp.val())-parseFloat(brate));
				} else {
					baseRate.val(0);
				}
			}
		});
		
		
	});
	
	

	function destroyValidation(){
		var bootstrapValidat = $('#addProductForm').data('bootstrapValidator');
		
		if (bootstrapValidat != undefined)
		   { bootstrapValidat.destroy();}
	}
	function buildValidation(){
		
		    
		$('#addProductForm')
	        .bootstrapValidator({
	            // Only disabled elements are excluded
	            // The invisible elements belonging to inactive tabs must be validated
	            excluded: [':disabled'],
	            //container: '#valMessages',
	            feedbackIcons: {
	                valid: 'fa fa-check',
	                invalid: 'fa fa-times',
	                validating: 'fa fa-refresh'
	            },
	            fields: {
	            	invoice_no: {
	                    validators: {
	                        notEmpty: {
	                            message: 'Invoice Number is required'
	                        }
	                    }
	                },
	                invoice_date: {
	                    validators: {
	                        notEmpty: {
	                            message: 'Invoice Date is required'
	                        }
	                    }
	                },
	                name: {
	                    validators: {
	                        notEmpty: {
	                            message: 'Product name is required'
	                        }
	                    }
	                },
	                'category_id[]': {
	                    validators: {
	                        notEmpty: {
	                            message: 'Category is required'
	                        }
	                    }
	                },
	                merchant_id: {
	                    validators: {
	                        notEmpty: {
	                            message: 'Merchant is required'
	                        }
	                    }
	                },
	                sku: {
	                    validators: {
	                        notEmpty: {
	                            message: 'SKU is required'
	                        },
	                        remote: {
		                        message: 'The SKU already exists',
		                        url: "{{route('validateProductSku')}}"
		                    }
	                    }
	                },
	                sort_order: {
	                    validators: {
	                        notEmpty: {
	                            message: 'Sort Order is required'
	                        }
	                    }
	                },
	                regular_price: {
	                    validators: {
	                        notEmpty: {
	                            message: 'Actual Price is required'
	                        }
	                    }
	                },
	                min_stock_quantity: {
	                    validators: {
	                        notEmpty: {
	                            message: 'Minimum Stock Quantity is required'
	                        }
	                    }
	                },
	                /*
	                sale_price: {
	                    validators: {
	                        notEmpty: {
	                            message: 'Offer Price is required'
	                        }
	                    }
	                },
	                
	                image: {
	                    validators: {
	                        notEmpty: {
	                            message: 'Featured Image is required'
	                        },
	                        file: {
		                        extension: 'jpeg,png,jpg,gif',
		                        //type: 'image/jpeg,image/png',
		                        //maxSize: 2048 * 1024,
		                        message: 'Only JPEG, PNG, GIF or JPG are allowed for Featured Image'
		                    }
	                    }
	                },*/
	                'photos[]': {
	                    validators: {
	                        notEmpty: {
	                            message: 'Image File is required'
	                        },
	                        file: {
		                        extension: 'jpeg,png,jpg,gif',
		                        
		                        message: 'Only JPEG, PNG, GIF or JPG Files are allowed.'
		                    }
	                    }
	                },
	                taxable: {
	                    validators: {
	                        notEmpty: {
	                            message: 'Taxable Field is required'
	                        }
	                    }
	                },
	                related_files: {
	                	validators: {
	                		file: {
		                        extension: 'pdf,PDF',
		                        message: 'Only PDF file is allowed'
		                    }
	                	}
	                },
	                'batch[batch_number]': {
	                    validators: {
	                        notEmpty: {
	                            message: 'Batch Number is required'
	                        },
	                        remote: {
		                        message: 'This Batch Number already exists',
		                        url: "{{route('validateProductBatchNumber')}}"
		                    }
	                        
	                    }
	                },
	                'batch[mfd_date]': {
	                    validators: {
	                        notEmpty: {
	                            message: 'Manufacture Date is required'
	                        },
	                        date: {
		                        format: 'YYYY-MM-DD',
		                        message: 'The value is not a valid date'
		                    },
		                    callback: {
	                            message: 'Manufacture date must be less than Expiry Date and Current Date',
	                            callback: function (value, validator, $field) {
	                            	var ret = true;
	                                if($field.parents('.card-body').find('[name="batch[expiry_date]"]').val() && $field.parents('.card-body').find('[name="batch[expiry_date]"]').val()<=value){
	                                	ret = false;
	                                } else {
	                                	ret = true;
	                                }      
	                               
	                                ret = value<today;
	                                
	                                return ret;
	                            }
	                        }
	                    }
	                },
	                'batch[expiry_date]': {
	                    validators: {
	                        /* notEmpty: {
	                            message: 'Expiry Date is required'
	                        },*/
	                        date: {
		                        format: 'YYYY-MM-DD',
		                        message: 'The value is not a valid date'
		                    },
		                    callback: {
	                            message: 'Expiry date must be greater than Manufacture Date and Current Date',
	                            callback: function (value, validator, $field) {
	                            	var ret = true;
	                                if($field.parents('.card-body').find('[name="batch[mfd_date]"]').val() && $field.parents('.card-body').find('[name="batch[mfd_date]"]').val()>=value){
	                                	ret = false;
	                                } else {
	                                	ret = true;
	                                }   
	                                ret = value>today;
	                                
	                                return ret;             
	                            }
	                        }
	                    }
	                },
	                'batch[quantity]': {
	                    validators: {
	                        notEmpty: {
	                            message: 'Product Quantity in this batch is required'
	                        }
	                    }
	                },
	                'batch[margin_ratio]': {
	                    validators: {
	                        notEmpty: {
	                            message: 'Margin Ratio is required'
	                        }
	                    }
	                },
	                'batch[product_mrp]': {
	                    validators: {
	                        notEmpty: {
	                            message: 'Single Product MRP is required'
	                        }
	                    }
	                },
	                'batch[base_rate]': {
	                    validators: {
	                        notEmpty: {
	                            message: 'Base Rate is required'
	                        }
	                    }
	                },
	                
	                
	            }
	        })
	        // Called when a field is invalid
	        .on('error.field.bv', function(e, data) {
	            // data.element --> The field element
	
	            var $tabPane = data.element.parents('.tab-pane'),
	                tabId    = $tabPane.attr('id');
	
	            $('a[href="#' + tabId + '"][data-toggle="tab"]')
	                .parent()
	                .find('i')
	                .removeClass('fa-check')
	                .addClass('fa-times');
	        })
	        // Called when a field is valid
	        .on('success.field.bv', function(e, data) {
	            // data.bv      --> The BootstrapValidator instance
	            // data.element --> The field element
	
	            var $tabPane = data.element.parents('.tab-pane'),
	                tabId    = $tabPane.attr('id'),
	                $icon    = $('a[href="#' + tabId + '"][data-toggle="tab"]')
	                            .parent()
	                            .find('i')
	                            .removeClass('fa-check fa-times');
	
	            // Check if the submit button is clicked
	            if (data.bv.getSubmitButton()) {
	                // Check if all fields in tab are valid
	                var isValidTab = data.bv.isValidContainer($tabPane);
	                $icon.addClass(isValidTab ? 'fa-check' : 'fa-times');
	            }
	        });
	        
	        $(document).find(".datepicker").flatpickr({
				dateFormat : "Y-m-d"
			});
			
	}
	$('#brand_id_select2').on('change', function() {
			var brandName = $(this).find('option:selected').data('id');
			$('#brand_name_field').val(brandName);
		});
	
</script>
@endsection