@extends('layouts.app')

@section('content')
	<div class="content-page">
		<div class="content">
			<!-- Start Content-->
			<div class="container-fluid">
				<!-- start page title -->
				<div class="row mt-3 mb-3">
					<div class="col-8 col-sm-8 col-md-8 col-lg-8">
						<div class="page-title-box">
							<h4>Products</h4>
							<ol class="breadcrumb m-0">
								<li class="breadcrumb-item">
									<a href="{{route('dashboard')}}">Dashboard</a>
								</li>
								<li class="breadcrumb-item active">
									Products
								</li>
							</ol>
						</div>
					</div>
					<div class="col-4 col-sm-4 col-md-4 col-lg-4 text-right">
						<!--
						<form id="importForm" onsubmit="return false;" action="{{route('importProducts')}}" method="post" enctype="multipart/form-data">
							@csrf
							<input id="csvInput" type="file" name="iProducts" class="float-right" accept=".xlsx" style="display:none;width: 100%" />
						</form>
						<a href="{{route('exportSample')}}" disabled role="button" class="btn btn-info waves-effect waves-light disabled">
							<i class="mdi mdi-download"> </i>
							Download Template
						</a>
						<button type="button" disabled class="btn btn-primary waves-effect waves-light disabled" id="csvbttn">
							<i class="mdi mdi-upload"> </i> Upload Excel
						</button>
						-->
					</div>
				</div>
				<!-- end page title -->
				
				
				<div class="row">
					<div class="col-12 col-sm-9 col-md-9 col-lg-9">
						
						<div class="car">
							<div class="card-bod">
								<div class="row">
									<div class="col-5 col-sm-6 col-md-6 col-lg-6">
										<div class="page-title-box">
											<p class="page-title">
												<i class="mdi mdi-format-list-bulleted"></i> Products List
											</p>
										</div>
									</div>
									<div class="col-7 col-sm-6 col-md-6 col-lg-6 text-right mt-3">
										
										<a href="{{ route('products.create') }}" class="btn btn-success waves-effect waves-light" role="button">
											<i class="mdi mdi-plus"></i> Add New
										</a>
									</div>
								</div>
	
								<div class="row">
									<div class="col-12">
										<div class="table-responsive">
											
											<table class="table mb-0 table-bordered ">
												<thead class="thead-dark">
													<tr>
														<th width="50">SKU</th>
														<th>Products Name</th>
														<th>Categories </th>
														<th>Current Batch</th>
														<th class="">Balance Quantity</th>
														<th class="text-right">Price</th>
														<th>Tax</th>
														<th>Popular</th>
														<th>Enabled</th>
														<th class="text-right">Action</th>
													</tr>
												</thead>
												<tbody>
													<?php if(count($products)==0): ?>
														<tr class="table-info">
															<td colspan='10' class="text-center">
																No Records Found
															</td>
														</tr>
													<?php endif; ?>
													<?php foreach($products as $product): ?>
														
														<tr>
															<td width="50">
																{{$product->sku}}
															</td>
															
															<td>
																<img src="{{ $product->image }}" width="50" align="left" class="mr-2">
																{{$product->name}}
															</td>
															<td>
																<ul style="padding-left:10px;">
																<?php foreach($product->categories as $category): ?>
																	<li>
																		<?php echo $category->name; ?> 
																	(<?php echo $category->category->name; ?>)
																	</li>
																<?php endforeach; ?>
																</ul>
															</td>
															<td>
																<?php if(!empty($product->currentBatch)): ?>
																	{{$product->currentBatch->batch_number}}
																	
																<?php else: ?>
																	No Stock Available
																<?php endif; ?>
															</td>
															<td class="">
																<?php if(!empty($product->currentBatch)): ?>
																	{{$product->currentBatch->balance_quantity}}
																<?php else: ?>
																	No Stock Available
																<?php endif; ?>
															</td>
															<td class="text-right">
																<?php if(!empty($product->currentBatch)): ?>
																	{{$product->currentBatch->product_mrp}}
																<?php else: ?>
																	No Stock Available
																<?php endif; ?>
															</td>
															<td>
																<?php if($product->taxable=='Yes'): ?>
																	<?php if(empty($product->tax)): ?>
																		 - Tax Info Not Found -
																	<?php else: ?>
																		{{$product->tax->name}}
																		
																		{{$product->tax->rate}} %
																	<?php endif; ?>
																<?php else: ?>
																	- NA -
																<?php endif ?>
															</td>
															<td>
																{{$product->popular}}
																@if($product->popular=='Yes')
																	<?php $pplr = 'No'; ?>
																@else 
																	<?php $pplr = 'Yes'; ?>
																@endif
																<form style="display:block;" action="{{route('markPopular',[$product->id,$pplr])}}" method="get">
																	@csrf
																	@method('GET')
																	<button type="submit" class="btn btn-xs btn-warning" data-toggle="tooltip" title="Change to {{$pplr}}">
																		<i class="fa fa-recycle"></i>
																	</button>
																</form>
															</td>
															<td>{{$product->enabled}}</td>
															<td class="text-right">
																<a href="{{route('products.edit',$product->id)}}">
																	<button type="button" class="btn btn-secondary waves-effect waves-light">
																		<i class="mdi mdi-pencil"></i>
																	</button> 
																</a>
																<form action="{{route('destroyProduct',$product->id)}}" style="display:inline-block;" onsubmit="return confirm('Are you sure to delete product -- <?php echo addslashes($product->name); ?>');" method="post">
																	@csrf
																	<button type="submit" class="btn btn-danger waves-effect waves-light">
																		<i class="mdi mdi-trash-can-outline"></i>
																	</button> 
																</form>
																
															</td>
														</tr>
													<?php endforeach; ?>
													
												</tbody>
											</table>
										</div>
										<div class="pt-3 pagination-rounded justify-content-end">
											{{ $products->appends($posted)->links() }}
										</div>
										
									</div>
								</div>
							</div>
						</div>
					</div>
					
					<div class="col-12 col-sm-3 col-md-3 col-lg-3   ">
						<div class="card">
							<div class="card-body">
								<div class="row">
									<div class="col-8">
										<div class="page-title-box">
											<p class="page-title">
												<i class="mdi mdi-filter"></i> Filter
											</p>
										</div>
									</div>
								</div>
	
								<div class="row mt-2">
									<div class="col-12">
										<form method="get">
											
										<div class="form-group mb-3">
											<label for="">Product Name</label>
											<input type="text" name="product_name" value="<?php echo @$posted['product_name']; ?>" class="form-control">
										</div>
										<div class="form-group mb-3">
											<label for="">Product SKU</label>
											<input type="text" name="product_sku" value="<?php echo @$posted['product_sku']; ?>" class="form-control">
										</div>
										<div class="form-group mb-3">
											<label for="">Batch Number</label>
											<input type="text" name="batch_number" value="<?php echo @$posted['batch_number']; ?>" class="form-control">
										</div>
										<div class="form-group mb-3">
											<label for="example-select">Category</label>
											<select class="form-control" data-toggle="select2" name="category">
												<option value="">&nbsp;</option>
												<?php foreach($categories as $category): ?>
													<optgroup label="<?php echo $category['name']; ?>">
														<option <?php echo @$posted['category']==$category['id']?'selected':''; ?> value="<?php echo $category['id']; ?>"><?php echo $category['name']; ?></option>
														<?php foreach($category['categories'] as $scategory): ?>
															<option <?php echo @$posted['category']==$scategory['id']?'selected':''; ?> value="<?php echo $scategory['id']; ?>"><?php echo $scategory['name']; ?></option>
														<?php endforeach; ?>
													</optgroup>
												<?php endforeach; ?>
											</select>
										</div>
										
	
										<div class="form-group mb-3">
											<label for="">Price Range</label>
											
											<div class="input-group">
												<input type="number" min="1" name="price_from" value="<?php echo @$posted['price_from']; ?>" class="form-control">
												<div class="input-group-prepend">
													<span class="input-group-text">To</span>
												</div>
												<input type="number" min="1" name="price_to" value="<?php echo @$posted['price_to']; ?>" class="form-control">
											</div>
											 
											
										</div>
										
										<button type="submit" class="btn btn-danger btn-rounded waves-effect waves-light">
											<span class="btn-label"><i class="mdi mdi-filter"></i></span>
											Apply
										</button>
										<a href="{{route('products.index')}}" class="btn btn-secondary btn-rounded waves-effect waves-light float-right">
											<span class="btn-label"><i class="mdi mdi-refresh"></i></span>
											Clear
										</a>
										</form>
									</div>
								</div>
							</div>
						</div>
					</div>
				</div>
			</div>
	
		</div>
		<!-- container -->
	
	</div>
	<!-- content -->
	
@endsection