@extends('layouts.seller-app')

<style type="text/css">
    .content-page {
        background-color: #f1f1f1;
    }
    .text-red-dark{
        color: #c23e34 !important;
        margin-bottom: 0px;
    }
    .comn-header-title{
        color: #c23e34;
        font-weight: 700;
    }
    .page-title-box .page-title{
        color: #808080 !important;
    }
    .text-grey-dark{
        color: #808080;
    }
    .comn-single-item-box{
        text-align: center;
    }
    .item-img{
        width: 100%;
        height: 100px;
        object-fit: contain;
    }
    .content-page{
        height: 100% !important;
        overflow: scroll !important;
    }
    .right-order-box{
        text-align: right;
        position: relative;
        height: 100%;
    }
    .custom-dropdown-btn{
        background: #3f92c9 !important;
        border-radius: 30px !important;
        width: 160px !important;
        position: relative;
        height: 44px;
    }
    .custom-dropdown-btn::before {
        content: "";
        position: absolute;
        right: 8px;
        top: 18px;
        border-top: 10px solid #ffffff;
        border-bottom: 8px solid transparent;
        border-left: 8px solid transparent;
        border-right: 8px solid transparent;
    }
    .dropdown-menu {
        padding: 0px !important;
    }
    .dropdown-item{
        background-color: #d9d9d9 !important;
        color: #3f92c9 !important;
        transition: 0.5s ease;
    }
    .dropdown-item:hover{
        background-color: #3f92c9 !important;
        color: #ffffff !important;
    }
    .more-detail-fixed-btn{
        position: absolute;
        width: 115px;
        bottom: 0px;
        right: 0px;
        background: #c43d31 !important;
    }
    .filter-btn-box{
        display: flex;
        flex-wrap: nowrap;
        overflow-x: auto;
        padding: 10px 0px;
    }
    .comn-filter-btn{
        bottom: 0px;
        right: 0px;
        background: #c43d31 !important;
        white-space: nowrap;
        margin-right: 10px;
        width: 200px;
    }
    .comn-blue-btn{
        background: #3f92c9 !important;
    }
    .order-detail-box{
        padding: 4px 10px !important;
    }
    .order-detail-list-box li{
        padding: 5px 10px !important;
    }
    .checkboxHeight{
        height: 20px;
        width: 20px;
    }
</style>
@section('content')

<div class="content-page">
    <div class="content">
        <!-- Start Content-->
        <div class="container-fluid">
            <!-- start page title -->
            <div class="row">
                <div class="col-12">
                    <div class="page-title-box">
                        <h3 class="page-title">Your Orders Detail</h3>
                    </div>
                </div>
            </div>
            <!-- end page title -->

            <div class="row my-3">
                <div class="col-12 col-md-5">
                    <h2 class="comn-header-title mb-0"><?php echo $order->order_number; ?></h2>
                    <h5 class="comn-header-title mb-3"><?php echo date('d/M/Y h:i A',strtotime($order->created_at)); ?></h5>
                    <div class="card">
                        <div class="card-header bg-dark px-4 py-2" style="border-radius: 10px;">
                            <div class="row">
                                <div class="col-12">
                                    <h4 class="text-white my-0">Order Details</h4>
                                </div>
                            </div>
                        </div>
                        <div class="card-body order-detail-box">
                            <ul class="list-group list-group-flush order-detail-list-box">
                                <!-- <li class="list-group-item">
                                    <b>Store Name: </b>
                                    <span class="text-muted"><?php echo ($order->order_products[0]->user) ? $order->order_products[0]->user->name : ""; ?></span>
                                </li> -->
                                <li class="list-group-item">
                                    <b>Order Date: </b>
                                    <span class="text-muted"><?php echo date('d-M-Y h:i A',strtotime($order->created_at)); ?></span>
                                </li>
                                <li class="list-group-item">
                                    <b>Order ID: </b>
                                    <span class="text-muted"><?php echo $order->order_number; ?></span>
                                </li>
                                <!-- <li class="list-group-item">
                                    <b>Payment Mode: </b>
                                    <span class="text-muted"><?php echo $order->payment_type; ?></span>
                                </li> -->
                                <li class="list-group-item">
                                    <b>Payment Status: </b>
                                    <span class="text-muted"><?php echo $order->payment_status; ?></span>
                                </li>
                                <li class="list-group-item">
                                    <b>Order Status: </b>
                                    <span class="text-muted"><?php echo $order->status; ?></span>
                                </li>
                                <li class="list-group-item">
                                    <b>Delivery Date: <?php echo $order->delivery_date; ?></b>
                                </li>
                                <li class="list-group-item">
                                    <b>Delivery Time: <?php echo $order->slot_time; ?></b>
                                </li>
                            </ul>
                        </div>
                    </div>
                </div>

                <div class="col-12 col-md-7">
                    <div class="right-order-box">
                        <span class="badge badge-success">{{ $order->status }}</span>
                            	<?php if($order->status == 'Pending'){ ?>        
                            		<div class="text-right"> 
                                        <a href="<?= route('markOrderStatus',[$order->id,1]) ?>" type="button" class="btn btn-rounded btn-danger more-red-btn mt-1">Accept Order</a> <br>                                
                                        <a href="<?= route('markOrderStatus',[$order->id,0]) ?>" type="button" class="btn btn-rounded btn-danger more-red-btn mt-2">Decline Order</a>
                               		</div>
                               	<?php }else if($order->status!='Delivered'): ?>
                               		<div class="text-right"> 
                                    	<button class="btn btn-rounded btn-danger more-red-btn updateOrderStatusBtn mt-1" data-order-product-id="<?php echo $order->id; ?>" data-url="{{route('getOrderStatusForm')}}" type="button">
                                    		<i class="mdi mdi-update"></i>
                                    		Update Status
                                    	</button>
                                	</div>
                        		<?php endif; ?>
                    </div>
                </div>
            </div>
            <!-- end row -->

            <div class="row mb-5">
                <div class="col-xl-12">

                    <div class="card-box">
                        <div class="d-flex justify-content-between align-items-center my-3">
                            <div>
                                <h4 class="header-title text-grey-dark">PRODUCT TO PREPARE</h4>
                                <p class="text-muted mb-1 text-truncate">Tick off as you pack them</p>
                            </div>
                            <a href="{{route('printDeliveryNote',$order->id)}}" type="button" class="btn btn-rounded comn-blue-btn">Print Receipt</a>
                        </div>
                        <div class="row">
                            <div class="col-12 col-md-12">
                                <div class="row">
                                    <?php $i=0; foreach($order->order_products as $k=>$product){ ?>

                                     <div class="col-12 col-lg-2 col-md-3">
                                        <div class="comn-single-item-box mb-3">
                                            <img src="<?php echo $product->product_data->images[0]->name; ?>" class="item-img">
                                            <p class="text-muted m-0 text-truncate"><?php echo substr(strip_tags($product->product_data->product->name),0,100); ?></p>
                                            @php
                                                $productDetail = json_decode($product->product);
                                            @endphp
                                            <p class="text-muted m-0 text-truncate">  {{ $productDetail->sku }}</p>
                                            <p class="text-muted m-0 text-truncate"><?php 
                                    			echo $productDetail->current_batch->weight . " " . $productDetail->current_batch->weight_unit ?></p>
                                                
                                            <p class="text-muted m-0 text-truncate">Qty :<?php echo $product->quantity; ?></p>
                                            <div class="form-group form-check">
                                                
                                                <input type="checkbox" class="form-check-input checkboxHeight" id="exampleCheck1" >
                                            </div>
                                        </div>
                                     </div>
                                 <?php }?>
                                   
                                </div>
                            </div>                            
                        </div>
                    </div>
                    <!-- end card-box-->
                </div>
                <!-- end col-->
            </div>
            <!-- end row-->
        </div>
        <!-- container -->
    </div>
    <!-- content -->
</div>
<script>
    var modalLoading = `<p align="center"><strong>Loading</strong></p>
                                <div class="d-flex justify-content-center">
                                    <div class="spinner-grow text-blue" role="status"></div>
                                </div>`;
            $(document).on('click','.updateOrderStatusBtn',function(){
                var opid = $(this).data('order-product-id');
                var url = $(this).data('url');
                
                $('#statusModal').modal('show');
                
                $.ajax({
                   type:'POST',
                   url:url,
                   data:{_token:$('meta[name="csrf-token"]').attr('content'),opid:opid},
                   beforeSend:function(){
                        $('.statusBody').html(modalLoading);
                   },
                   success:function(data) {
                           if(data!=0){
                               $('.statusBody').html(data);
                               $('.statusBody').find(".datetimePicker").flatpickr({
                                enableTime : !0,
                                dateFormat : "d-M-Y H:i"
                            });
                           } else {
                               $('.statusBody').html(`<div class="alert alert-warning">Something went wrong. Try again after page refresh.</div>`);
                           }
                           
                   }
                });
            });
            
            $(document).on('change','.statusSelectBox',function(){
                var thisStatus = $(this).val();
                var deliveredDiv = $('#deliveredDiv');
                var shippedDiv = $('#shippedDiv');
                
                if(thisStatus=='Delivered'){
                    deliveredDiv.show().find('.form-control').prop('disabled',false);
                    shippedDiv.hide().find('.form-control').prop('disabled',true);
                } else if(thisStatus=='Shipped') {
                    shippedDiv.show().find('.form-control').prop('disabled',false);
                    deliveredDiv.hide().find('.form-control').prop('disabled',true);
                } else {
                    deliveredDiv.hide().find('.form-control').prop('disabled',true);
                    shippedDiv.hide().find('.form-control').prop('disabled',true);
                }
            });
    </script>
    
    <!--Status Update Modals-->
    <div class="modal fade"  tabindex="-1" role="dialog" id="statusModal">
      <div class="modal-dialog" role="document">
        <div class="modal-content">
          <div class="modal-header bg-danger">
            <h5 class="modal-title text-white"><i class="mdi mdi-update"></i> Update Order Status</h5>
            <button type="button" class="close text-white" data-dismiss="modal" aria-label="Close">
              <span aria-hidden="true">&times;</span>
            </button>
          </div>
          <div class="modal-body statusBody">
              
          </div>
          
        </div>
      </div>
    </div>
    
    
@endsection
