<?php
use App\Address;
?>
@extends('layouts.seller-app')

@section('content')
           <div class="content-page">
                <div class="content">

                    <!-- Start Content-->
                    <div class="container-fluid">
                        
                        <!-- start page title -->
                        <div class="row">
                            <div class="col-6">
                                <div class="page-title-box">
                                    <h4 class="page-title">Dashboard</h4>
                                </div>
                            </div>
                            <div class="col-6 text-right">
                                <div class="page-title-box">
                                	<?php 
                                	if(empty($user->addresses[0]) || empty($user->addresses[0]->open_time)){?>
                                	    <h4 class="page-title">Set your address and opening timmings first.</h4>
                                	<?php } else{?>
                                        <h4 class="page-title">Store Timing - {{ $user->addresses[0]->open_time . " : " . $user->addresses[0]->close_time }}</h4>
                                        <?php 
                                         $open = Address::isCurrentyOpen($user->addresses[0]->open_time,  $user->addresses[0]->close_time);
                                         ?>
                                        <input type="checkbox" <?= ($open) ? "" : "disabled"?> <?= ($user->is_open == "No") ? "" : "checked" ?> data-toggle="toggle" id="storeOpen" data-on="Open" value="false" data-off="Close" data-onstyle="success" data-offstyle="danger">
                                	<?php }?>
                                </div>
                            </div>
                        </div>     
                        <!-- end page title --> 

                        <div class="row">
                        	<div class="col-md-6 col-xl-3">
                                <div class="widget-rounded-circle card-box">
                                    <div class="row">
                                        <div class="col-6">
                                            <div class="avatar-lg rounded bg-soft-warning">
                                                <i class="ti-blackboard font-24 avatar-title text-warning"></i>
                                            </div>
                                        </div>
                                        <div class="col-6">
                                            <div class="text-right">
                                                <h3 class="text-dark mt-1"><span data-plugin="counterup"><?= $earning ?></span></h3>
                                                <p class="text-muted mb-1 text-truncate">TOTAL STOCK</p>
                                            </div>
                                        </div>
                                    </div> <!-- end row-->
                                </div> <!-- end widget-rounded-circle-->
                            </div>
                            <div class="col-md-6 col-xl-3">
                                <div class="widget-rounded-circle card-box">
                                    <div class="row">
                                        <div class="col-6">
                                            <div class="avatar-lg rounded bg-soft-primary">
                                                <i class="dripicons-wallet font-24 avatar-title text-primary"></i>
                                            </div>
                                        </div>
                                        <div class="col-6">
                                            <div class="text-right">
                                                <h3 class="text-dark mt-1">&pound;<span data-plugin="counterup"><?= $todayEarning ?></span></h3>
                                                <p class="text-muted mb-1 text-truncate">TOTAL SALES</p>
                                            </div>
                                        </div>
                                    </div> <!-- end row-->
                                </div> <!-- end widget-rounded-circle-->
                            </div> <!-- end col-->

                            <div class="col-md-6 col-xl-3">
                                <div class="widget-rounded-circle card-box">
                                    <div class="row">
                                        <div class="col-6">
                                            <div class="avatar-lg rounded bg-soft-success">
                                                <i class="dripicons-cart font-24 avatar-title text-success"></i>
                                            </div>
                                        </div>
                                        <div class="col-6">
                                            <div class="text-right">
                                                <h3 class="text-dark mt-1"><span data-plugin="counterup"><?= $totalOrders ?></span></h3>
                                                <p class="text-muted mb-1 text-truncate">TOTAL ORDERS</p>
                                            </div>
                                        </div>
                                    </div> <!-- end row-->
                                </div> <!-- end widget-rounded-circle-->
                            </div> <!-- end col-->

                            <div class="col-md-6 col-xl-3">
                                <div class="widget-rounded-circle card-box">
                                    <div class="row">
                                        <div class="col-6">
                                            <div class="avatar-lg rounded bg-soft-info">
                                                <i class="ti-shopping-cart-full font-24 avatar-title text-info"></i>
                                            </div>
                                        </div>
                                        <div class="col-6">
                                            <div class="text-right">
                                                <h3 class="text-dark mt-1"><span data-plugin="counterup"><?= $todayOrders ?></span></h3>
                                                <p class="text-muted mb-1 text-truncate">Today's Order</p>
                                            </div>
                                        </div>
                                    </div> <!-- end row-->
                                </div> <!-- end widget-rounded-circle-->
                            </div> <!-- end col-->

                             <!-- end col-->
                        </div>
                        <!-- end row -->


                        <div class="row">
                            <div class="col-xl-12">
                                <div class="card-box">
                                    <h4 class="header-title mb-3">Recent Orders</h4>

                                    <div class="table-responsive">
                                        <table class="table table-centered table-hover mb-0">
                                            <thead>
                                                <tr>
                                                    <th class="border-top-0">Order Number</th>
                                                    <th class="border-top-0">User</th>
                                                    <th class="border-top-0">Total Amount</th>
                                                    <th class="border-top-0">Status</th>
                                                    <th class="border-top-0">Date</th>
                                                    <th class="border-top-0">Action</th>
                                                </tr>
                                            </thead>
                                            <tbody>
                                                <?php foreach ($recentOrders as $order){?>
                                                    <tr>
                                                        <td><?= $order->order_number ?></td>
                                                        <td><span class="ml-2"><?= isset($order->user) ? $order->user->name : "" ?></span></td>
                                                        <td><?= $order->total_amount ?></td>
                                                        <td><?= $order->status ?></td>
                                                        <td><?= $order->created_at ?></td>
                                                        <td>
															<a href="{{ route('orders.show',$order->id) }}">
                        										<button type="button" class="btn btn-secondary waves-effect waves-light">
                        											<i class="mdi mdi-eye"></i>
                        										</button>
                        									</a>
                    									</td>
                                                    </tr>
                                                <?php }?>
                                            </tbody>
                                        </table>
                                    </div> <!-- end table-responsive -->
                                </div> <!-- end card-box-->
                            </div> <!-- end col-->
                        </div>
                        <!-- end row-->
                        
                    </div> <!-- container -->

                </div> <!-- content -->
            </div>

<!-- Chart JS -->
<script src="{{ asset('libs/moment/moment.min.js') }}"></script>
<script src="{{ asset('libs/chart-js/Chart.bundle.min.js') }}"></script>
<!-- Init js -->
<script src="{{ asset('js/pages/chartjs.init.js') }}"></script>
<script>

$('#storeOpen').change(function() {
	var toggelVal = $(this).prop('checked');
	if(toggelVal){
		var isStore = "Open";
	}else{
		var isStore = "Close";
	}

	$.ajax({
		type:'POST',
		url:"{{route('changeStoreOpenStatus')}}",
		data:{
			_token:$('[name="csrf-token"]').attr('content'),
			'is_open' : toggelVal
		},
		beforeSend:function(){
			return confirm("Are you sure to " + isStore + " the store?");
		},
		success:function(resp){
			location.reload();
		}
	});
})

</script>
@endsection
