@extends('layouts.app')

@section('content')
<div class="content-page">
	<div class="content">

		<!-- Start Content-->
		<div class="container-fluid">

			<!-- start page title -->
			<div class="row mt-3 mb-3">
				<div class="col-8 col-sm-8 col-md-8 col-lg-8">
					<div class="page-title-box">
						<h4 class="page-title">Specifications</h4>
						<ol class="breadcrumb m-0">
							<li class="breadcrumb-item">
								<a href="{{ route('dashboard') }}">Dashboard</a>
							</li>
							<li class="breadcrumb-item">
								<a href="{{ route('specifications.index') }}">Specifications</a>
							</li>
							<li class="breadcrumb-item active">
								Edit Specification
							</li>
						</ol>
					</div>
				</div>
			</div>
			<!-- end page title -->
			<div class="row">

				<div class="col-12">
					<form class="form-horizontal" action="{{ route('specifications.update',$specification->id) }}" method="post">
						@csrf
						@method('PUT')
						<div class="card">
							<div class="card-header bg-dark ">
								<div class="row">
									<div class="col-6 col-sm-8 col-md-8 col-lg-8">
										<h4 class="text-white "><i class=" mdi mdi-pencil-outline"></i>Edit Specification</h4>
									</div>
									<div class="col-6 col-sm-4 col-md-4 col-lg-4 text-right">
										<button type="submit" class="btn btn-success waves-effect waves-light">
											<i class="mdi mdi-content-save"></i> Save
										</button>
										<a href="{{ route('specifications.index') }}">
											<button type="button" class="btn btn-danger waves-effect waves-light">
												<i class="mdi mdi-list"></i> View All
											</button>
										</a>
									</div>
								</div>
							</div>
							<div class="card-body">
								<div class="row">
									<div class="col-md-12">
										<div class="form-group row mb-3">
											<label for="inputEmail3" class="col-4 col-sm-2 col-md-2 col-lg-2 col-form-label text-right"><span class="text-danger">*</span>Specification Name</label>
											<div class="col-8 col-sm-10 col-md-10 col-lg-10">
												<input type="text" class="form-control @error('name') is-invalid @enderror" name="name" id="inputEmail3" placeholder="Specification Name" value="{{ $specification->name }}">
												@if ($errors->has('name'))
                                                      <span class="text-danger">{{ $errors->first('name') }}</span>
                                                @endif
											</div>
										</div>
										<div class="form-group row mb-3">
											<label for="inputEmail3" class="col-4 col-sm-2 col-md-2 col-lg-2  col-form-label text-right">Parent Specification</label>
											<div class="col-8 col-sm-10 col-md-10 col-lg-10" name="parent_id">
												<select class="form-control" data-toggle="select2" name="parent_id" id="example-select">
													<option value="<?php echo null; ?>">- No Parent -</option>
													<?php foreach($parents as $category): ?>
														<option <?php echo $specification->parent_id==$category['id']?'selected':''; ?> value="<?php echo $category['id']; ?>"><?php echo $category['name']; ?></option>
													<?php endforeach; ?>
												</select>
											</div>
										</div>
										
										<div class="form-group row mb-3">
											<label for="inputEmail3" class="col-4 col-sm-2 col-md-2 col-lg-2 col-form-label text-right">Enabled</label>
											<div class="col-8 col-sm-10 col-md-10 col-lg-100">
												<select class="form-control" name="enabled" id="example-select">
													<option <?php echo $specification->enabled=='Yes'?'selected':''; ?> value="Yes">Yes</option>
													<option <?php echo $specification->enabled=='No'?'selected':''; ?> value="No">No</option>
												</select>
											</div>
										</div>
									</div>
								</div>

							</div>
						</div>
						<!-- end card-->

					</form>
					<!-- end card-->
				</div>
				<!-- end col -->
			</div>
			<!-- end row -->

		</div>
		<!-- container -->

	</div>
	<!-- content -->

</div>

@endsection