@extends('layouts.app')

@section('content')
<div class="content-page">
	<div class="content">

		<!-- Start Content-->
		<div class="container-fluid">

			<!-- start page title -->
			<div class="row mt-3 mb-3">
				<div class="col-8 col-sm-8 col-md-8 col-lg-8">
					<div class="page-title-box">
						<h4>Specifications</h4>
						<ol class="breadcrumb m-0">
							<li class="breadcrumb-item">
								<a href="{{ route('dashboard') }}">Dashboard</a>
							</li>
							<li class="breadcrumb-item active">
								Specifications
							</li>
						</ol>
					</div>
				</div>
			</div>
			<!-- end page title -->
			<div class="row">

				<div class="col-12">
					<div class="card">
						<div class="card-body">
							<div class="row mb-1">
								<div class="col-5 col-sm-6 col-md-6 col-lg-6">
									<div class="page-title-box">

										<h4 class="page-title">Specifications List</h4>
									</div>
								</div>
								<div class="col-7 col-sm-6 col-md-6 col-lg-6 text-right mt-3">
									
									<form method="get" class="form-inline float-right">
										<div class="input-group">
										  <input type="search" name="search" value="<?php echo @$posted['search']; ?>" class="form-control" required placeholder="">
										  <div class="input-group-append">
										    <button class="btn btn-secondary" type="submit">
										    	<i class="mdi mdi-magnifier"></i>
										    	Search
										    </button>
										    <?php if(!empty($posted['search'])): ?>
											    <a href="{{ route('specifications.index') }}" class="btn btn-outline-secondary waves-effect waves-light">
													<i class="mdi mdi-refresh"></i> Clear
												</a>
											<?php endif; ?>
										  </div>
										</div>
										<a href="{{ route('specifications.create') }}" class="ml-3 btn btn-success waves-effect waves-light">
											<i class="mdi mdi-plus"></i> Add New
										</a>
									</form>
									
									

								</div>
							</div>

							<div class="table-responsive">
								<table class="table mb-0 table-bordered " >
									<thead class="thead-dark">
										<tr>
											<th width="50">#</th>
											<th>Specification Name</th>
											<th>Perent</th>
											<th>Enabled</th>
											<th class="text-right">Action</th>
										</tr>
									</thead>
									<tbody>
										<?php if(count($specifications)==0): ?>
											<tr class="table-info">
												<td colspan='5' class="text-center">
													No Records Found
												</td>
											</tr>
										<?php endif; ?>
										<?php $sr=1; foreach($specifications as $spec): ?>
											<tr>
												<td width="50">
													<?php echo $sr++; ?>
												</td>
												<td><?php echo $spec->name; ?></td>
												<td>
													<?php echo empty($spec->parent)?'&mdash;':$spec->parent->name; ?>
												</td>
												<td><?php echo $spec->enabled; ?></td>
												
												<td class="text-right">
													<a href="{{ route('specifications.edit',$spec->id) }}">
														<button type="button" class="btn btn-secondary waves-effect waves-light">
															<i class="mdi mdi-pencil"></i>
														</button>
													</a>
													
													<form class="delForm" action="{{route('specifications.destroy',$spec->id)}}" onsubmit="return confirm('Are you sure to delete?');" method="post" style="display:inline;">
														@csrf
														@method('DELETE')
														<button type="submit" class="btn btn-danger waves-effect waves-light">
															<i class="mdi mdi-trash-can-outline"></i>
														</button>
													</form>
												</td>
											</tr>
										<?php endforeach; ?>
									</tbody>
								</table>
							</div>
							<div class="pt-3 pagination-rounded justify-content-end">
								{{ $specifications->links() }}
							</div>
						</div>
					</div>
					<!-- end card-->
				</div>
				<!-- end col -->
			</div>
			<!-- end row -->

		</div>
		<!-- container -->

	</div>
	<!-- content -->

</div>

@endsection