@extends('layouts.app')

@section('content')
<div class="content-page">
	<div class="content">

		<!-- Start Content-->
		<div class="container-fluid">

			<!-- start page title -->
			<div class="row">
				<div class="col-12">
					<div class="page-title-box">

						<h4 class="page-title">Taxes</h4>
						<ol class="breadcrumb m-0">
							<li class="breadcrumb-item">
								<a href="{{ route('dashboard') }}">Dashboard</a>
							</li>
							<li class="breadcrumb-item active">
								Taxes
							</li>
						</ol>
					</div>
				</div>
			</div>
			<!-- end page title -->

			<div class="row">

				<div class="col-12 col-sm-8 col-md-8">
					<div class="car">
						<div class="card-bod">
							<div class="table-responsive">
								<table class="table mb-0 table-bordered " >
									<thead class="thead-dark">
										<tr>
											<th width="50">#</th>
											<th>Tax Name</th>
											<th>Tax Rate (%)</th>
											<th>Enabled</th>
											<th class="text-right">Action</th>
										</tr>
									</thead>
									<tbody>
										<?php $sr=1; foreach($taxes as $tax): ?>
											<tr>
												<td width="50">
													<?php echo $sr++; ?>
												</td>
												<td>{{ $tax->name }}</td>
												<td>{{ $tax->rate }}</td>
												<td>{{ $tax->enabled }}</td>
												
												<td class="text-right">
													<a href="{{ route('taxes.edit',$tax->id) }}">
														<button type="button" class="btn btn-secondary waves-effect waves-light">
															<i class="mdi mdi-pencil"></i>
														</button>
													</a>
													<form style="display:inline-block;" onsubmit="return confirm('Are you sure to delete <?php echo addslashes($tax->name); ?>');" action="{{route('taxes.destroy',$tax->id)}}" method="post">
														@csrf
														@method('DELETE')
														<button type="submit" class="btn btn-danger waves-effect waves-light">
															<i class="mdi mdi-delete"></i>
														</button>
													</form>
													
												</td>
											</tr>
										<?php endforeach; ?>
										
									</tbody>
								</table>
							</div>
							
						</div>
					</div>
					<!-- end card-->
				</div>
				<!-- end col -->
				<div class="col-12 col-sm-4 col-md-4">
					<div class="card">

						<div class="card-header bg-dark pb-3 ">
							<div class="row">
								<div class="col-8">
									<div class="page-title-box">
										<p class="page-title text-white pt-2" style="line-height: 0">
											<i class=" mdi mdi-pencil-outline"></i> 
											<?php if(empty($etax)): ?>
												Create New Tax
											<?php else: ?>
												Edit Tax
											<?php endif; ?>
										</p>
									</div>
								</div>
								<div class="col-4 text-right"></div>
							</div>
						</div>
						<div class="card-body">
							<div class="row">
								<div class="col-12">
									<?php if(empty($etax)): ?>
										<form class="form-horizontal" id="taxForm" action="{{ route('taxes.store') }}" method="post">
									<?php else: ?>
										<form class="form-horizontal" id="taxForm" action="{{ route('taxes.update',$etax->id) }}" method="post">
										@method('PUT')
									<?php endif; ?>
										@csrf
										<div class="form-group row mb-3">
											<label for="inputEmail3" class="col-12 col-form-label ">
												<span class="text-danger">*</span>Display Name
											</label>
											<div class="col-12">
												<div class="form-group  mb-0">
													<input type="text" name="name" class="form-control @error('name') is-invalid @enderror" id="" placeholder="e.g. GST" value="<?php echo @$etax->name; ?>">
													@if ($errors->has('name'))
	                                                	<span class="text-danger form-text">{{ $errors->first('name') }}</span>
	                                                @endif
												</div>
											</div>
										</div>
										
										<div class="form-group row mb-3">
											<label for="inputEmail3" class="col-12 col-form-label "><span class="text-danger">*</span>Tax Rate(%)</label>
											<div class="col-12">
												<div class="form-group  mb-0">
													<input type="number" step="0.01" max="100" class="form-control @error('rate') is-invalid @enderror" name="rate" id="inputEmail4" placeholder="e.g 10%" value="<?php echo @$etax->rate; ?>">
													@if ($errors->has('rate'))
	                                                	<span class="text-danger form-text">{{ $errors->first('rate') }}</span>
	                                                @endif
												</div>
											</div>
										</div>
										<div class="form-group row mb-3">
											<label for="inputEmail3" class="col-12 col-form-label">Enabled</label>
											<div class="col-12">
												<div class="form-group mb-0">
													<select class="form-control" name="enabled" id="example-select">
														<option <?php echo @$etax->enabled=='Yes'?'selected':''; ?> value="Yes">Yes</option>
														<option <?php echo @$etax->enabled=='No'?'selected':''; ?> value="No">No</option>
													</select>
												</div>
											</div>
										</div>
										<div class="col-12 mb-3">
											<button type="submit" class="btn btn-success waves-effect waves-light">
												<i class="mdi mdi-content-save"></i> Save
											</button>
										</div>

									</form>
								</div>
								<!-- end card-box-->
							</div>
						</div>

					</div>
				</div>
			</div>
			<!-- end row -->

		</div>
		<!-- container -->

	</div>
	<!-- content -->

</div>
<script>
	$(function(){
		$('#taxForm').bootstrapValidator({
			//container: '#messages',
			fields: {
                name: {
                    validators: {
                        notEmpty: {
                            message: 'Kindly enter Tax Name'
                        }
                    }
                },
                rate: {
                    validators: {
                        notEmpty: {
                            message: 'Kindly enter Tax Rate'
                        }
                    }
                },
                enabled: {
                    validators: {
                        notEmpty: {
                            message: 'Kindly Select Enabled Status'
                        }
                    }
                },
            }
		});
	});
</script>
@endsection