@extends('layouts.app')

@section('content')
<div class="content-page">
	<div class="content">

		<!-- Start Content-->
		<div class="container-fluid">

			<!-- start page title -->
			<div class="row">
				<div class="col-12">
					<div class="page-title-box">

						<h4 class="page-title">Service Charges</h4>
						<ol class="breadcrumb m-0">
							<li class="breadcrumb-item">
								<a href="{{ route('dashboard') }}">Dashboard</a>
							</li>
							<li class="breadcrumb-item active">
								Service Charges
							</li>
						</ol>
					</div>
				</div>
			</div>
			<!-- end page title -->

			<div class="row">

				<div class="col-12 col-sm-12 col-md-12">
					<div class="car">
						<div class="card-bod">
							<div class="table-responsive">
								<table class="table mb-0 table-bordered " >
									<thead class="thead-dark">
										<tr>
											<th width="50">#</th>
											<th>Name</th>
											<th>Price</th>
											<th>Enabled</th>
											<th class="text-right">Action</th>
										</tr>
									</thead>
									<tbody>
										<?php $sr=1; foreach($taxes as $tax): ?>
											<tr>
												<td width="50">
													<?php echo $sr++; ?>
												</td>
												<td>{{ $tax->name }}</td>
												<td>{{ $tax->rate }}</td>
												<td>{{ $tax->enabled }}</td>
												
												<td class="text-right">
													<a href="#">
														<button type="button" data-rate="{{ $tax->rate }}" data-id="{{ $tax->id }}" class="btn btn-secondary waves-effect waves-light edit-service-charge">
															<i class="mdi mdi-pencil"></i>
														</button>
													</a>
												</td>
											</tr>
										<?php endforeach; ?>
										
									</tbody>
								</table>
							</div>
							
						</div>
					</div>
					<!-- end card-->
				</div>
				<!-- end col -->
				
			</div>
			<!-- end row -->

		</div>
		<!-- container -->

	</div>
	<!-- content -->

</div>

<div class="modal edit-modal" tabindex="-1" role="dialog">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title">Edit Service Charges</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      	<form class="form-horizontal" id="taxForm" action="{{ route('update-service-charges') }}" method="post">
      	@csrf
      <div class="modal-body">
            <div class="form-group  mb-0">
                <label for="inputEmail3" class="col-12 col-form-label ">
    				<span class="text-danger">*</span>Price
    			</label>
            	<input type="hidden" name="id" class="form-control" id="tax_id" placeholder="id" required value="">
    			<input type="text" name="rate" class="form-control" id="tax_price" placeholder="Price" required value="">
    		</div>
    	
      </div>
      <div class="modal-footer">
        <button type="submit" class="btn btn-primary">Save changes</button>
        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
      </div>
      </form>
    </div>
  </div>
</div>
<script>
	$(function(){
		$('#taxForm').bootstrapValidator({
			//container: '#messages',
			fields: {
                name: {
                    validators: {
                        notEmpty: {
                            message: 'Kindly enter Tax Name'
                        }
                    }
                },
                rate: {
                    validators: {
                        notEmpty: {
                            message: 'Kindly enter Tax Rate'
                        }
                    }
                },
                enabled: {
                    validators: {
                        notEmpty: {
                            message: 'Kindly Select Enabled Status'
                        }
                    }
                },
            }
		});
	});
	
	$('.edit-service-charge').click( function(){
		$('#tax_id').val($(this).data('id'));
		$('#tax_price').val($(this).data('rate'));
		$('.edit-modal').modal();
	});
</script>
@endsection