@extends('layouts.app')

@section('content')
<div class="content-page">
	<div class="content">

		<!-- Start Content-->
		<div class="container-fluid">

			<!-- start page title -->
			<div class="row mt-3 mb-3">
				<div class="col-8 col-sm-8 col-md-8 col-lg-8">
					<div class="page-title-box">
						
						<ol class="breadcrumb m-0">
							<li class="breadcrumb-item">
								<a href="{{ route('dashboard') }}">Dashboard</a>
							</li>
							<li class="breadcrumb-item">
								<a href="{{ route('todayTimeSlotsList') }}">Time Slot</a>
							</li>
							<li class="breadcrumb-item active">
								Create New
							</li>
						</ol>
					</div>
				</div>
				
			</div>
			<div class="row">
				<div class="col-12">

					<form class="form-horizontal" action="{{ route('saveTodayTimeSlot') }}" method="post" enctype="multipart/form-data" id="adminUserForm">
						@csrf
						<div class="card">
							<div class="card-header bg-dark ">
								<div class="row">
									<div class="col-6 col-sm-8 col-md-8 col-lg-8">
										<h4 class="text-white m-0 p-0"><i class="fa fa-user"></i> Create Today Time Slot</h4>
									</div>
									<div class="col-6 col-sm-4 col-md-4 col-lg-4 text-right">
										<button type="submit" class="btn btn-success btn-sm waves-effect waves-light">
											<i class="mdi mdi-content-save"></i> Save
										</button>
										<a href="{{ route('todayTimeSlotsList') }}">
											<button type="button" class="btn btn-danger btn-sm waves-effect waves-light">
												<i class="fa fa-user-friends"></i> View All
											</button>
										</a>
										
										
									</div>
								</div>
							</div>
							<div class="card-body">
								<div class="row">
									<div class="col-8 offset-2">
										<div class="form-group row mb-3">
											<label for="inputEmail3" class="col-4 col-sm-2 col-md-2 col-lg-2 col-form-label text-right"><span class="text-danger">*</span>Title</label>
											<div class="col-8 col-sm-10 col-md-10 col-lg-10">
												<input type="text" class="form-control @error('price') is-invalid @enderror" value="{{old('title')}}" name="title" id="" placeholder="Title">
												@if ($errors->has('title'))
                                                      <span class="text-danger">{{ $errors->first('title') }}</span>
                                                @endif
											</div>
										</div>
										
										<div class="form-group row mb-3">
											<label for="inputEmail3" class="col-4 col-sm-2 col-md-2 col-lg-2 col-form-label text-right"><span class="text-danger">*</span>Price</label>
											<div class="col-8 col-sm-10 col-md-10 col-lg-10">
												<input type="text" class="form-control @error('price') is-invalid @enderror" value="{{old('price')}}" name="price" id="" placeholder="Price">
												@if ($errors->has('price'))
                                                      <span class="text-danger">{{ $errors->first('price') }}</span>
                                                @endif
											</div>
										</div>
										
<!-- 										<div class="form-group row mb-3"> -->
<!-- 											<label for="inputEmail3" class="col-4 col-sm-2 col-md-2 col-lg-2 col-form-label text-right"><span class="text-danger">*</span>Start Time</label> -->
<!-- 											<div class="col-8 col-sm-10 col-md-10 col-lg-10"> -->
<!-- 												<input type="time" id="preloading-timepicker" name="start_time"  value="{{$address->start_time ?? ""}}" name="start_time" class="form-control" required placeholder="Start Time"> -->
<!-- 												@if ($errors->has('start_time')) -->
<!--                                                       <span class="text-danger">{{ $errors->first('start_time') }}</span> -->
<!--                                                 @endif -->
<!-- 											</div> -->
<!-- 										</div> -->
<!-- 										<div class="form-group row mb-3"> -->
<!-- 											<label for="inputEmail3" class="col-4 col-sm-2 col-md-2 col-lg-2 col-form-label text-right"><span class="text-danger">*</span>End Time</label> -->
<!-- 											<div class="col-8 col-sm-10 col-md-10 col-lg-10"> -->
<!-- 												 <input type="time" id="preloading-timepicker-out" name="end_time" class="form-control" value="{{$address->end_time ?? ""}}" name="end_time" id="" required placeholder="End Time"> -->
<!-- 												@if ($errors->has('end_time')) -->
<!--                                                       <span class="text-danger">{{ $errors->first('end_time') }}</span> -->
<!--                                                 @endif -->
<!-- 											</div> -->
<!-- 										</div> -->
										<div class="form-group row mb-3">
											<label for="inputEmail3" class="col-4 col-sm-2 col-md-2 col-lg-2 col-form-label text-right">Enabled</label>
											<div class="col-8 col-sm-10 col-md-10 col-lg-10">
												<select class="form-control" name="enabled" id="example-select">
													<option {{old('enabled')=='Yes'?'selected':''}} value="Yes">Yes</option>
													<option {{old('enabled')=='No'?'selected':''}} value="No">No</option>
												</select>
											</div>
										</div>
									</div>
								</div>
							</div>
						</div>
					</form>
					</div>
						<!-- end card-->
				</div>
				<!-- end col -->
			</div>
			<!-- end row -->

		</div>
		<!-- container -->

	</div>
	<!-- content -->

	

</div>
<script>
	$(function() {
		buildValidation();
	});

	function buildValidation() {
		var bootstrapValidat = $('#adminUserForm').data('bootstrapValidator');

		if (bootstrapValidat != undefined) {
			bootstrapValidat.destroy();
		}

		$('#adminUserForm').bootstrapValidator({
			// Only disabled elements are excluded
			// The invisible elements belonging to inactive tabs must be validated
			excluded : [':disabled'],
			//container: '#valMessages',
			feedbackIcons : {
				valid : 'fa fa-check',
				invalid : 'fa fa-times',
				validating : 'fa fa-refresh'
			},
			fields : {
				name : {
					validators : {
						notEmpty : {
							message : 'User Display name is required'
						}
					}
				},
				role : {
					validators : {
						notEmpty : {
							message : 'User Role is required'
						}
					}
				},
				
				enabled : {
					validators : {
						notEmpty : {
							message : 'Enabled Status is required'
						}
					}
				},
				country_code : {
					validators : {
						integer : {
							message : 'Only numeric country codes are allowed'
						}
					}
				},
				phone : {
					validators : {
						numeric : {
							message : 'Only Numbers are allowed'
						}
					}
				},
				email : {
					validators : {
						notEmpty : {
							message : 'Email is required'
						},
						emailAddress: {
	                        message : 'Invalid Email Address'
	                    }
					}
				},
				password : {
					validators : {
						notEmpty : {
							message : 'Password is required'
						},
						regexp: {
	                        regexp: '^(?=.*[a-z])(?=.*[A-Z])(?=.*[0-9])(?=.*[!@#\$%\^&\*])(?=.{8,})',
	                        message: 'Password must contain 1 Small, 1 Upper case letter, 1 number and 1 special character with minimum length of 8'
	                    }
					}
				},
				photo : {
					validators : {
						file : {
							extension : 'jpeg,png,svg,jpg,gif',
							//type: 'image/jpeg,image/png',
							//maxSize: 2048 * 1024,
							message : 'Only JPEG, PNG, SVG, GIF or JPG are allowed for Featured Image'
						}
					}
				},
			}
		});
		
	}
</script>
@endsection