@extends('layouts.app')

@section('content')
<div class="content-page">
	<div class="content">

		<!-- Start Content-->
		<div class="container-fluid">

			<!-- start page title -->
			<div class="row mt-3 mb-3">
				<div class="col-8 col-sm-8 col-md-8 col-lg-8">
					<div class="page-title-box">
						<!--<h4>Edit Admin User</h4>-->
						<ol class="breadcrumb m-0">
							<li class="breadcrumb-item">
								<a href="{{ route('dashboard') }}">Dashboard</a>
							</li>
							<li class="breadcrumb-item">
								<a href="{{ route('timeSlotsList') }}">Time Slot</a>
							</li>
							<li class="breadcrumb-item active">
								Create New
							</li>
						</ol>
					</div>
				</div>
				
			</div>
			<div class="row">
				<div class="col-12">

					<form class="form-horizontal" action="{{ route('saveEditTimeSlot',$timeSlot->id) }}" method="post" enctype="multipart/form-data" id="adminUserForm">
						@csrf
						<div class="card">
							<div class="card-header bg-dark ">
								<div class="row">
									<div class="col-6 col-sm-8 col-md-8 col-lg-8">
										<h4 class="text-white "><i class=" mdi mdi-pencil-outline"></i>Edit Time Slot</h4>
									</div>
									<div class="col-6 col-sm-4 col-md-4 col-lg-4 text-right">
										<button type="submit" class="btn btn-success waves-effect waves-light">
											<i class="mdi mdi-content-save"></i> Save
										</button>
									</div>
								</div>
							</div>
							<div class="card-body">
								<div class="row">
									<div class="col-7">
										<div class="form-group row mb-3">
											<label for="inputEmail3" class="col-4 col-sm-2 col-md-2 col-lg-2 col-form-label text-right"><span class="text-danger">*</span>Price</label>
											<div class="col-8 col-sm-10 col-md-10 col-lg-10">
												<input type="text" class="form-control @error('price') is-invalid @enderror" min="0.1" id="main_price" value="{{ $timeSlot->timeSlotPrice[0]->price}}" name="price" id="" required placeholder="Price">
												@if ($errors->has('price'))
                                                      <span class="text-danger">{{ $errors->first('price') }}</span>
                                                @endif
											</div>
										</div>
										<div class="form-group row mb-3">
											<label for="inputEmail3" class="col-4 col-sm-2 col-md-2 col-lg-2 col-form-label text-right">Is Any Time</label>
											<div class="col-8 col-sm-10 col-md-10 col-lg-10">
												<input type="checkbox"  class="form-control is_any_time" <?= (!empty($timeSlot->is_any_time)) ? 'checked' : '' ?> name="is_any_time" onchange="isAnyTime()">
											</div>
										</div>
										
										<div class="form-group row mb-3 startTime">
											<label for="inputEmail3" class="col-4 col-sm-2 col-md-2 col-lg-2 col-form-label text-right"><span class="text-danger">*</span>Start Time</label>
											<div class="col-8 col-sm-10 col-md-10 col-lg-10">
												<input type="time" id="preloading-timepicker" name="start_time"  value="{{$timeSlot->start_time ?? ''}}" name="start_time" class="form-control" required placeholder="Start Time">
												@if ($errors->has('start_time'))
                                                      <span class="text-danger">{{ $errors->first('start_time') }}</span>
                                                @endif
											</div>
										</div>
										<div class="form-group row mb-3 endTime">
											<label for="inputEmail3" class="col-4 col-sm-2 col-md-2 col-lg-2 col-form-label text-right"><span class="text-danger">*</span>End Time</label>
											<div class="col-8 col-sm-10 col-md-10 col-lg-10">
												 <input type="time" id="preloading-timepicker-out" name="end_time" class="form-control" value="{{$timeSlot->end_time ?? ''}}" name="end_time" id="" required placeholder="End Time">
												@if ($errors->has('end_time'))
                                                      <span class="text-danger">{{ $errors->first('end_time') }}</span>
                                                @endif
											</div>
										</div>
										<div class="form-group row mb-3">
											<label for="inputEmail3" class="col-4 col-sm-2 col-md-2 col-lg-2 col-form-label text-right">Enabled</label>
											<div class="col-8 col-sm-10 col-md-10 col-lg-10">
												<select class="form-control" name="enabled" id="example-select">
													<option {{old('enabled')=='Yes'?'selected':''}} value="Yes">Yes</option>
													<option {{old('enabled')=='No'?'selected':''}} value="No">No</option>
												</select>
											</div>
										</div>
									</div>
									
									
									<div class="col-5">
										<div class="card-body ">
											<a href="#" class="btn btn-info showDayPrice">Add price for each day</a>
											<div class="dayPrice">
                    							<div class="row">
                    								<div class="col-3">
                    									<div class="form-group row mb-3">
                    										<label for="inputEmail3" class="col-form-label">Days</label>
                    									</div>
                    								</div>
                    								<div class="col-6">
                    									<div class="form-group row mb-3">
                    										<label for="inputEmail3" class="col-form-label">Price</label>
                    									</div>
                    								</div>
                    								<div class="col-3">
                    									<div class="form-group row mb-3">
                    										<label for="inputEmail3" class="col-form-label">Is Full</label>
                    									</div>
                    								</div>
                    							</div>
                    							@foreach($timeSlot->timeSlotPrice as $slotPrice)
                        							<div class="row">
                        								<div class="col-3">
                        									<div class="form-group row mb-3">
                        										<label for="inputEmail3" class="col-form-label text-right">{{ $slotPrice->day }}</label>
                        									</div>
                        								</div>
                        								<div class="col-9">
                        									<div class="form-group row mb-3">
                        										<div class="col-md-6">
                        											<input type="text" class="form-control" min="0.1" value="{{ $slotPrice->price }}" name="day[{{ $slotPrice->id }}]" id="{{ $slotPrice->day }}" placeholder="Price">
                        										</div>
                        										<div class="col-md-6">
                        											<input type="checkbox" class="form-control" <?= ($slotPrice->is_full) ? "checked" : "" ?> name="is_full[{{ $slotPrice->id }}]">
                        										</div>
                        									</div>
                        								</div>
                        							</div>
                        						@endforeach
                							</div>
                						</div>
									</div>
									
									
								</div>
							</div>
						</div>
						<!-- end card-->

					</form>
				</div>
				<!-- end col -->
			</div>
			<!-- end row -->

		</div>
		<!-- container -->

	</div>
	<!-- content -->

	

</div>
<script>
$('.showDayPrice').click( function (){
		var mainPrice = $('#main_price').val();
		if(mainPrice == ""){
			mainPrice = "0.99";
			$('#main_price').val(mainPrice);
		}
		
		$('#sunday').val(mainPrice);
		$('#saturday').val(mainPrice);
		$('#friday').val(mainPrice);
		$('#thursday').val(mainPrice);
		$('#wednesday').val(mainPrice);
		$('#tuesday').val(mainPrice);
		$('#monday').val(mainPrice);
		
	});


	$(function() {
		buildValidation();
	});

	function buildValidation() {
		var bootstrapValidat = $('#adminUserForm').data('bootstrapValidator');

		if (bootstrapValidat != undefined) {
			bootstrapValidat.destroy();
		}

		$('#adminUserForm').bootstrapValidator({
			// Only disabled elements are excluded
			// The invisible elements belonging to inactive tabs must be validated
			excluded : [':disabled'],
			//container: '#valMessages',
			feedbackIcons : {
				valid : 'fa fa-check',
				invalid : 'fa fa-times',
				validating : 'fa fa-refresh'
			},
			fields : {
				name : {
					validators : {
						notEmpty : {
							message : 'User Display name is required'
						}
					}
				},
				role : {
					validators : {
						notEmpty : {
							message : 'User Role is required'
						}
					}
				},
				
				enabled : {
					validators : {
						notEmpty : {
							message : 'Enabled Status is required'
						}
					}
				},
				country_code : {
					validators : {
						integer : {
							message : 'Only numeric country codes are allowed'
						}
					}
				},
				phone : {
					validators : {
						numeric : {
							message : 'Only Numbers are allowed'
						}
					}
				},
				email : {
					validators : {
						notEmpty : {
							message : 'Email is required'
						},
						emailAddress: {
	                        message : 'Invalid Email Address'
	                    }
					}
				},
				password : {
					validators : {
						regexp: {
	                        regexp: '^(?=.*[a-z])(?=.*[A-Z])(?=.*[0-9])(?=.*[!@#\$%\^&\*])(?=.{8,})',
	                        message: 'Password must contain 1 Small, 1 Upper case letter, 1 number and 1 special character with minimum length of 8'
	                    }
					}
				},
				photo : {
					validators : {
						file : {
							extension : 'jpeg,png,svg,jpg,gif',
							//type: 'image/jpeg,image/png',
							//maxSize: 2048 * 1024,
							message : 'Only JPEG, PNG, SVG, GIF or JPG are allowed for Featured Image'
						}
					}
				},
			}
		});
		
	}
	
$( document ).ready(function() {
    isAnyTime();
});
	
	function isAnyTime()
    {
        if($('.is_any_time').is(":checked")) 
        {  
            $(".startTime").hide();
            $(".endTime").hide();
             $(".startTime").hide().find('.form-control').prop('disabled',true);
            $(".endTime").hide().find('.form-control').prop('disabled',true);
         }
        else
        {
            $(".startTime").show();
            $(".endTime").show();
             $(".startTime").show().find('.form-control').prop('disabled',false);
            $(".endTime").show().find('.form-control').prop('disabled',false);
        }
    }
</script>
@endsection