<?php
use App\TimeSlot;
?>
@extends('layouts.app')

@section('content')
<div class="content-page">
	<div class="content">

		<!-- Start Content-->
		<div class="container-fluid">

			<div class="row">
				<div class="col-12">
					<div class="page-title-box">
						<h4 class="page-title">Today Time Slot</h4>
						<ol class="breadcrumb m-0">
							<li class="breadcrumb-item">
								<a href="{{route('dashboard')}}">Dashboard</a>
							</li>
							<li class="breadcrumb-item active">
							  Today Time Slot List
							</li>
						</ol>
					</div>
				</div>
			</div>
			<!-- end page title -->

			<div class="row">
				<div class="col-12">
					<div class="card">
						<div class="card-body">
							<div class="row">
								<div class="col-8">
									<div class="page-title-box">
										<p class="page-title">
											<i class=" mdi mdi-account-outline"></i>Today Time Slot List
										</p>
									</div>
								</div>
								<div class="col-4 text-right pt-1 pb-3">

<!-- 									<a href="{{route('addTodayTimeSlot')}}" role="button" class="btn btn-danger waves-effect waves-light"> -->
<!-- 										<i class="fa fa-user-plus"></i> Create Today Time Slot -->
<!-- 									</a> -->
								</div>
							</div>
							<div class="table-responsive">
								<table class="table mb-0 table-bordered " >
									<thead class="thead-dark">
										<tr>
											<th>Title</th>
											<th>Time</th>
											<th>Price</th>
											<th>Delivery Mile</th>
											<th>Enabled</th>
											<th class="text-center">Action</th>
										</tr>
									</thead>
									<tbody>
										<?php if(count($timeSlots)==0): ?>
											<tr class="table-info">
												<td colspan='7' class="text-center">
													No Records Found
												</td>
											</tr>
										<?php endif; ?>
										@foreach($timeSlots as $timeSlot)
										<tr>
											<td>{{ $timeSlot->title }}</td>
											<?php if($timeSlot->hour == TimeSlot::EVENING_SLOT){?>
												<td>{{ $timeSlot->start_time }} - {{ $timeSlot->end_time }}</td>
											<?php }else {?>
												<td><?= (!empty($timeSlot->hour)) ? $timeSlot->hour . " Hour" : $timeSlot->title;?></td>
											<?php }?>
											<td>{{ $timeSlot->price }}</td>
											<td>{{ $timeSlot->delivery_mile }}</td>
											<td>
												<?php $enableClass="warning"; if($timeSlot->enabled=='Yes'){ $enableClass="success"; } ?>
												<span class="badge bg-{{$enableClass}} shadow-none">{{$timeSlot->enabled}}</span>
												@if($timeSlot->enabled=='Yes')
													<?php $enb = 'No'; ?>
												@else 
													<?php $enb = 'Yes'; ?>
												@endif
												<form style="display:block;" action="{{route('markSlotEnabled',[$timeSlot->id,$enb])}}" method="get">
													@csrf
													@method('GET')
													<button type="submit" class="btn btn-xs btn-warning" data-toggle="tooltip" title="Change to {{$enb}}">
														<i class="fa fa-recycle"></i>
													</button>
												</form>
											</td>
											<td style="width:120px;">
												<a href="{{route('editTimeSlot',$timeSlot->id)}}" class="btn btn-sm btn-warning waves-effect waves-light" data-toggle="tootip" title="Edit User">
													<i class="fa fa-edit"></i>
												</a>
<!-- 												<form  class="deleteUserForm" action="{{route('deleteTimeSlot')}}" method="post"> -->
<!-- 												@csrf -->
<!-- 												@method('DELETE') -->
<!--     												<input type="hidden" name="id" value="{{ $timeSlot->id }}"> -->
<!--     												<button type="submit" class="btn btn-sm btn-danger waves-effect waves-light" data-toggle="tooltip" title="Delete Time Slot"> -->
<!--     													<i class="fa fa-trash"></i> -->
<!--     												</button> -->
<!-- 												</form> -->
											</td>
										</tr>
										@endforeach
										
									</tbody>
								</table>
							</div>
							{{$timeSlots->links()}}

						</div>
						<!-- end card-body-->
					</div>
					<!-- end card-->
				</div>
				<!-- end col -->

<!-- 				<div class="col-3"> -->
<!-- 					<div class="card"> -->
<!-- 						<div class="card-body"> -->
<!-- 							<div class="row"> -->
<!-- 								<div class="col-8"> -->
<!-- 									<div class="page-title-box"> -->
										<p class="page-title pt-3" style="line-height: 0">
<!-- 											<i class="mdi mdi-filter"></i> Filter -->
<!-- 										</p> -->
<!-- 									</div> -->
<!-- 								</div> -->
<!-- 							</div> -->

<!-- 							<div class="row mt-4"> -->
								
<!-- 									<div class="col-12"> -->
<!-- 										<form class="" action="{{route('timeSlotsList')}}" method="get"> -->
<!-- 										@csrf -->
<!-- 										<div class="form-group mb-3"> -->
<!-- 											<label for="example-select">Filter By</label> -->
<!-- 											<select class="form-control" name="ftype" required> -->
<!-- 												<option value=""></option> -->
<!-- 												<option  value="start_time">Start Time</option> -->
<!-- 												<option  value="end_time">End Time</option> -->
<!-- 												<option  value="price">Price</option> -->
													<?php //echo $ftype=='price'?'selected':''; ?>
<!-- 											</select> -->
<!-- 										</div> -->
	
<!-- 										<div class="form-group mb-3"> -->
<!-- 											<label for="example-select">Filter value</label> -->
<!-- 											<input type="text" name="stext" value="{{$stext}}" class="form-control" required> -->
<!-- 										</div> -->
										
	
<!-- 										<button type="submit" class="btn btn-danger btn-rounded waves-effect waves-light"> -->
<!-- 											<span class="btn-label"><i class="mdi mdi-filter"></i></span>Apply -->
<!-- 										</button> -->
<!-- 										</form> -->
<!-- 										<a href="{{route('timeSlotsList')}}" class="btn btn-secondary btn-rounded waves-effect waves-light float-right"> -->
<!-- 											<span class="btn-label"><i class="mdi mdi-refresh"></i></span>Clear -->
<!-- 										</a> -->
<!-- 									</div> -->
								
<!-- 							</div> -->
<!-- 						</div> -->
<!-- 					</div> -->
<!-- 				</div> -->

			</div>

		</div>
		<!-- container -->

	</div>
	<!-- content -->

</div>

@endsection