@extends('layouts.app')

@section('content')
<div class="content-page">
	<div class="content">

		<!-- Start Content-->
		<div class="container-fluid">

			<!-- start page title -->
			<div class="row">
				<div class="col-12">
					<div class="page-title-box">

						<h4 class="page-title">Emails</h4>
						<ol class="breadcrumb m-0">
							<li class="breadcrumb-item">
								<a href="{{ route('dashboard') }}">Dashboard</a>
							</li>
							<li class="breadcrumb-item active">
								Emails
							</li>
						</ol>
					</div>
				</div>
			</div>
			<!-- end page title -->

			<div class="row">

				<div class="col-12 col-sm-12 col-md-12">
					<div class="car">
						<div class="card-bod">
							<div class="table-responsive">
								<table class="table mb-0 table-bordered " >
									<thead class="thead-dark">
										<tr>
											<th width="50">#</th>
											<th>Name</th>
											<th>Email</th>
											<th>Postcode</th>
											<th>Company Name</th>
											<th>Type</th>
											<th class="text-right">Action</th>
										</tr>
									</thead>
									<tbody>
										<?php $sr=1; foreach($emails as $email): ?>
											<tr>
												<td width="50">
													<?php echo $sr++; ?>
												</td>
												<td>{{ $email->full_name }}</td>
												<td>{{ $email->email }}</td>
												<td>{{ $email->postcode }}</td>
												<td>{{ $email->company_name }}</td>
												<td>{{ $email->getEmailType($email->type) }}</td>
												<td class="text-right">
													<a href="{{route('userFormView',$email->id)}}" class="btn btn-sm btn-info waves-effect waves-light" data-toggle="tooltip" title="View User Form">
    													<i class="fa fa-eye"></i>
    												</a>
												</td>
											</tr>
										<?php endforeach; ?>
										
									</tbody>
								</table>
							</div>
							
						</div>
					</div>
					<!-- end card-->
				</div>
				<!-- end col -->
				<div class="pt-3 pagination-rounded justify-content-end">
					{{ $emails->links() }}
				</div>
			</div>
			<!-- end row -->

		</div>
		<!-- container -->

	</div>
	<!-- content -->

</div>
<script>
	$(function(){
		$('#taxForm').bootstrapValidator({
			//container: '#messages',
			fields: {
                name: {
                    validators: {
                        notEmpty: {
                            message: 'Kindly enter Tax Name'
                        }
                    }
                },
                rate: {
                    validators: {
                        notEmpty: {
                            message: 'Kindly enter Tax Rate'
                        }
                    }
                },
                enabled: {
                    validators: {
                        notEmpty: {
                            message: 'Kindly Select Enabled Status'
                        }
                    }
                },
            }
		});
	});
</script>
@endsection