@extends('layouts.app')

@section('content')
<?php 
	$humanOrderStatuses = [
    		'Pending'=> "Pending to Acknowledge",
    		'Acknowledged'=> "Acknowledged",
    		"Processing"=>"Processing the Order",
    		"Out for Delivery"=>"Out for Delivery",
    		"Rejected"=>"Order Rejected",
    		"Delivered"=>"Order Delivered",
    		'Shipped'=>"Shipped"
    	];
?>	
<div class="content-page">
	<div class="content">

		<!-- Start Content-->
		<div class="container-fluid">
			<!-- start page title -->

			<div class="row">
				<div class="col-12">
					<div class="page-title-box">
						<h4 class="page-title">Users</h4>
						<ol class="breadcrumb m-0">
							<li class="breadcrumb-item">
								<a href="{{route('dashboard')}}">Dashboard</a>
							</li>
							<li class="breadcrumb-item">
								<a href="{{route('appUsersList')}}">App Users</a>
							</li>
							<li class="breadcrumb-item active">
								User Profile
							</li>
						</ol>
					</div>
				</div>
			</div>
			<!-- end page title -->
			
			<div class="row">

				<div class="col-4 col-sm-4 col-md-4">
					<div class="card-box text-center border">
						<span style="position:absolute;left:12px;top:0px;">
							@if($user->enabled=='Yes')
								<span class="btn btn-xs btn-success">Active</span>
							@else
								<span class="btn btn-xs btn-danger">Blocked</span>
							@endif
						</span>
						<span style="position:absolute;right:11px;top:0px;">
							<a href="{{route('editAppUser',$user->id)}}" class="btn btn-info btn-xs waves-effect waves-light" data-toggle="tootip" title="Edit User">
								<i class="fa fa-edit"></i>
								Edit Profile
							</a>
						</span>
						@if (empty($user->photo))
							<img src="{{ asset('images/users/user-3.jpg')}}" class="rounded-circle img-thumbnail" alt="profile-image">
						@else
							<img src="{{ $user->photo }}" class="rounded-circle img-thumbnail" alt="profile-image" style="width:150px;height:150px;">
						@endif
						<h4 class="mb-0">{{ $user->name }}</h4>

						<div class="text-left mt-3">

							<p class="text-muted mb-2 font-13">
								<strong>Display Name :</strong><span class="ml-2">{{ $user->name }}</span>
							</p>
							<p class="text-muted mb-2 font-13">
								<strong>Gender :</strong><span class="ml-2">{{ $user->gender }}</span>
							</p>
							<p class="text-muted mb-2 font-13">
								<strong>Phone :</strong><span class="ml-2">{{ $user->country_code }} {{ $user->phone }}</span>
							</p>

							<p class="text-muted mb-2 font-13">
								<strong>Email :</strong>
								<span class="ml-2 "> 
									<a class="text-muted" href="mailto:{{ $user->email }}">{{ $user->email }}</a> 
								</span>
							</p>

							<p class="text-danger mb-1 font-13">
								<strong>Role :</strong><span class="ml-2"> App User</span>
							</p>
						</div>
					</div>
					
					<!-- end card-box -->

				</div>
				<!-- end col-->
				<div class="col-8 col-sm-8 col-md-8"> 
                        <div class="card"> 
                             <div class="card-header bg-dark ">
                                <div class="row">
                                     <div class="col-12">
                                       <p class="text-white mb-0"><i class=" mdi mdi-cart"></i> Orders History</p>
                                    </div>                                            
                                </div>
                            </div> 
                            <div class="card-body">
							
		                     <div class=""> 
		                        <div class=" widget-inline">
		                            <div class="row">
		                                <div class="col-sm-6 col-xl-3">
		                                    <div class="card-box">
		                                            <div class="row">
		                                                <div class="col-3">
		                                                    <div class="avatar-sm shadow-lg bg-blue rounded">
		                                                        <i class="mdi mdi-cart  avatar-title font-22 text-white"></i>
		                                                    </div>
		                                                </div>
		                                                <div class="col-9">
		                                                    <div class="text-right">
		                                                        <h3 class="text-dark my-1"><span data-plugin="counterup"><?php echo $stats['total']; ?></span></h3>
		                                                    </div>
		                                                </div>
		                                                <div class="col-12">
		                                                	<p class="text-muted text-right mb-1">Total Products Ordered</p>
		                                                </div>
		                                            </div>
		                                        </div>
		                                </div>
		
		                                <div class="col-sm-6 col-xl-3">
		                                      <div class="card-box">
		                                            <div class="row">
		                                                <div class="col-3">
		                                                    <div class="avatar-sm shadow-lg bg-success rounded">
		                                                        <i class="mdi mdi-cart-arrow-up  avatar-title font-22 text-white"></i>
		                                                    </div>
		                                                </div>
		                                                <div class="col-9">
		                                                    <div class="text-right">
		                                                        <h3 class="text-dark my-1"><span data-plugin="counterup"><?php echo $stats['delivered']; ?></span></h3>
		                                                    </div>
		                                                </div>
		                                                <div class="col-12">
		                                                	<p class="text-muted text-right mb-1">Delivered Products</p>
		                                                </div>
		                                            </div>
		                                        </div>
		                                </div>
		
		                                <div class="col-sm-6 col-xl-3">
		                                      <div class="card-box">
		                                            <div class="row">
		                                                <div class="col-3">
		                                                    <div class="avatar-sm shadow-lg bg-warning rounded">
		                                                        <i class="mdi mdi-cart-arrow-down   avatar-title font-22 text-white"></i>
		                                                    </div>
		                                                </div>
		                                                <div class="col-9">
		                                                    <div class="text-right">
		                                                        <h3 class="text-dark my-1"><span data-plugin="counterup"><?php echo $stats['pending']; ?></span></h3>
		                                                    </div>
		                                                </div>
		                                                <div class="col-12">
		                                                	<p class="text-muted text-right mb-1">Pending Delivery</p>
		                                                </div>
		                                            </div>
		                                        </div>
		                                </div>
		                                  <div class="col-sm-6 col-xl-3">
		                                      <div class="card-box">
		                                            <div class="row">
		                                                <div class="col-3">
		                                                    <div class="avatar-sm shadow-lg bg-danger rounded">
		                                                        <i class="mdi mdi-cart-remove avatar-title font-22 text-white"></i>
		                                                    </div>
		                                                </div>
		                                                <div class="col-9">
		                                                    <div class="text-right">
		                                                        <h3 class="text-dark my-1"><span data-plugin="counterup"><?php echo $stats['cancelled']; ?></span></h3>
		                                                    </div>
		                                                </div>
		                                                <div class="col-12">
		                                                	<p class="text-muted text-right mb-1">Cancelled Product Orders</p>
		                                                </div>
		                                            </div>
		                                        </div>
		                                </div>
		                            </div> <!-- end row -->
		                        </div>
		                     </div>
							<?php if(count($orders)==0): ?>
								<div class="bg-info text-dark p-2 border rounded text-center">
									No Orders Found
								</div>
							<?php endif; ?>
							<div id="accordionOrders" class="mb-3">
								<?php foreach($orders as $k=>$order): ?>
			                        <div class="card mb-1 border">
			                            <div class="card-header bg-muted" id="headingOne<?php echo $order->order_number; ?>">
			                                <h5 class="m-0">
			                                	<span class="float-right" style="display:inline-block;text-align:right;margin-top:-5px;position:relative;">
			                                		<span class="badge badge-dark badge-pill">
			                                			<?php echo $order->payment_type; ?>
			                                		</span>
			                                		<span class="badge badge-light badge-pill">
			                                			<i class="mdi mdi-currency-inr"></i>
			                                			<?php echo $order->total_amount; ?>
			                                		</span>
			                                		<br>
			                                		<a href="{{route('orders.show',$order->id)}}" class="badge badge-danger badge-pill mt-1">
			                                			Order Details 
			                                			<i class="mdi mdi-link-variant"></i>
			                                		</a>
			                                	</span>
			                                    <a class="text-dark" data-toggle="collapse" href="#collapseOne<?php echo $order->order_number; ?>" aria-expanded="false">
			                                    	<?php echo $order->order_number; ?>
	                                    			<br>
		                                        	<small>
		                                    			<?php echo date('d-M-Y h:i A',strtotime($order->created_at)); ?>
		                                    		</small>
			                                    </a>
			                                </h5>
			                            </div>
			                
			                            <div id="collapseOne<?php echo $order->order_number; ?>" class="collapse <?php //echo $k==0?'show':''; ?>" aria-labelledby="headingOne<?php echo $order->order_number; ?>" data-parent="#accordionOrders">
			                                <div class="card-body">
			                                    <div class="row">
			                                    	<?php $i=0; foreach($order->order_products as $k=>$product): ?>
			                                    	<div class="col-6 col-sm-6 col-md-6">
			                                    		<div class="card border">
			                                    			<span class="orderStatusBadge">
			                                    				<span class="badge badge-blue badge-pill font-13">
			                                    					<?php echo $humanOrderStatuses[$product->status]; ?>
			                                    				</span>
			                                    			</span>
						                                    <div class="card-body">
						                                    
						                                    <?php //echo "<pre>";print_r($product->product_data);exit;?>
						                                        <h5 class="card-title"><?php echo $product->product_data->name ?? ""; ?></h5>
						                                    </div>
						                                    <img class="card-img-top img-fluid" style="object-fit:cover;height:300px;"  src="<?php echo $product->product_data->image ?? ""; ?>" alt="Card image cap">
						                                    <div class="card-body">
						                                    	<p class="card-text">
						                                        	<?php echo substr(strip_tags($product->product_data->short_description ?? ""),0,100); ?>...
						                                        </p>
						                                    </div>
						                                    <ul class="list-group list-group-flush">
						                                        <li class="list-group-item">
						                                        	<div class="row">
						                                        		<div class="col-3">
						                                        			<b>Price</b> <br>
						                                        			<?php echo $product->unit_price; ?>
						                                        		</div>
						                                        		<div class="col-3">
						                                        			<b>Quantity</b> <br>
						                                        			<?php echo $product->quantity; ?>
						                                        		</div>
						                                        		<div class="col-3">
						                                        			<b>Tax</b> <br>
						                                        			<?php echo $product->tax; ?>
						                                        		</div>
						                                        		<div class="col-3">
						                                        			<b>Total</b> <br>
						                                        			<?php echo $product->total_amount; ?>
						                                        		</div>
						                                        	</div>
						                                        </li>
						                                        <li class="list-group-item">
							                                    	<b>Shipping Details:</b>
							                                    	<?php if($product->status=='Shipped' || $product->status=='Delivered'): ?>
							                                    		<?php echo $product->shipping_agency; ?>, 
							                                    		<b>AWB: </b> <?php echo $product->awb; ?>, 
							                                    	<?php endif; ?>
							                                    </li>
							                                    <li class="list-group-item">
							                                    	<b>Delivery Details:</b>
							                                    	<?php if($product->status=='Delivered'): ?>
							                                    		Received by
							                                    		<?php echo $product->received_by; ?>
							                                    		on 
							                                    		<?php echo date('d-M-Y h:i A',strtotime($product->status_date)); ?>
							                                    	<?php endif; ?>
							                                    </li>
						                                    </ul>
						                                    <!--
						                                    <div class="card-body pl-1">
						                                    	
					                                        	
						                                        <a href="javascript:void(0);" class="card-link text-custom">Card link</a>
						                                        <a href="javascript:void(0);" class="card-link text-custom">Another link</a>
						                                        
						                                    </div>
						                                   -->
						                                </div>
			                                    	</div>
			                                    	<?php $i++; if($i%2==0): ?>
			                                    		<div class="clearfix"></div>
			                                    	<?php endif; ?>
			                                    	<?php endforeach; ?>
			                                    </div>
			                                </div>
			                            </div>
			                        </div>
		                        <?php endforeach; ?>
		                    </div>
							<div class="pagination-rounded">
								 {{$orders->links()}}
							</div>
                            
                        </div>
                    </div>
                </div>
				
			</div>

		</div>

		@endsection
