@extends('layouts.app')

@section('content')
<div class="content-page">
	<div class="content">

		<!-- Start Content-->
		<div class="container-fluid">

			<!-- start page title -->
			<div class="row mt-3 mb-3">
				<div class="col-8 col-sm-8 col-md-8 col-lg-8">
					<div class="page-title-box">
						<!--<h4>Edit Admin User</h4>-->
						<ol class="breadcrumb m-0">
							<li class="breadcrumb-item">
								<a href="{{ route('dashboard') }}">Dashboard</a>
							</li>
							<li class="breadcrumb-item">
								<a href="{{ route('appUsersList') }}">App Users</a>
							</li>
							<li class="breadcrumb-item">
								<a href="{{ route('appUserProfle',$user->id) }}">App User Profile</a>
							</li>
							
							<li class="breadcrumb-item active">
								Edit App User
							</li>
						</ol>
					</div>
				</div>
				
			</div>
			<div class="row">
				<div class="col-12">

					<form class="form-horizontal" action="{{ route('saveEditAppUser',$user->id) }}" method="post" enctype="multipart/form-data" id="adminUserForm">
						@csrf
						<div class="card">
							<div class="card-header bg-dark ">
								<div class="row">
									<div class="col-6 col-sm-8 col-md-8 col-lg-8">
										<h4 class="text-white "><i class=" mdi mdi-pencil-outline"></i>Edit App User</h4>
									</div>
									<div class="col-6 col-sm-4 col-md-4 col-lg-4 text-right">
										<button type="submit" class="btn btn-success waves-effect waves-light">
											<i class="mdi mdi-content-save"></i> Save
										</button>
										<a href="{{ route('appUsersList') }}">
											<button type="button" class="btn btn-danger waves-effect waves-light">
												<i class="fa fa-user-friends"></i> View All
											</button>
										</a>
									</div>
								</div>
							</div>
							<div class="card-body">
								<div class="row">
									<div class="col-6 offset-2">
										<div class="col-8 col-sm-10 col-md-10 col-lg-10 offset-2 mb-2 text-center">
											@if (empty($user->photo))
												<img src="{{ asset('images/users/user-3.jpg')}}" class="rounded-circle img-thumbnail" alt="profile-image" style="width:150px;height:150px;">
											@else
												<img src="{{ $user->photo }}" class="rounded-circle img-thumbnail" alt="profile-image" style="width:150px;height:150px;">
											@endif
										</div>
										<div class="form-group row mb-3">
											<label for="inputEmail3" class="col-4 col-sm-2 col-md-2 col-lg-2 col-form-label text-right"><span class="text-danger">*</span>Display Name</label>
											<div class="col-8 col-sm-10 col-md-10 col-lg-10">
												<input type="text" class="form-control @error('name') is-invalid @enderror" value="{{$user->name}}" name="name" id="" placeholder="Display Name">
												@if ($errors->has('name'))
                                                      <span class="text-danger">{{ $errors->first('name') }}</span>
                                                @endif
											</div>
										</div>
										<div class="form-group row mb-3">
											<label for="inputEmail3" class="col-4 col-sm-2 col-md-2 col-lg-2 col-form-label text-right">
												Gender
											</label>
											<div class="col-8 col-sm-10 col-md-10 col-lg-10">
												<select class='form-control @error('gender') is-invalid @enderror' name="gender">
													<option value="">--Gender--</option>
													<option {{$user->gender=='Male'?'selected':''}} value="Male">Male</option>
													<option {{$user->gender=='Female'?'selected':''}} value="Female">Female</option>
												</select>
												@if ($errors->has('gender'))
                                                      <span class="text-danger">{{ $errors->first('gender') }}</span>
                                                @endif
											</div>
										</div>
										<div class="form-group row mb-3">
											<label for="inputEmail3" class="col-4 col-sm-2 col-md-2 col-lg-2 col-form-label text-right">Country Code</label>
											<div class="col-8 col-sm-10 col-md-10 col-lg-10">
												<select data-toggle="select2" required class="form-control  @error('country_code') is-invalid @enderror"  name="country_code">
													<option value=""></option>
													<?php foreach($country_codes as $countryCode): ?>
														<option <?php echo $countryCode->ccode==$user->country_code?'selected':''; ?> value="<?php echo $countryCode->ccode; ?>"><?php echo $countryCode->ccode; ?></option>
													<?php endforeach; ?>
												</select>
												@if ($errors->has('country_code'))
                                                      <span class="text-danger">{{ $errors->first('country_code') }}</span>
                                                @endif
											</div>
										</div>
										<div class="form-group row mb-3">
											<label for="inputEmail3" class="col-4 col-sm-2 col-md-2 col-lg-2 col-form-label text-right">Phone</label>
											<div class="col-8 col-sm-10 col-md-10 col-lg-10">
												<input type="text" required class="form-control disabled @error('phone') is-invalid @enderror" value="{{$user->phone}}" name="phone" id="" placeholder="Phone Number">
												@if ($errors->has('phone'))
                                                      <span class="text-danger">{{ $errors->first('phone') }}</span>
                                                @endif
											</div>
										</div>
										<hr>
										<div class="form-group row mb-3">
											<label for="inputEmail3" class="col-4 col-sm-2 col-md-2 col-lg-2 col-form-label text-right">Email</label>
											<div class="col-8 col-sm-10 col-md-10 col-lg-10">
												<input type="email" class="form-control @error('email') is-invalid @enderror" value="{{$user->email}}" name="email" id="" placeholder="Login Email">
												@if ($errors->has('email'))
                                                      <span class="text-danger">{{ $errors->first('email') }}</span>
                                                @endif
											</div>
										</div>
										
										<hr>
										<div class="form-group row mb-3">
											<label for="inputEmail3" class="col-4 col-sm-2 col-md-2 col-lg-2 col-form-label text-right"> Profile Photo</label>
											<div class="col-8 col-sm-10 col-md-10 col-lg-10">
												<input type="file" name="photo" accept="image/*" id="autocomplete" class="form-control @error('photo') is-invalid @enderror" autocomplete="off">
												@if ($errors->has('photo'))
                                                      <span class="text-danger">{{ $errors->first('photo') }}</span>
                                                @endif
											</div>
										</div>
										<div class="form-group row mb-3">
											<label for="inputEmail3" class="col-4 col-sm-2 col-md-2 col-lg-2 col-form-label text-right">Blocked</label>
											<div class="col-8 col-sm-10 col-md-10 col-lg-100">
												<select class="form-control" name="enabled" id="example-select">
													<option <?php echo $user->enabled=='Yes'?'selected':''; ?> value="Yes">No</option>
													<option <?php echo $user->enabled=='No'?'selected':''; ?> value="No">Yes</option>
												</select>
											</div>
										</div>
									</div>
								</div>

							</div>
						</div>
						<!-- end card-->

					</form>
				</div>
				<!-- end col -->
			</div>
			<!-- end row -->

		</div>
		<!-- container -->

	</div>
	<!-- content -->

	

</div>
<script>
	$(function() {
		buildValidation();
	});

	function buildValidation() {
		var bootstrapValidat = $('#adminUserForm').data('bootstrapValidator');

		if (bootstrapValidat != undefined) {
			bootstrapValidat.destroy();
		}

		$('#adminUserForm').bootstrapValidator({
			// Only disabled elements are excluded
			// The invisible elements belonging to inactive tabs must be validated
			excluded : [':disabled'],
			//container: '#valMessages',
			feedbackIcons : {
				valid : 'fa fa-check',
				invalid : 'fa fa-times',
				validating : 'fa fa-refresh'
			},
			fields : {
				name : {
					validators : {
						notEmpty : {
							message : 'User Display name is required'
						}
					}
				},
				enabled : {
					validators : {
						notEmpty : {
							message : 'Blocked Status is required'
						}
					}
				},
				phone : {
					validators : {
						notEmpty : {
							message : 'Phone Number is required'
						}
					}
				},
				country_code : {
					validators : {
						notEmpty : {
							message : 'Country Code is required'
						}
					}
				},
				email : {
					validators : {
						emailAddress : {
							message : 'Invalid Email'
						}
					}
				},
				photo : {
					validators : {
						file : {
							extension : 'jpeg,png,jpg,gif',
							//type: 'image/jpeg,image/png',
							//maxSize: 2048 * 1024,
							message : 'Only JPEG, PNG, GIF or JPG are allowed for Featured Image'
						}
					}
				},
			}
		});
		
	}
</script>
@endsection